2003-10-14 05:21:45 GMT	Colin Walters <walters@verbum.org>	patch-128

    Summary:
      kill of more RBLibrary cruft
    Revision:
      rhythmbox--mainline--0.6--patch-128


    removed files:
     library/rb-library.c


2003-10-14 05:08:44 GMT	Colin Walters <walters@verbum.org>	patch-127

    Summary:
      fix legacy db loading
    Revision:
      rhythmbox--mainline--0.6--patch-127


    modified files:
     rhythmdb/rhythmdb.c rhythmdb/rhythmdb.h shell/rb-shell.c


2003-10-14 04:59:47 GMT	Colin Walters <walters@verbum.org>	patch-126

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--0.6--patch-126


    modified files:
     po/ChangeLog po/sr.po po/sr@Latn.po


2003-10-14 04:02:22 GMT	Colin Walters <walters@verbum.org>	patch-125

    Summary:
      kill off RBLibrary!
    Revision:
      rhythmbox--mainline--0.6--patch-125


    removed files:
     library/Makefile.am library/rb-library-action.c
     library/rb-library-action.h library/rb-library-main-thread.c
     library/rb-library-main-thread.h library/rb-library.h

    modified files:
     Makefile.am configure.ac lib/rb-file-helpers.c
     lib/rb-file-helpers.h lib/rb-file-monitor.h
     library/rb-library.c rhythmdb/Makefile.am
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb.c
     rhythmdb/rhythmdb.h shell/rb-playlist-manager.c
     shell/rb-playlist-manager.h shell/rb-shell.c
     shell/rb-statusbar.c shell/rb-statusbar.h shell/rb-tray-icon.c
     shell/rb-tray-icon.h sources/rb-iradio-source.c
     sources/rb-iradio-source.h sources/rb-library-source.c
     sources/rb-library-source.h sources/rb-playlist-source.c
     sources/rb-playlist-source.h widgets/rb-druid.c
     widgets/rb-druid.h widgets/rb-entry-view.c


2003-10-13 21:27:32 GMT	Colin Walters <walters@verbum.org>	patch-124

    Summary:
      refactor MAINTAINERS
    Revision:
      rhythmbox--mainline--0.6--patch-124


    new files:
     .arch-ids/MAINTAINERS.old.id MAINTAINERS.old

    modified files:
     MAINTAINERS shell/Makefile.am shell/rb-shell.c


2003-10-13 20:45:50 GMT	Colin Walters <walters@verbum.org>	patch-123

    Summary:
      restore headers to properties, disable horizontal scroll
    Revision:
      rhythmbox--mainline--0.6--patch-123


    modified files:
     sources/rb-iradio-source.c sources/rb-library-source.c
     widgets/rb-property-view.c widgets/rb-property-view.h


2003-10-13 20:35:15 GMT	Colin Walters <walters@verbum.org>	patch-122

    Summary:
      various sorting fixes 
    Revision:
      rhythmbox--mainline--0.6--patch-122

    Save sorting state in GConf.
    Make playlist columns unclickable.
    

    modified files:
     data/rhythmbox.schemas sources/rb-iradio-source.c
     sources/rb-library-source.c sources/rb-playlist-source.c
     widgets/rb-entry-view.c widgets/rb-entry-view.h


2003-10-13 19:31:46 GMT	Colin Walters <walters@verbum.org>	patch-121

    Summary:
      fix silly bug in last changeset
    Revision:
      rhythmbox--mainline--0.6--patch-121


    modified files:
     widgets/rb-entry-view.c


2003-10-13 19:26:27 GMT	Colin Walters <walters@verbum.org>	patch-120

    Summary:
      column sorting rework, artist is now the default 
    Revision:
      rhythmbox--mainline--0.6--patch-120

    

    modified files:
     sources/rb-library-source.c widgets/rb-entry-view.c


2003-10-13 18:48:08 GMT	Colin Walters <walters@verbum.org>	patch-119

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-119


    modified files:
     ChangeLog


2003-10-13 18:44:25 GMT	Colin Walters <walters@verbum.org>	patch-118

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--0.6--patch-118


    modified files:
     po/ChangeLog po/cs.po po/no.po po/ro.po po/sv.po


2003-10-12 22:16:35 GMT	Colin Walters <walters@verbum.org>	patch-117

    Summary:
      do an immediate model poll after starting a query
    Revision:
      rhythmbox--mainline--0.6--patch-117


    modified files:
     sources/rb-library-source.c widgets/rb-entry-view.c
     widgets/rb-entry-view.h


2003-10-12 15:31:29 GMT	Colin Walters <walters@verbum.org>	patch-116

    Summary:
      wheeler@kde.org: more pre-C99 compat fixes
    Revision:
      rhythmbox--mainline--0.6--patch-116


    modified files:
     rhythmdb/rhythmdb-playlist-model.c rhythmdb/rhythmdb-tree.c


2003-10-11 21:10:30 GMT	Colin Walters <walters@verbum.org>	patch-115

    Summary:
      ensure last played column syncs with visible prefs on startup
    Revision:
      rhythmbox--mainline--0.6--patch-115


    modified files:
     widgets/rb-entry-view.c


2003-10-11 20:41:08 GMT	Colin Walters <walters@verbum.org>	patch-114

    Summary:
      implement entry deletion for iradio
    Revision:
      rhythmbox--mainline--0.6--patch-114


    modified files:
     sources/rb-iradio-source.c


2003-10-11 20:36:45 GMT	Colin Walters <walters@verbum.org>	patch-113

    Summary:
      update status totals on entry deletion
    Revision:
      rhythmbox--mainline--0.6--patch-113


    modified files:
     widgets/rb-entry-view.c


2003-10-11 20:32:32 GMT	Colin Walters <walters@verbum.org>	patch-112

    Summary:
      various tweaks to query model DND, still not perfect yet
    Revision:
      rhythmbox--mainline--0.6--patch-112


    modified files:
     rhythmdb/rhythmdb-query-model.c


2003-10-11 20:06:47 GMT	Colin Walters <walters@verbum.org>	patch-111

    Summary:
      yann@cvs.gnome.org: various deletion/update fixes
    Revision:
      rhythmbox--mainline--0.6--patch-111

    Patches applied:
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-4
       merge with mainline
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-5
       fix a bug which prevents added entries to be added in the query model
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-6
       fix missing entry unref
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-7
       initialize last played time to never when adding files
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-8
       really makes query model iter persistent
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-9
       fix crash when deleting the playing entry
    

    modified files:
     library/rb-library-main-thread.c library/rb-library.c
     rhythmdb/rhythmdb-query-model.c widgets/rb-entry-view.c

    new patches:
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-4
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-5
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-6
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-7
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-8
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-9


2003-10-11 19:54:56 GMT	Colin Walters <walters@verbum.org>	patch-110

    Summary:
      queue entry addition signals and emit them all at once
    Revision:
      rhythmbox--mainline--0.6--patch-110


    modified files:
     rhythmdb/rhythmdb.c


2003-10-11 18:25:41 GMT	Colin Walters <walters@verbum.org>	patch-109

    Summary:
      upd ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-109


    modified files:
     ChangeLog


2003-10-11 18:24:50 GMT	Colin Walters <walters@verbum.org>	patch-108

    Summary:
      don't show artist/album if they're empty
    Revision:
      rhythmbox--mainline--0.6--patch-108


    modified files:
     widgets/rb-player.c


2003-10-11 18:19:50 GMT	Colin Walters <walters@verbum.org>	patch-107

    Summary:
      major property revamp 
    Revision:
      rhythmbox--mainline--0.6--patch-107

    Remove property queries.  This means the property model is now dead simple.
    It's basically just a set of strings; no more async polling, etc.
    The plan is to have the property views now handle deletion themselves, by
    actually searching through the entry view.
    

    modified files:
     rhythmdb/rhythmdb-property-model.c
     rhythmdb/rhythmdb-property-model.h rhythmdb/rhythmdb-tree.c
     rhythmdb/rhythmdb.c rhythmdb/rhythmdb.h
     widgets/rb-property-view.c widgets/rb-property-view.h


2003-10-11 15:58:22 GMT	Colin Walters <walters@verbum.org>	patch-106

    Summary:
      handle entry deletion a bit more reliably 
    Revision:
      rhythmbox--mainline--0.6--patch-106

    

    modified files:
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb-tree.c
     rhythmdb/rhythmdb-tree.h


2003-10-10 16:40:56 GMT	Colin Walters <walters@verbum.org>	patch-105

    Summary:
      statusbar rework. again. 
    Revision:
      rhythmbox--mainline--0.6--patch-105

    Don't attempt to display refresh progress.  It was totally unreliable,
    and made the code complicated.
    Be sure to sync up status state when switching sources.
    

    modified files:
     library/rb-library.c library/rb-library.h shell/rb-statusbar.c


2003-10-10 13:56:19 GMT	Colin Walters <walters@verbum.org>	patch-104

    Summary:
      status display tweaks 
    Revision:
      rhythmbox--mainline--0.6--patch-104

    Ensure we always end up at 100%.  
    Also don't poll again quickly if nothing changed since the last poll.
    

    modified files:
     shell/rb-statusbar.c


2003-10-10 13:52:35 GMT	Colin Walters <walters@verbum.org>	patch-103

    Summary:
      make New Internet Radio Station work 
    Revision:
      rhythmbox--mainline--0.6--patch-103

    

    modified files:
     iradio/rb-new-station-dialog.c


2003-10-10 04:24:53 GMT	Colin Walters <walters@verbum.org>	patch-102

    Summary:
      search directories named ...
    Revision:
      rhythmbox--mainline--0.6--patch-102


    modified files:
     lib/rb-file-helpers.c


2003-10-09 21:54:52 GMT	Colin Walters <walters@verbum.org>	patch-101

    Summary:
      many more shutdown fixes 
    Revision:
      rhythmbox--mainline--0.6--patch-101

    Keep track of all outstanding threads, and attempt to gracefully shut
    things down before exiting.
    

    modified files:
     library/rb-library-main-thread.c library/rb-library.c
     rhythmdb/rhythmdb.c rhythmdb/rhythmdb.h shell/rb-shell.c


2003-10-09 21:01:13 GMT	Colin Walters <walters@verbum.org>	patch-100

    Summary:
      use xmlStopParser to quit loading, other misc. exiting fixes
    Revision:
      rhythmbox--mainline--0.6--patch-100


    modified files:
     library/rb-library-main-thread.c rhythmdb/rhythmdb-tree.c
     rhythmdb/rhythmdb.c rhythmdb/rhythmdb.h


2003-10-09 13:10:54 GMT	Colin Walters <walters@verbum.org>	patch-99

    Summary:
      [teuf@gnome.org] statusbar cleanups 
    Revision:
      rhythmbox--mainline--0.6--patch-99

    Allow days display to be translated.
    Prune minutes display if it's equal to zero.
    

    modified files:
     library/rb-library.c


2003-10-09 13:01:13 GMT	Colin Walters <walters@verbum.org>	patch-98

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--0.6--patch-98


    modified files:
     po/ChangeLog po/fr.po


2003-10-09 12:58:51 GMT	Colin Walters <walters@verbum.org>	patch-97

    Summary:
      make Quit menu item work (but why would you ever quit rb???)
    Revision:
      rhythmbox--mainline--0.6--patch-97


    modified files:
     shell/rb-shell.c


2003-10-09 01:54:53 GMT	Colin Walters <walters@verbum.org>	patch-96

    Summary:
      various mtime fixes 
    Revision:
      rhythmbox--mainline--0.6--patch-96

    Import legacy mtime data.
    Actually use mtime data in rb_library_update_entry to check whether or not we need
    to refresh the file.
    

    modified files:
     library/rb-library.c library/rb-library.h
     rhythmdb/rhythmdb-legacy.c


2003-10-08 22:17:18 GMT	Colin Walters <walters@verbum.org>	patch-95

    Summary:
      mark source status as clean after refreshing
    Revision:
      rhythmbox--mainline--0.6--patch-95


    modified files:
     shell/rb-statusbar.c


2003-10-08 21:40:29 GMT	Colin Walters <walters@verbum.org>	patch-94

    Summary:
      write lock db when deleting an entry
    Revision:
      rhythmbox--mainline--0.6--patch-94


    modified files:
     library/rb-library.c


2003-10-08 21:38:49 GMT	Colin Walters <walters@verbum.org>	patch-93

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--0.6--patch-93


    modified files:
     po/ChangeLog po/ro.po


2003-10-08 21:16:08 GMT	Colin Walters <walters@verbum.org>	patch-92

    Summary:
      status display rewrite: faster and cleaner
    Revision:
      rhythmbox--mainline--0.6--patch-92


    modified files:
     library/rb-library.c library/rb-library.h
     rhythmdb/rhythmdb-model.c rhythmdb/rhythmdb-model.h
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb.c
     shell/rb-shell.c shell/rb-statusbar.c
     sources/rb-library-source.c widgets/rb-entry-view.c
     widgets/rb-entry-view.h


2003-10-08 04:56:20 GMT	Colin Walters <walters@verbum.org>	patch-91

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-91


    modified files:
     ChangeLog


2003-10-08 04:51:46 GMT	Colin Walters <walters@verbum.org>	patch-90

    Summary:
      reimplement progress meter for refreshing/loading
    Revision:
      rhythmbox--mainline--0.6--patch-90


    modified files:
     library/rb-library.c library/rb-library.h shell/rb-shell.c
     shell/rb-statusbar.c shell/rb-statusbar.h


2003-10-07 23:50:43 GMT	Colin Walters <walters@verbum.org>	patch-89

    Summary:
      update POTFILES.in
    Revision:
      rhythmbox--mainline--0.6--patch-89


    modified files:
     po/POTFILES.in


2003-10-07 23:12:11 GMT	Colin Walters <walters@verbum.org>	patch-88

    Summary:
      don't redo a query if it's exactly the same as the current query 
    Revision:
      rhythmbox--mainline--0.6--patch-88

    

    modified files:
     sources/rb-library-source.c


2003-10-07 21:27:48 GMT	Colin Walters <walters@verbum.org>	patch-87

    Summary:
      be sure to read unlock after readlocking 
    Revision:
      rhythmbox--mainline--0.6--patch-87

    

    modified files:
     sources/rb-playlist-source.c


2003-10-07 21:18:52 GMT	Colin Walters <walters@verbum.org>	patch-86

    Summary:
      yann@cvs.gnome.org: playlist, deletion fixes
    Revision:
      rhythmbox--mainline--0.6--patch-86

    Patches applied:
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--base-0
       tag of walters@rhythmbox.org--2003b/rhythmbox--mainline--0.6--patch-81
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-1
       Fix incorrect Last played time display
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-2
       Add library entry deletion (is this correct ?)
    
     * yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-3
       Add playlist entry deletion
    

    modified files:
     rhythmdb/rhythmdb-query-model.c
     rhythmdb/rhythmdb-query-model.h rhythmdb/rhythmdb-tree.h
     rhythmdb/rhythmdb.c sources/rb-library-source.c
     sources/rb-playlist-source.c sources/rb-playlist-source.h

    new patches:
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--base-0
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-1
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-2
     yann@cvs.gnome.org--2003/rhythmbox--mainline--0.6--patch-3


2003-10-07 20:59:33 GMT	Colin Walters <walters@verbum.org>	patch-85

    Summary:
      use GnomeVFSFileSize for total size, so as to not overflow
    Revision:
      rhythmbox--mainline--0.6--patch-85


    modified files:
     library/rb-library.c library/rb-library.h
     rhythmdb/rhythmdb-legacy.c widgets/rb-entry-view.c
     widgets/rb-entry-view.h


2003-10-07 20:44:42 GMT	Colin Walters <walters@verbum.org>	patch-84

    Summary:
      various status fixes 
    Revision:
      rhythmbox--mainline--0.6--patch-84

    Use ngettext for library status, and start displaying file size.
    Push duration/size computation into RBEntryView.
    Implement playlist status.
    

    modified files:
     library/rb-library.c library/rb-library.h
     sources/rb-iradio-source.c sources/rb-library-source.c
     sources/rb-playlist-source.c sources/rb-source.c
     widgets/rb-entry-view.c widgets/rb-entry-view.h


2003-10-07 17:11:33 GMT	Colin Walters <walters@verbum.org>	patch-83

    Summary:
      implement tooltips on shuffle/repeat/search, and fix other tooltips
    Revision:
      rhythmbox--mainline--0.6--patch-83


    modified files:
     shell/rb-shell-player.c shell/rb-source-header.c
     shell/rb-statusbar.c


2003-10-07 16:50:14 GMT	Colin Walters <walters@verbum.org>	patch-82

    Summary:
      implement Luca Ferretti's menu cleanups 
    Revision:
      rhythmbox--mainline--0.6--patch-82

    

    new files:
     data/art/.arch-ids/rhythmbox-playlist-menu.png.id
     data/art/.arch-ids/rhythmbox-smart-playlist.png.id
     data/art/rhythmbox-playlist-menu.png
     data/art/rhythmbox-smart-playlist.png

    removed files:
     data/art/.arch-ids/rhythmbox-sound-juicer.png.id
     data/art/rhythmbox-sound-juicer.png

    modified files:
     data/art/Makefile.am data/ui/rhythmbox-ui.xml.in
     lib/rb-stock-icons.c lib/rb-stock-icons.h


2003-10-06 19:10:04 GMT	Colin Walters <walters@verbum.org>	patch-81

    Summary:
      update ChangeLog, NEWS
    Revision:
      rhythmbox--mainline--0.6--patch-81


    modified files:
     ChangeLog NEWS


2003-10-06 17:54:55 GMT	Colin Walters <walters@verbum.org>	patch-80

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--0.6--patch-80


    new files:
     po/ro.po

    modified files:
     ChangeLog configure.ac po/ChangeLog


2003-10-06 17:51:38 GMT	Colin Walters <walters@verbum.org>	patch-79

    Summary:
      squish one more leak
    Revision:
      rhythmbox--mainline--0.6--patch-79


    modified files:
     widgets/rb-property-view.c


2003-10-06 17:36:30 GMT	Colin Walters <walters@verbum.org>	patch-78

    Summary:
      more memory leaks plugged
    Revision:
      rhythmbox--mainline--0.6--patch-78


    modified files:
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb-tree.c
     sources/rb-library-source.c


2003-10-06 17:07:59 GMT	Colin Walters <walters@verbum.org>	patch-77

    Summary:
      really plug the leak :)
    Revision:
      rhythmbox--mainline--0.6--patch-77


    modified files:
     rhythmdb/rhythmdb.c


2003-10-06 17:02:00 GMT	Colin Walters <walters@verbum.org>	patch-76

    Summary:
      plug a MASSIVE memory leak
    Revision:
      rhythmbox--mainline--0.6--patch-76


    modified files:
     iradio/rb-station-properties-dialog.c library/rb-library.c
     rhythmdb/rhythmdb-property-model.c
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb-tree.c
     rhythmdb/rhythmdb.c rhythmdb/rhythmdb.h
     shell/rb-playlist-manager.c shell/rb-shell-player.c
     sources/rb-library-source.c sources/rb-playlist-source.c
     widgets/rb-entry-view.c widgets/rb-player.c
     widgets/rb-property-view.c widgets/rb-song-info.c


2003-10-06 15:42:41 GMT	Colin Walters <walters@verbum.org>	patch-75

    Summary:
      default sort is by artist, then album, then track number 
    Revision:
      rhythmbox--mainline--0.6--patch-75

    

    modified files:
     widgets/rb-entry-view.c


2003-10-06 05:20:04 GMT	Colin Walters <walters@verbum.org>	patch-74

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-74


    modified files:
     ChangeLog


2003-10-06  Mugurel Tudor  <mugurelu@go.ro>

	* configure.ac: Added 'ro' to ALL_LINGUAS

2003-10-06 05:19:01 GMT	Colin Walters <walters@verbum.org>	patch-73

    Summary:
      third playlist iteration, looks pretty good now
    Revision:
      rhythmbox--mainline--0.6--patch-73

    Patches applied:
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-15
       remove eggtreemodelfilter
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-16
       drag and drop inside playlists is here
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-17
       fix dnd bug
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-18
       use locations instead of pointers in dnd
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-19
       drag and drop from library into playlists works!
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-20
       merge with mainline
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-21
       attempt to save entries in the actual playlist order
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-22
       load playlists only after library is done loading
    

    removed files:
     library/rb-library-dnd-types.h widgets/.arch-ids/eggintl.h.id
     widgets/.arch-ids/eggtreemodelfilter.c.id
     widgets/.arch-ids/eggtreemodelfilter.h.id widgets/eggintl.h
     widgets/eggtreemodelfilter.c widgets/eggtreemodelfilter.h

    modified files:
     lib/Makefile.am library/Makefile.am
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb.c
     rhythmdb/rhythmdb.h shell/rb-shell.c shell/rb-tray-icon.c
     sources/rb-library-source.c sources/rb-playlist-source.c
     sources/rb-sourcelist-model.c widgets/Makefile.am
     widgets/rb-entry-view.c widgets/rb-property-view.c

    renamed files:
     widgets/.arch-ids/eggtreemultidnd.c.id
       ==> lib/.arch-ids/eggtreemultidnd.c.id
     widgets/.arch-ids/eggtreemultidnd.h.id
       ==> lib/.arch-ids/eggtreemultidnd.h.id
     widgets/eggtreemultidnd.c
       ==> lib/eggtreemultidnd.c
     widgets/eggtreemultidnd.h
       ==> lib/eggtreemultidnd.h

    new patches:
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-15
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-16
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-17
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-18
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-19
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-20
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-21
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-22


2003-10-06 05:18:15 GMT	Colin Walters <walters@verbum.org>	patch-72

    Summary:
      make playlist column clickable
    Revision:
      rhythmbox--mainline--0.6--patch-72


    modified files:
     sources/rb-playlist-source.c


2003-10-06 02:47:28 GMT	Colin Walters <walters@verbum.org>	patch-71

    Summary:
      hide browse/search for unsearchable sources
    Revision:
      rhythmbox--mainline--0.6--patch-71


    modified files:
     shell/rb-source-header.c sources/rb-playlist-source.c


2003-10-06 02:25:21 GMT	Colin Walters <walters@verbum.org>	patch-70

    Summary:
      second merge from playlists branch, creation/saving/loading works
    Revision:
      rhythmbox--mainline--0.6--patch-70

    Patches applied:
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-13
       implement simple playlist serialization/deserialization
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-14
       reimplement "New Playlist" functionality
    

    modified files:
     shell/rb-playlist-manager.c shell/rb-shell.c
     sources/rb-playlist-source.c sources/rb-playlist-source.h

    new patches:
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-13
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-14


2003-10-06 01:03:49 GMT	Colin Walters <walters@verbum.org>	patch-69

    Summary:
      [wheeler@kde.org] pre-C99 compatibility fixes 
    Revision:
      rhythmbox--mainline--0.6--patch-69


    modified files:
     rhythmdb/rhythmdb-property-model.c
     rhythmdb/rhythmdb-query-model.c


2003-10-06 00:09:41 GMT	Colin Walters <walters@verbum.org>	patch-68

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-68


    modified files:
     ChangeLog


2003-10-06 00:08:06 GMT	Colin Walters <walters@verbum.org>	patch-67

    Summary:
      first merge of playlists branch
    Revision:
      rhythmbox--mainline--0.6--patch-67

    Patches applied:
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--base-0
       tag of walters@rhythmbox.org--2003b/rhythmbox--mainline--0.6--patch-58
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-1
       create playlists/ dir, move manager in there
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-2
       some hackery on playlist source, doesn't compile yet 
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-3
       implement sortable method in rhythmdb model, minor tweaks to playlist src
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-4
       merge from mainline
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-5
       first cut at a playlist model, some fixes to query model
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-6
       kill off playlists/, it won't work due to circular dep issues 
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-7
       make playlist model compile
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-8
       playlist source compiles, doesn't do much yet 
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-9
       it compiles and boots, still more to do
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-10
       fix column types, other misc bits...very close now!
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-11
       add one to tracknum to start from 1
    
     * walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-12
       merge with mainline
    

    new files:
     rhythmdb/rhythmdb-playlist-model.c
     rhythmdb/rhythmdb-playlist-model.h

    modified files:
     library/rb-library.c library/rb-library.h rhythmdb/Makefile.am
     rhythmdb/rhythmdb-legacy.c rhythmdb/rhythmdb-legacy.h
     rhythmdb/rhythmdb-model.c rhythmdb/rhythmdb-model.h
     rhythmdb/rhythmdb-query-model.c shell/rb-playlist-manager.c
     shell/rb-playlist-manager.h shell/rb-shell.c
     sources/Makefile.am sources/rb-iradio-source.c
     sources/rb-playlist-source.c sources/rb-playlist-source.h
     widgets/rb-entry-view.c

    new patches:
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--base-0
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-1
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-2
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-3
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-4
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-5
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-6
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-7
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-8
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-9
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-10
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-11
     walters@rhythmbox.org--2003b/rhythmbox--playlists-2--0.6--patch-12


2003-10-05 23:11:54 GMT	Colin Walters <walters@verbum.org>	patch-66

    Summary:
      avoid double-freeing cached window title 
    Revision:
      rhythmbox--mainline--0.6--patch-66

    

    modified files:
     shell/rb-shell.c


2003-10-05 21:58:18 GMT	Colin Walters <walters@verbum.org>	patch-65

    Summary:
      don't process cmdline bonobo opts if --no-registration is used 
    Revision:
      rhythmbox--mainline--0.6--patch-65

    

    modified files:
     shell/main.c shell/rb-shell.c


2003-10-05 18:04:18 GMT	Colin Walters <walters@verbum.org>	patch-64

    Summary:
      don't try to register the shell if --no-registration is passed 
    Revision:
      rhythmbox--mainline--0.6--patch-64

    

    modified files:
     shell/main.c shell/rb-shell.c


2003-10-05 07:44:38 GMT	Colin Walters <walters@verbum.org>	patch-63

    Summary:
      sort by artist by default, not album, and fix small bug in entry view 
    Revision:
      rhythmbox--mainline--0.6--patch-63

    

    modified files:
     widgets/rb-entry-view.c


2003-10-05 07:07:06 GMT	Colin Walters <walters@verbum.org>	patch-62

    Summary:
      implement entry change signal
    Revision:
      rhythmbox--mainline--0.6--patch-62


    modified files:
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb.c
     rhythmdb/rhythmdb.h


2003-10-05 06:54:27 GMT	Colin Walters <walters@verbum.org>	patch-61

    Summary:
      don't crash on empty search 
    Revision:
      rhythmbox--mainline--0.6--patch-61

    

    modified files:
     sources/rb-library-source.c


2003-10-05 06:08:27 GMT	Colin Walters <walters@verbum.org>	patch-60

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-60


    modified files:
     ChangeLog


2003-10-05 05:56:56 GMT	Colin Walters <walters@verbum.org>	patch-59

    Summary:
      kill off (now unused) GtkTreeModelSort workaround
    Revision:
      rhythmbox--mainline--0.6--patch-59


    removed files:
     widgets/.arch-ids/gtkintl.h.id
     widgets/.arch-ids/gtktreedatalist.c.id
     widgets/.arch-ids/gtktreedatalist.h.id
     widgets/.arch-ids/gtktreemodelsort.c.id
     widgets/.arch-ids/gtktreemodelsort.h.id widgets/gtkintl.h
     widgets/gtktreedatalist.c widgets/gtktreedatalist.h
     widgets/gtktreemodelsort.c widgets/gtktreemodelsort.h

    modified files:
     configure.ac widgets/Makefile.am


2003-10-05 05:20:35 GMT	Colin Walters <walters@verbum.org>	patch-58

    Summary:
      abstract some functionality into new RhythmDBModel iface
    Revision:
      rhythmbox--mainline--0.6--patch-58


    new files:
     rhythmdb/rhythmdb-model.c rhythmdb/rhythmdb-model.h

    modified files:
     rhythmdb/Makefile.am rhythmdb/rhythmdb-query-model.c
     rhythmdb/rhythmdb-query-model.h rhythmdb/rhythmdb.c
     sources/rb-iradio-source.c sources/rb-library-source.c
     widgets/rb-entry-view.c widgets/rb-entry-view.h


2003-10-04 03:12:09 GMT	Colin Walters <walters@verbum.org>	patch-57

    Summary:
      make hiding/showing rating and last played columns work again 
    Revision:
      rhythmbox--mainline--0.6--patch-57

    

    modified files:
     shell/rb-shell-preferences.c widgets/rb-entry-view.c


2003-10-04 02:26:58 GMT	Colin Walters <walters@verbum.org>	patch-56

    Summary:
      debug cleanups, entryview tweak 
    Revision:
      rhythmbox--mainline--0.6--patch-56

    Remove too verbose debug info in rhythmdb.
    
    Also don't bomb out if there is no entry to play after a property was
    activated.

    modified files:
     rhythmdb/rhythmdb.c shell/rb-shell-player.c


2003-10-04 01:18:26 GMT	Colin Walters <walters@verbum.org>	patch-55

    Summary:
      upd ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-55


    modified files:
     ChangeLog


2003-10-04 01:17:03 GMT	Colin Walters <walters@verbum.org>	patch-54

    Summary:
      implement multiple property selection
    Revision:
      rhythmbox--mainline--0.6--patch-54


    modified files:
     sources/rb-library-source.c widgets/rb-property-view.c
     widgets/rb-property-view.h


2003-10-03 23:32:13 GMT	Colin Walters <walters@verbum.org>	patch-53

    Summary:
      implement resorting and reverse sorting
    Revision:
      rhythmbox--mainline--0.6--patch-53


    modified files:
     sources/rb-library-source.c widgets/rb-entry-view.c


2003-10-03 23:06:34 GMT	Colin Walters <walters@verbum.org>	patch-52

    Summary:
      use exclusive threadpools
    Revision:
      rhythmbox--mainline--0.6--patch-52


    modified files:
     rhythmdb/rhythmdb.c


2003-10-03 22:11:19 GMT	Colin Walters <walters@verbum.org>	patch-51

    Summary:
      first pass at status feedback
    Revision:
      rhythmbox--mainline--0.6--patch-51


    modified files:
     library/rb-library.c library/rb-library.h shell/rb-statusbar.c
     sources/rb-library-source.c


2003-10-03 21:01:37 GMT	Colin Walters <walters@verbum.org>	patch-50

    Summary:
      more or less totally rewrite sorting
    Revision:
      rhythmbox--mainline--0.6--patch-50


    removed files:
     data/views/Makefile.am data/views/rb-entry-view-iradio.xml
     data/views/rb-entry-view-library.xml

    modified files:
     configure.ac data/Makefile.am
     rhythmdb/rhythmdb-property-model.c
     rhythmdb/rhythmdb-query-model.c
     rhythmdb/rhythmdb-query-model.h sources/rb-iradio-source.c
     sources/rb-library-source.c widgets/rb-entry-view.c
     widgets/rb-entry-view.h


2003-10-03 04:31:30 GMT	Colin Walters <walters@verbum.org>	patch-49

    Summary:
      handle entry restoration for queries too
    Revision:
      rhythmbox--mainline--0.6--patch-49


    modified files:
     rhythmdb/rhythmdb-query-model.c


2003-10-02 22:53:33 GMT	Colin Walters <walters@verbum.org>	patch-48

    Summary:
      fix junk tagging-method regexp
    Revision:
      rhythmbox--mainline--0.6--patch-48


    modified files:
     {arch}/=tagging-method


2003-10-02 21:18:46 GMT	Colin Walters <walters@verbum.org>	patch-47

    Summary:
      make untagged source be junk
    Revision:
      rhythmbox--mainline--0.6--patch-47


    modified files:
     {arch}/=tagging-method


2003-10-02 21:08:13 GMT	Colin Walters <walters@verbum.org>	patch-46

    Summary:
      make song info display work, remove debian/files cruft
    Revision:
      rhythmbox--mainline--0.6--patch-46

    Patches applied:
    
     * treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--patch-2
       merge with walters' mainline patch 33
    
     * treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--patch-3
       fixed impl_song_properties for RBLibrarySource
    

    removed files:
     debian/.arch-ids/files.id debian/files

    modified files:
     sources/rb-library-source.c widgets/rb-song-info.c
     widgets/rb-song-info.h

    new patches:
     treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--patch-2
     treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--patch-3


2003-10-02 17:22:38 GMT	Colin Walters <walters@verbum.org>	patch-45

    Summary:
      make column preferences work again
    Revision:
      rhythmbox--mainline--0.6--patch-45


    modified files:
     data/rhythmbox.schemas data/views/rb-entry-view-iradio.xml
     data/views/rb-entry-view-library.xml lib/rb-preferences.h
     shell/rb-shell-preferences.c widgets/rb-entry-view.c


2003-10-02 03:34:11 GMT	Colin Walters <walters@verbum.org>	patch-44

    Summary:
      be sure to unlock our read lock
    Revision:
      rhythmbox--mainline--0.6--patch-44


    modified files:
     widgets/rb-player.c


2003-10-02 02:54:13 GMT	Colin Walters <walters@verbum.org>	patch-43

    Summary:
      handle entry addition when not doing a query too
    Revision:
      rhythmbox--mainline--0.6--patch-43


    modified files:
     sources/rb-library-source.c


2003-10-02 02:53:43 GMT	Colin Walters <walters@verbum.org>	patch-42

    Summary:
      more lock debugging info
    Revision:
      rhythmbox--mainline--0.6--patch-42


    modified files:
     rhythmdb/rhythmdb.c


2003-10-01 22:24:16 GMT	Colin Walters <walters@verbum.org>	patch-41

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-41


    modified files:
     ChangeLog


2003-10-01 22:16:53 GMT	Colin Walters <walters@verbum.org>	patch-40

    Summary:
      default track numbers to -1
    Revision:
      rhythmbox--mainline--0.6--patch-40


    modified files:
     rhythmdb/rhythmdb-legacy.c rhythmdb/rhythmdb-tree.c


2003-10-01 21:39:59 GMT	Colin Walters <walters@verbum.org>	patch-39

    Summary:
      correctly sync mirrored properties during deserialization
    Revision:
      rhythmbox--mainline--0.6--patch-39


    modified files:
     rhythmdb/rhythmdb-tree.c rhythmdb/rhythmdb.c
     rhythmdb/rhythmdb.h


2003-10-01 21:39:42 GMT	Colin Walters <walters@verbum.org>	patch-38

    Summary:
      make title be the sort column
    Revision:
      rhythmbox--mainline--0.6--patch-38


    modified files:
     data/views/rb-entry-view-iradio.xml


2003-10-01 21:39:20 GMT	Colin Walters <walters@verbum.org>	patch-37

    Summary:
      make iradio queries async, fix search query
    Revision:
      rhythmbox--mainline--0.6--patch-37


    modified files:
     sources/rb-iradio-source.c


2003-10-01 20:43:39 GMT	Colin Walters <walters@verbum.org>	patch-36

    Summary:
      don't show duration field in iradio
    Revision:
      rhythmbox--mainline--0.6--patch-36


    modified files:
     data/views/rb-entry-view-iradio.xml


2003-10-01 20:40:09 GMT	Colin Walters <walters@verbum.org>	patch-35

    Summary:
      make legacy importer do last played, rating, and play count
    Revision:
      rhythmbox--mainline--0.6--patch-35


    modified files:
     rhythmdb/rhythmdb-legacy.c


2003-10-01 20:28:27 GMT	Colin Walters <walters@verbum.org>	patch-34

    Summary:
      fix duration importing from legacy db, also fix time display
    Revision:
      rhythmbox--mainline--0.6--patch-34


    modified files:
     rhythmdb/rhythmdb-legacy.c rhythmdb/rhythmdb-query-model.c
     sources/rb-iradio-source.c widgets/rb-player.c


2003-10-01 19:44:42 GMT	Colin Walters <walters@verbum.org>	patch-33

    Summary:
      fixes to debian/ dir
    Revision:
      rhythmbox--mainline--0.6--patch-33

    Patches applied:
    
     * treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--base-0
       tag of walters@rhythmbox.org--2003b/rhythmbox--mainline--0.6--patch-26
    
     * treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--patch-1
       fix debian directory
    

    new files:
     debian/.arch-ids/README.Debian.id
     debian/.arch-ids/changelog.id debian/.arch-ids/copyright.id
     debian/.arch-ids/rhythmbox.postinst.id
     debian/.arch-ids/rhythmbox.postrm.id debian/.arch-ids/rules.id
     debian/README.Debian debian/changelog debian/copyright
     debian/rhythmbox.postinst debian/rhythmbox.postrm debian/rules

    removed files:
     debian/README.Debian debian/changelog debian/copyright
     debian/rhythmbox.postinst debian/rhythmbox.postrm debian/rules

    new patches:
     treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--base-0
     treed@surreality.us--2003-rhythmbox/rhythmbox--mainline--0.6--patch-1


2003-10-01 18:17:10 GMT	Colin Walters <walters@verbum.org>	patch-32

    Summary:
      actually synchronize synchronous queries, and do syncs in chunks of 16
    Revision:
      rhythmbox--mainline--0.6--patch-32


    modified files:
     rhythmdb/rhythmdb-property-model.c
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb.c


2003-10-01 17:36:28 GMT	Colin Walters <walters@verbum.org>	patch-31

    Summary:
      some work on jump to playing, doesn't quite work yet
    Revision:
      rhythmbox--mainline--0.6--patch-31


    modified files:
     shell/rb-shell.c sources/rb-library-source.c
     sources/rb-source.c sources/rb-source.h
     widgets/rb-entry-view.c


2003-10-01 17:11:08 GMT	Colin Walters <walters@verbum.org>	patch-30

    Summary:
      remove cancelling bits, use a thread pool
    Revision:
      rhythmbox--mainline--0.6--patch-30


    modified files:
     rhythmdb/rhythmdb-query-model.c rhythmdb/rhythmdb.c


2003-10-01 14:49:00 GMT	Colin Walters <walters@verbum.org>	patch-29

    Summary:
      don't make search filter browsers
    Revision:
      rhythmbox--mainline--0.6--patch-29


    modified files:
     sources/rb-library-source.c


2003-10-01 14:29:31 GMT	Colin Walters <walters@verbum.org>	patch-28

    Summary:
      use various _FOLDED props instead of unfolded for searching
    Revision:
      rhythmbox--mainline--0.6--patch-28


    modified files:
     rhythmdb/rhythmdb-tree.c sources/rb-library-source.c


2003-10-01 04:52:55 GMT	Colin Walters <walters@verbum.org>	patch-27

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-27


    modified files:
     ChangeLog


2003-10-01 04:34:47 GMT	Colin Walters <walters@verbum.org>	patch-26

    Summary:
      first cut at loading legacy data, also make iradio sorta work
    Revision:
      rhythmbox--mainline--0.6--patch-26


    new files:
     rhythmdb/rhythmdb-legacy.c rhythmdb/rhythmdb-legacy.h

    modified files:
     library/rb-library.c library/rb-library.h rhythmdb/Makefile.am
     rhythmdb/rhythmdb-tree.c shell/rb-shell.c
     sources/rb-iradio-source.c sources/rb-iradio-source.h


2003-09-30 23:07:39 GMT	Colin Walters <walters@verbum.org>	patch-25

    Summary:
      fix entry view refcounting
    Revision:
      rhythmbox--mainline--0.6--patch-25


    modified files:
     widgets/rb-entry-view.c


2003-09-30 21:52:37 GMT	Colin Walters <walters@verbum.org>	patch-24

    Summary:
      hold a ref to the previous playing model so we don't crash if it goes away
    Revision:
      rhythmbox--mainline--0.6--patch-24


    modified files:
     widgets/rb-entry-view.c


2003-09-30 21:03:59 GMT	Colin Walters <walters@verbum.org>	patch-23

    Summary:
      make iradio work again
    Revision:
      rhythmbox--mainline--0.6--patch-23


    new files:
     data/views/rb-entry-view-iradio.xml

    modified files:
     data/views/Makefile.am rhythmdb/rhythmdb-property-model.c
     rhythmdb/rhythmdb.c rhythmdb/rhythmdb.h
     shell/rb-playlist-manager.c shell/rb-shell.c
     sources/Makefile.am sources/rb-iradio-source.c


2003-09-30 20:18:46 GMT	Colin Walters <walters@verbum.org>	patch-22

    Summary:
      fix playing icon
    Revision:
      rhythmbox--mainline--0.6--patch-22


    modified files:
     widgets/rb-entry-view.c


2003-09-30 16:32:31 GMT	Colin Walters <walters@verbum.org>	patch-21

    Summary:
      some hackery on iradio source, not quite working yet.  other bits.
    Revision:
      rhythmbox--mainline--0.6--patch-21


    modified files:
     shell/rb-shell-player.c sources/Makefile.am
     sources/rb-iradio-source.c sources/rb-source.c
     sources/rb-source.h widgets/rb-entry-view.c
     widgets/rb-entry-view.h widgets/rb-property-view.c
     widgets/rb-property-view.h


2003-09-29 23:53:11 GMT	Colin Walters <walters@verbum.org>	patch-20

    Summary:
      kill off old crufty RBNode stuff, yay!
    Revision:
      rhythmbox--mainline--0.6--patch-20


    removed files:
     library/rb-node-common.h library/rb-node-db.c
     library/rb-node-db.h library/rb-node-filter.c
     library/rb-node-filter.h library/rb-node.c library/rb-node.h
     sources/rb-song-info-helpers.c sources/rb-song-info-helpers.h
     widgets/rb-node-view.c widgets/rb-node-view.h
     widgets/rb-tree-model-node.c widgets/rb-tree-model-node.h

    modified files:
     library/Makefile.am library/rb-library.c sources/Makefile.am
     widgets/Makefile.am widgets/rb-song-info.c
     widgets/rb-song-info.h widgets/rb-tree-model-sort.c


2003-09-29 22:50:34 GMT	Colin Walters <walters@verbum.org>	patch-19

    Summary:
      chris@gnome-de.org: remove newlines from druid
    Revision:
      rhythmbox--mainline--0.6--patch-19


    modified files:
     widgets/rb-druid.c


2003-09-29 22:09:02 GMT	Colin Walters <walters@verbum.org>	patch-18

    Summary:
      fix random mode
    Revision:
      rhythmbox--mainline--0.6--patch-18


    modified files:
     shell/rb-shell-player.c widgets/rb-entry-view.c
     widgets/rb-entry-view.h


2003-09-29 21:20:04 GMT	Colin Walters <walters@verbum.org>	patch-17

    Summary:
      note INTERNALS is REALLY out of date
    Revision:
      rhythmbox--mainline--0.6--patch-17


    modified files:
     INTERNALS


2003-09-29 20:58:53 GMT	Colin Walters <walters@verbum.org>	patch-16

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--0.6--patch-16


    modified files:
     widgets/rb-entry-view.c


2003-09-29 20:52:49 GMT	Colin Walters <walters@verbum.org>	patch-15

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--0.6--patch-15


    modified files:
     ChangeLog


2003-09-29 20:51:32 GMT	Colin Walters <walters@verbum.org>	patch-14

    Summary:
      really fix sorting insanity
    Revision:
      rhythmbox--mainline--0.6--patch-14


    modified files:
     widgets/rb-entry-view.c widgets/rb-property-view.c


2003-09-29 17:53:59 GMT	Colin Walters <walters@verbum.org>	patch-13

    Summary:
      revert to previous treeview behavior for now
    Revision:
      rhythmbox--mainline--0.6--patch-13


    modified files:
     widgets/Makefile.am widgets/rb-entry-view.c


2003-09-29 17:42:59 GMT	Colin Walters <walters@verbum.org>	patch-12

    Summary:
      remove debugging bit
    Revision:
      rhythmbox--mainline--0.6--patch-12


    modified files:
     rhythmdb/rhythmdb-tree.c


2003-09-29 17:42:28 GMT	Colin Walters <walters@verbum.org>	patch-11

    Summary:
      bump version to 0.5.99
    Revision:
      rhythmbox--mainline--0.6--patch-11


    modified files:
     configure.ac


2003-09-29 16:09:27 GMT	Colin Walters <walters@verbum.org>	patch-10

    Summary:
      resurrect lib/widgets because CVS sucks donkey balls
    Revision:
      rhythmbox--mainline--0.6--patch-10


    new files:
     lib/widgets/.arch-ids/.cvsignore.id lib/widgets/.arch-ids/=id
     lib/widgets/.cvsignore

    new directories:
     lib/widgets lib/widgets/.arch-ids


2003-09-29 15:40:58 GMT	Colin Walters <walters@verbum.org>	patch-9

    Summary:
      be sure to unset previous queries, and fix sorting
    Revision:
      rhythmbox--mainline--0.6--patch-9


    modified files:
     sources/rb-library-source.c widgets/rb-entry-view.c


2003-09-29 15:31:31 GMT	Colin Walters <walters@verbum.org>	patch-8

    Summary:
      fix duration type, disable sorting while busy, tweak timeout
    Revision:
      rhythmbox--mainline--0.6--patch-8


    modified files:
     rhythmdb/rhythmdb.c widgets/rb-entry-view.c
     widgets/rb-property-view.c


2003-09-29 15:02:51 GMT	Colin Walters <walters@verbum.org>	patch-7

    Summary:
      fix duration column, don't attempt to load nonexistent db save file
    Revision:
      rhythmbox--mainline--0.6--patch-7

    fix duration column, don't attempt to load nonexistent db save file
    

    modified files:
     data/views/rb-entry-view-library.xml rhythmdb/rhythmdb-tree.c
     rhythmdb/rhythmdb.c widgets/rb-entry-view.c


2003-09-29 02:52:01 GMT	Colin Walters <walters@verbum.org>	patch-6

    Summary:
      fix a bunch of bugs wrt converting iters from sort/query model
    Revision:
      rhythmbox--mainline--0.6--patch-6


    modified files:
     widgets/rb-entry-view.c


2003-09-29 02:30:30 GMT	Colin Walters <walters@verbum.org>	patch-5

    Summary:
      unref monkey-media info object to prevent fd leak
    Revision:
      rhythmbox--mainline--0.6--patch-5


    modified files:
     library/rb-library.c


2003-09-29 02:17:59 GMT	Colin Walters <walters@verbum.org>	patch-4

    Summary:
      fix one more conflict, add librbwidgets to shell Makefile.am
    Revision:
      rhythmbox--mainline--0.6--patch-4


    modified files:
     shell/Makefile.am widgets/Makefile.am


2003-09-29 02:13:46 GMT	Colin Walters <walters@verbum.org>	patch-3

    Summary:
      remove reference to am_dead in library thread
    Revision:
      rhythmbox--mainline--0.6--patch-3


    modified files:
     library/rb-library-main-thread.c


2003-09-29 02:10:17 GMT	Colin Walters <walters@verbum.org>	patch-2

    Summary:
      fix up merge conflict
    Revision:
      rhythmbox--mainline--0.6--patch-2


    modified files:
     Makefile.am


2003-09-29 02:04:32 GMT	Colin Walters <walters@verbum.org>	patch-1

    Summary:
      merge in rhythmdb 
    Revision:
      rhythmbox--mainline--0.6--patch-1

    With this commit, the first pass at RhythmDB is commited. 
    It involves a ton of changes, as you can see from the
    log-for-merge output below.  I will attempt to summarize
    these changes eventually in the INTERNALS document, rather
    than this changelog.
    
    Patches applied:
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-35
       s/name/title/
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-36
       more s/name/title/
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-37
       even more s/name/title/
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-38
       first attempt at a query model
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-39
       remove some signals, add back in external query func
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-40
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-41
       much more hackery on refcounting/queueing stuff
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-42
       really remove gdk locking
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-43
       more attempt at deletion handling
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-44
       don't unlock db after destroy
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-45
       attempt to use RhythmDBQueryModel
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-46
       Work on making the query fully asynchronous
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-47
       use g_print instead of rb_debug for tests
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-48
       fix up querying, fix g_prints; we now pass the query test suite
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-49
       updates for new query interface
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-50
       add iter_from_entry method
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-51
       cool hack for testing both sync and async queries
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-52
       much more hackery on the entry view
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-53
       more work on moving to RBEntryModel
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-54
       make entry view compile
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-55
       a few hacks to make the whole thing compile, for now
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-56
       work on implementing property queries again
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-57
       much hacking up of the tree, does not compile yet
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-58
       even more hackery, working on view test
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-59
       don't include test-rhythmdb-view executable, fix up some entry view stuff
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-60
       add cvsignore for views data
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-61
       entry view test appears to work
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-62
       add data/views dir
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-63
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-64
       update gsequence
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-65
       yet more hacking.
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-66
       use cell_data func in property view
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-67
       hack up the library a bit
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-68
       one night's hackery
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-69
       remove am_dead bits, thread is now a daemon thread
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-70
       hack up the library to use rhythmdb
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-71
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-72
       kill off walker thread, make lots more stuff compile
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-73
       make player widget compile, updates all over the place
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-74
       make clipboard compile
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-75
       make playlist manager compile (but VERY unlikely to actually work)
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-76
       she actually compiles!
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-77
       she boots!
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-78
       misc bugfixes. poll model, fix up exiting etc
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-79
       fix up query API, do query in library source, etc
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-80
       she PLAYS MUSIC!
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-81
       fix sorting order bits
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-82
       fix sorting order bits
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-83
       attempt to make property views work, not quite going yet though
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-84
       make All display show up
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-85
       make double-clicking on property sorta work
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-86
       make entry refcount start at 1 (doh!)
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-87
       don't lose if we're setting playing_entry to NULL
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-88
       go go gadget property view!  (also make saving/loading db work)
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-89
       rearrange source tree/dependencies to remove circular depends
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-90
       make property view queries async
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-91
       ensure property displays unique values
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-92
       more work on async property views
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-93
       stop in debugger on RhythmDB errors too
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-94
       add missing break in property setting
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-95
       create entries atomically, do entry view timeout correctly, other things
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-96
       go go gadget asynchronous property filtering!
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-97
       fix sorting order in entry view
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-98
       actually add playing column to view and stuff
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-99
       don't crash when playing an entry and switching to another filter
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-100
       fix exact queries for genre/artist/album, and attempt to impl. searching
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-101
       make searching really work
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-102
       pre-fold sort keys
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-103
       optimize library queries even more
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-104
       tweak querying a bit more, still a bit buggy though
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-105
       merge with mainline
    
    

    new files:
     data/views/.arch-ids/.cvsignore.id data/views/.arch-ids/=id
     data/views/.cvsignore data/views/Makefile.am
     data/views/rb-entry-view-library.xml lib/gsequence.c
     lib/gsequence.h lib/rb-atomic.c lib/rb-atomic.h
     rhythmdb/rhythmdb-property-model.c
     rhythmdb/rhythmdb-property-model.h
     rhythmdb/rhythmdb-query-model.c
     rhythmdb/rhythmdb-query-model.h tests/test-rhythmdb-view.c
     widgets/rb-entry-view.c widgets/rb-entry-view.h
     widgets/rb-property-view.c widgets/rb-property-view.h

    removed files:
     iradio/rb-iradio-backend.c iradio/rb-iradio-backend.h
     library/rb-library-walker-thread.c
     library/rb-library-walker-thread.h

    modified files:
     Makefile.am configure.ac data/Makefile.am iradio/Makefile.am
     iradio/rb-new-station-dialog.c iradio/rb-new-station-dialog.h
     iradio/rb-station-properties-dialog.c
     iradio/rb-station-properties-dialog.h lib/Makefile.am
     lib/rb-cut-and-paste-code.h lib/rb-debug.c
     lib/rb-file-helpers.c library/Makefile.am
     library/rb-library-main-thread.c library/rb-library.c
     library/rb-library.h rhythmdb/Makefile.am
     rhythmdb/rhythmdb-tree.c rhythmdb/rhythmdb-tree.h
     rhythmdb/rhythmdb.c rhythmdb/rhythmdb.h shell/Makefile.am
     shell/rb-playlist-manager.c shell/rb-playlist-manager.h
     shell/rb-shell-clipboard.c shell/rb-shell-clipboard.h
     shell/rb-shell-player.c shell/rb-shell-player.h
     shell/rb-shell.c shell/rb-tray-icon.c sources/Makefile.am
     sources/rb-iradio-source.c sources/rb-iradio-source.h
     sources/rb-library-source.c sources/rb-library-source.h
     sources/rb-playlist-source.h sources/rb-source.c
     sources/rb-source.h tests/Makefile.am
     tests/deserialization-test2.xml
     tests/deserialization-test3.xml tests/test-rhythmdb-indexing.c
     tests/test-rhythmdb-query.c tests/test-rhythmdb-simple.c
     tests/test-rhythmdb-tree-deserialization.c
     tests/test-rhythmdb-tree-serialization.c widgets/Makefile.am
     widgets/rb-cell-renderer-rating.c widgets/rb-druid.c
     widgets/rb-player.c widgets/rb-player.h
     widgets/rb-tree-model-sort.c widgets/rb-tree-view.c
     widgets/rb-tree-view.h {arch}/=tagging-method

    renamed files:
     lib/widgets/.arch-ids/.cvsignore.id
       ==> widgets/.arch-ids/.cvsignore.id
     lib/widgets/.arch-ids/=id
       ==> widgets/.arch-ids/=id
     lib/widgets/.arch-ids/eggintl.h.id
       ==> widgets/.arch-ids/eggintl.h.id
     lib/widgets/.arch-ids/eggtreemodelfilter.c.id
       ==> widgets/.arch-ids/eggtreemodelfilter.c.id
     lib/widgets/.arch-ids/eggtreemodelfilter.h.id
       ==> widgets/.arch-ids/eggtreemodelfilter.h.id
     lib/widgets/.arch-ids/eggtreemultidnd.c.id
       ==> widgets/.arch-ids/eggtreemultidnd.c.id
     lib/widgets/.arch-ids/eggtreemultidnd.h.id
       ==> widgets/.arch-ids/eggtreemultidnd.h.id
     lib/widgets/.arch-ids/gtkintl.h.id
       ==> widgets/.arch-ids/gtkintl.h.id
     lib/widgets/.arch-ids/gtkrbtree.h.id
       ==> widgets/.arch-ids/gtkrbtree.h.id
     lib/widgets/.arch-ids/gtktreedatalist.c.id
       ==> widgets/.arch-ids/gtktreedatalist.c.id
     lib/widgets/.arch-ids/gtktreedatalist.h.id
       ==> widgets/.arch-ids/gtktreedatalist.h.id
     lib/widgets/.arch-ids/gtktreemodelsort.c.id
       ==> widgets/.arch-ids/gtktreemodelsort.c.id
     lib/widgets/.arch-ids/gtktreemodelsort.h.id
       ==> widgets/.arch-ids/gtktreemodelsort.h.id
     lib/widgets/.arch-ids/gtktreeprivate.h.id
       ==> widgets/.arch-ids/gtktreeprivate.h.id
     lib/widgets/rb-sourcelist-model.c
       ==> sources/rb-sourcelist-model.c
     lib/widgets/rb-sourcelist-model.h
       ==> sources/rb-sourcelist-model.h
     lib/widgets/rb-sourcelist.c
       ==> sources/rb-sourcelist.c
     lib/widgets/rb-sourcelist.h
       ==> sources/rb-sourcelist.h
     rhythmdb/deserialization-test1.xml
       ==> tests/deserialization-test1.xml
     rhythmdb/deserialization-test2.xml
       ==> tests/deserialization-test2.xml
     rhythmdb/deserialization-test3.xml
       ==> tests/deserialization-test3.xml
     rhythmdb/test-rhythmdb-indexing.c
       ==> tests/test-rhythmdb-indexing.c
     rhythmdb/test-rhythmdb-query.c
       ==> tests/test-rhythmdb-query.c
     rhythmdb/test-rhythmdb-simple.c
       ==> tests/test-rhythmdb-simple.c
     rhythmdb/test-rhythmdb-tree-deserialization.c
       ==> tests/test-rhythmdb-tree-deserialization.c
     rhythmdb/test-rhythmdb-tree-serialization.c
       ==> tests/test-rhythmdb-tree-serialization.c

    new directories:
     data/views data/views/.arch-ids widgets/.arch-ids

    removed directories:
     lib/widgets/.arch-ids

    renamed directories:
     lib/widgets
       ==> widgets

    new patches:
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-35
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-36
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-37
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-38
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-39
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-40
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-41
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-42
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-43
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-44
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-45
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-46
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-47
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-48
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-49
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-50
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-51
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-52
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-53
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-54
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-55
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-56
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-57
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-58
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-59
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-60
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-61
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-62
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-63
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-64
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-65
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-66
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-67
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-68
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-69
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-70
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-71
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-72
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-73
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-74
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-75
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-76
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-77
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-78
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-79
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-80
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-81
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-82
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-83
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-84
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-85
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-86
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-87
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-88
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-89
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-90
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-91
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-92
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-93
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-94
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-95
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-96
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-97
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-98
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-99
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-100
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-101
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-102
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-103
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-104
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-105


2003-09-23 16:47:50 GMT	Colin Walters <walters@verbum.org>	patch-74

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--1.0--patch-74


    modified files:
     po/ChangeLog po/cs.po po/sv.po


2003-09-23 03:25:24 GMT	Colin Walters <walters@verbum.org>	patch-73

    Summary:
      apply patch from James Kahn to fix sourcelist growing
    Revision:
      rhythmbox--mainline--1.0--patch-73

    apply patch from James Kahn to fix sourcelist growing
    

    modified files:
     shell/rb-shell.c


2003-09-23 03:12:46 GMT	Colin Walters <walters@verbum.org>	patch-72

    Summary:
      apply patch from Jeremy SIMON <jesimon@libertysurf.fr> to fix flac info
    Revision:
      rhythmbox--mainline--1.0--patch-72

    apply patch from Jeremy SIMON <jesimon@libertysurf.fr> to fix flac info
    

    modified files:
     monkey-media/stream-info-impl/flac-stream-info-impl.c


2003-09-21 22:39:12 GMT	Colin Walters <walters@verbum.org>	patch-71

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--1.0--patch-71


    modified files:
     ChangeLog data/glade/druid.glade po/ChangeLog po/cs.po
     po/el.po po/pt.po po/sr.po po/sr@Latn.po po/sv.po
     shell/rb-shell.c

2003-09-20  Christian Neumair  <chris@gnome-de.org>

	* data/glade/druid.glade:
	* shell/rb-shell.c: (rb_shell_construct):

	Trivial string fixes (#119582).

2003-09-18 04:56:57 GMT	Colin Walters <walters@verbum.org>	patch-70

    Summary:
      update NEWS
    Revision:
      rhythmbox--mainline--1.0--patch-70

    update NEWS
    

    modified files:
     NEWS


2003-09-18 04:53:03 GMT	Colin Walters <walters@verbum.org>	patch-69

    Summary:
      don't distribute built CORBA files
    Revision:
      rhythmbox--mainline--1.0--patch-69

    don't distribute built CORBA files
    

    modified files:
     corba/Makefile.am


2003-09-18 03:08:05 GMT	Colin Walters <walters@verbum.org>	patch-68

    Summary:
      update druid UI using suggestions from Luca Ferretti
    Revision:
      rhythmbox--mainline--1.0--patch-68

    update druid UI using suggestions from Luca Ferretti
    

    modified files:
     data/glade/druid.glade lib/widgets/rb-druid.c


2003-09-16 23:03:33 GMT	Colin Walters <walters@verbum.org>	patch-67

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--1.0--patch-67

    update ChangeLog
    

    modified files:
     ChangeLog


2003-09-18 04:56:57 GMT	Colin Walters <walters@verbum.org>	patch-70

    Summary:
      update NEWS
    Revision:
      rhythmbox--mainline--1.0--patch-70

    update NEWS
    

    modified files:
     NEWS


2003-09-18 04:53:03 GMT	Colin Walters <walters@verbum.org>	patch-69

    Summary:
      don't distribute built CORBA files
    Revision:
      rhythmbox--mainline--1.0--patch-69

    don't distribute built CORBA files
    

    modified files:
     corba/Makefile.am


2003-09-18 03:08:05 GMT	Colin Walters <walters@verbum.org>	patch-68

    Summary:
      update druid UI using suggestions from Luca Ferretti
    Revision:
      rhythmbox--mainline--1.0--patch-68

    update druid UI using suggestions from Luca Ferretti
    

    modified files:
     data/glade/druid.glade lib/widgets/rb-druid.c


2003-09-16 23:03:33 GMT	Colin Walters <walters@verbum.org>	patch-67

    Summary:
      update ChangeLog
    Revision:
      rhythmbox--mainline--1.0--patch-67

    update ChangeLog
    

    modified files:
     ChangeLog


2003-09-16 21:13:25 GMT	Colin Walters <walters@verbum.org>	patch-66

    Summary:
      trivial updates
    Revision:
      rhythmbox--mainline--1.0--patch-66

    trivial updates
    

    modified files:
     README


2003-09-16 21:10:43 GMT	Colin Walters <walters@verbum.org>	patch-65

    Summary:
      note INTERNALS is out of date
    Revision:
      rhythmbox--mainline--1.0--patch-65

    note INTERNALS is out of date
    

    modified files:
     INTERNALS


2003-09-16 20:27:55 GMT	Colin Walters <walters@verbum.org>	patch-64

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--1.0--patch-64


    modified files:
     po/ChangeLog po/it.po


2003-09-15 18:57:20 GMT	Colin Walters <walters@verbum.org>	patch-63

    Summary:
      use new untagged-source directive
    Revision:
      rhythmbox--mainline--1.0--patch-63

    use new untagged-source directive
    

    modified files:
     {arch}/=tagging-method


2003-09-15 04:10:15 GMT	Colin Walters <walters@verbum.org>	patch-62

    Summary:
      merge with desrt
    Revision:
      rhythmbox--mainline--1.0--patch-62

    merge with desrt
    
    Patches applied:
    
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-9
       walters pre-0.5.4 changes
    
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-10
       gobject init/finalize improvements to rbsongdisplaybox, cleanup on ellipsizing
    

    modified files:
     lib/widgets/rb-ellipsizing-label.c
     lib/widgets/rb-song-display-box.c

    new patches:
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-9
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-10


2003-09-15 01:30:51 GMT	Colin Walters <walters@verbum.org>	patch-61

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--1.0--patch-61


    modified files:
     po/ChangeLog po/be.po


2003-09-15 01:27:27 GMT	Colin Walters <walters@verbum.org>	patch-60

    Summary:
      help updates from Mark Humphreys <mmarquee@btinternet.com>
    Revision:
      rhythmbox--mainline--1.0--patch-60

    help updates from Mark Humphreys <mmarquee@btinternet.com>
    

    modified files:
     help/C/quick-reference.xml help/C/user-guide.xml


2003-09-12 03:34:26 GMT	Colin Walters <walters@verbum.org>	patch-59

    Summary:
      be sure to exit a thread even if the action queue is nonempty
    Revision:
      rhythmbox--mainline--1.0--patch-59

    be sure to exit a thread even if the action queue is nonempty
    

    modified files:
     library/rb-library-main-thread.c


2003-09-11 01:12:26 GMT	Colin Walters <walters@verbum.org>	patch-58

    Summary:
      update po/ChangeLog
    Revision:
      rhythmbox--mainline--1.0--patch-58

    update po/ChangeLog
    

    modified files:
     po/ChangeLog


2003-09-10 22:21:07 GMT	Colin Walters <walters@verbum.org>	patch-57

    Summary:
      add missing file to dist, from William Jon McCann <mccannwj@pha.jhu.edu>
    Revision:
      rhythmbox--mainline--1.0--patch-57

    add missing file to dist, from William Jon McCann <mccannwj@pha.jhu.edu>
    

    modified files:
     ChangeLog lib/widgets/Makefile.am


2003-09-10 22:14:08 GMT	Colin Walters <walters@verbum.org>	patch-56

    Summary:
      spec file fixes from William Jon McCann <mccannwj@pha.jhu.edu>
    Revision:
      rhythmbox--mainline--1.0--patch-56

    spec file fixes from William Jon McCann <mccannwj@pha.jhu.edu>
    

    modified files:
     ChangeLog rhythmbox.spec.in


2003-09-10 20:37:33 GMT	Colin Walters <walters@verbum.org>	patch-55

    Summary:
      sync with CVS
    Revision:
      rhythmbox--mainline--1.0--patch-55

    sync with CVS
    

    modified files:
     po/ChangeLog po/cs.po po/es.po po/pl.po po/pt.po


2003-09-10 20:34:16 GMT	Colin Walters <walters@verbum.org>	patch-54

    Summary:
      Hardcode use of mad/vorbisfile/flacdec, until spider works
    Revision:
      rhythmbox--mainline--1.0--patch-54

    Hardcode use of mad/vorbisfile/flacdec, until spider works
    

    modified files:
     NEWS monkey-media/monkey-media-player-gst-tmp.c

	
2003-09-10 04:51:32 GMT	Colin Walters <walters@verbum.org>	patch-53

    Summary:
      don't try to use errors as formatting messages
    Revision:
      rhythmbox--mainline--1.0--patch-53

    don't try to use errors as formatting messages
    

    modified files:
     lib/rb-dialog.c


2003-09-09 07:41:02 GMT	Colin Walters <walters@verbum.org>	patch-52

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--1.0--patch-52


    modified files:
     ChangeLog


2003-09-09 07:38:57 GMT	Colin Walters <walters@verbum.org>	patch-51

    Summary:
      move lib before rhythmdb in build order
    Revision:
      rhythmbox--mainline--1.0--patch-51

    move lib before rhythmdb in build order
    

    modified files:
     Makefile.am

2003-09-10  William Jon McCann  <mccann@jhu.edu>
 
	* lib/widgets/Makefile.am (librbwidgets_la_SOURCES):
 	Added missing file.
 
2003-09-10  William Jon McCann  <mccann@jhu.edu>

	* rhythmbox.spec.in: Added new files.

	* lib/widgets/Makefile.am (librbwidgets_la_SOURCES):
	Added missing file.

2003-09-07 21:30:16 GMT Colin Walters <walters@verbum.org>      patch-50
 
    Summary:
      resolve relative symlinks correctly
    Revision:
      rhythmbox--mainline--1.0--patch-50
 
    resolve relative symlinks correctly
     
 
    modified files:
     lib/rb-file-helpers.c
 
2003-09-07 21:06:29 GMT	Colin Walters <walters@verbum.org>	patch-48

    Summary:
      merge in rhythmdb, not used elsewhere in rb yet
    Revision:
      rhythmbox--mainline--1.0--patch-48

    merge in rhythmdb, not used elsewhere in rb yet
    
    Patches applied:
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--base-0
       tag of walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--base-0
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-1
       merge in some rhythmdb work
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-2
       RhythmDB compiles again.  Try to implement deletion correctly.
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-3
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-4
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-5
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-6
       more tests
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-7
       zero out the entry memchunks on allocation
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-8
       fix a memory leak, thanks valgrind!
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-9
       more RhythmDB tests
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-10
       more extensive test suite, and work to pass it
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-11
       make test-indexing not segfault
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-12
       add query regression tests, fix up query arg parsing
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-13
       fix rb_gvalue_compare
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-14
       fix query parsing and evaluation, add more query regression tests
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-15
       merge from mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-16
       query tests for indexed attrs, and fix some bugs they found
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-17
       regression tests for mirrored properties
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-18
       test for fwrite_unlocked
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-19
       first attempt at implementing XML serialization
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-20
       minor GValue optimizations
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-21
       more regression tests.  Correctly delete database on unref
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-22
       fix uninitialized value and use of a freed str, thanks valgrind!
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-23
       move tests to rhythmdb, fix up query tests, fix up entry adding in treedb
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-24
       first serialization regression tests, and assoc. bugfixes
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-25
       SAX-based deserializer, with a single regression test
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-26
       Minor cleanups, make simple tests work again
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-27
       Move loading to separate thread.  Add _shutdown method.  More deserialization tests.
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-28
       Squash more memory leaks.
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-29
       Squash a few more (minor) memory leaks.
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-30
       Index entries by URI.  Add URI parameter to creation.  Fix regression tests.
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-31
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-32
       kill off entry model cruft
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-33
       babble a bit about converting in DESIGN
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-34
       discussion of threading issues in DESIGN
    

    new files:
     rhythmdb/deserialization-test1.xml
     rhythmdb/deserialization-test2.xml
     rhythmdb/deserialization-test3.xml
     rhythmdb/test-rhythmdb-indexing.c
     rhythmdb/test-rhythmdb-query.c rhythmdb/test-rhythmdb-simple.c
     rhythmdb/test-rhythmdb-tree-deserialization.c
     rhythmdb/test-rhythmdb-tree-serialization.c

    removed files:
     rhythmdb/rhythmdb-entry-model.c
     rhythmdb/rhythmdb-entry-model.h

    modified files:
     Makefile.am configure.ac lib/rb-util.c rhythmdb/.cvsignore
     rhythmdb/DESIGN rhythmdb/Makefile.am rhythmdb/rhythmdb-tree.c
     rhythmdb/rhythmdb-tree.h rhythmdb/rhythmdb.c
     rhythmdb/rhythmdb.h tests/Makefile.am {arch}/=tagging-method

    new patches:
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--base-0
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-1
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-2
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-3
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-4
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-5
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-6
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-7
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-8
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-9
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-10
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-11
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-12
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-13
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-14
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-15
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-16
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-17
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-18
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-19
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-20
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-21
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-22
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-23
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-24
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-25
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-26
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-27
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-28
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-29
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-30
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-31
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-32
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-33
     walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-34


2003-09-07 20:27:57 GMT	Colin Walters <walters@verbum.org>	patch-47

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--1.0--patch-47


    modified files:
     po/ChangeLog po/ja.po po/nl.po


2003-09-07 19:53:29 GMT	Colin Walters <walters@verbum.org>	patch-46

    Summary:
      make it compile with -Werror
    Revision:
      rhythmbox--mainline--1.0--patch-46

    make it compile with -Werror
    

    modified files:
     lib/widgets/rb-song-display-box.c


2003-09-07 19:50:40 GMT	Colin Walters <walters@verbum.org>	patch-45

    Summary:
      update HACKING, README
    Revision:
      rhythmbox--mainline--1.0--patch-45

    update HACKING, README
    

    modified files:
     HACKING README


2003-09-07 02:46:03 GMT	Colin Walters <walters@verbum.org>	patch-44

    Summary:
      update NEWS, configure.ac
    Revision:
      rhythmbox--mainline--1.0--patch-44

    update NEWS, configure.ac
    

    modified files:
     NEWS configure.ac


2003-09-07 01:01:54 GMT	Colin Walters <walters@verbum.org>	patch-43

    Summary:
      more internet radio stations, from Nadav Rotem <nadavrotem@mail.ru>
    Revision:
      rhythmbox--mainline--1.0--patch-43

    more internet radio stations, from Nadav Rotem <nadavrotem@mail.ru>
    

    modified files:
     data/iradio-initial.pls


2003-09-07 00:37:34 GMT	Colin Walters <walters@verbum.org>	patch-42

    Summary:
      Update from CVS
    Revision:
      rhythmbox--mainline--1.0--patch-42


    modified files:
     po/ChangeLog po/ja.po po/nl.po po/sr.po po/sr@Latn.po


2003-09-06 14:39:20 GMT	Colin Walters <walters@verbum.org>	patch-41

    Summary:
      merge with CVS
    Revision:
      rhythmbox--mainline--1.0--patch-41

    merge with CVS
    
    Patches applied:
    
     * walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-27
       merge with mainline
    

    modified files:
     po/ChangeLog po/POTFILES.in po/cs.po po/nl.po po/no.po
     po/sr.po po/sr@Latn.po po/sv.po

    new patches:
     walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-27


2003-09-05 06:06:04 GMT	Colin Walters <walters@verbum.org>	patch-40

    Summary:
      merge with CVS
    Revision:
      rhythmbox--mainline--1.0--patch-40

    merge with CVS
    
    Patches applied:
    
     * walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-22
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-23
       update changelog
    
     * walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-24
       merge with CVS
    
     * walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-25
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-26
       update ChangeLog
    

    modified files:
     ChangeLog po/ChangeLog po/pl.po

    new patches:
     walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-22
     walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-23
     walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-24
     walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-25
     walters@rhythmbox.org--2003/rhythmbox--cvs--1.0--patch-26


2003-09-07 21:06:29 GMT	Colin Walters <walters@verbum.org>	patch-48

    Summary:
      merge in rhythmdb, not used elsewhere in rb yet
    Revision:
      rhythmbox--mainline--1.0--patch-48

    merge in rhythmdb, not used elsewhere in rb yet
    
    Patches applied:
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--base-0
       tag of walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--base-0
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-1
       merge in some rhythmdb work
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-2
       RhythmDB compiles again.  Try to implement deletion correctly.
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-3
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-4
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-5
       merge with mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--rhythmdb--1.0--patch-6
	
2003-09-05 06:00:50 GMT	Colin Walters <walters@verbum.org>	patch-25

    Summary:
      merge with mainline
    Revision:
      rhythmbox--cvs--1.0--patch-25

    merge with mainline
    
    Patches applied:
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--base-0
       tag of desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-5
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-1
       initial display box changes
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-2
       updates from mainline
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-3
       fixes
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-4
       changed allocation algorithm to not use gtk_widget_hide, properly integrated the displaybox into the player widget
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-5
       cleanup: removed ifdef conditionals for ellipsizing label from rblink
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-6
       changed allocation routine to allow albumna... if there is room
    
     * desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-7
       update to mainline
    
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-6
       merge with walters--mainline
    
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-7
       sync to walters' tree
    
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-8
       merge of displaybox into mainline
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-37
       rhythmbox 0.5.3
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-38
       merge post-0-5-3
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-39
       merge with desrt
    
     * walters@rhythmbox.org--2003/rhythmbox--post-0-5-3--1.0--base-0
       tag of walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-26
    
     * walters@rhythmbox.org--2003/rhythmbox--post-0-5-3--1.0--patch-1
       implement duration on tray tooltip
    
     * walters@rhythmbox.org--2003/rhythmbox--post-0-5-3--1.0--patch-2
       more corba interface methods, from Rached Ben Mustapha
    

    new files:
     lib/widgets/rb-song-display-box.c
     lib/widgets/rb-song-display-box.h

    modified files:
     configure.ac corba/Rhythmbox.idl lib/widgets/Makefile.am
     lib/widgets/rb-ellipsizing-label.c
     lib/widgets/rb-ellipsizing-label.h lib/widgets/rb-link.c
     lib/widgets/rb-link.h lib/widgets/rb-player.c
     lib/widgets/rb-player.h shell/main.c shell/rb-shell-player.c
     shell/rb-shell-player.h shell/rb-shell.c

    new patches:
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--base-0
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-1
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-2
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-3
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-4
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-5
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-6
     desrt@desrt.ca--2003/rhythmbox--displaybox--1.0--patch-7
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-6
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-7
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-8
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-37
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-38
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-39
     walters@rhythmbox.org--2003/rhythmbox--post-0-5-3--1.0--base-0
     walters@rhythmbox.org--2003/rhythmbox--post-0-5-3--1.0--patch-1
     walters@rhythmbox.org--2003/rhythmbox--post-0-5-3--1.0--patch-2


2003-09-05 02:20:59 GMT Colin Walters <walters@verbum.org>      patch-22
 
    Summary:
      merge with mainline
    Revision:
      rhythmbox--cvs--1.0--patch-22
 
    merge with mainline
     
    Patches applied:
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-34
       merge with cvs
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-35
       don't allow dragging from the sourcelist
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-36
       re-add patch from yann to fix DND
     
 
    modified files:
     lib/widgets/eggtreemultidnd.c
     lib/widgets/rb-sourcelist-model.c
 
    new patches:
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-34
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-35
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-36
 
 
2003-09-04 05:36:56 GMT Colin Walters <walters@verbum.org>      patch-20
 
    Summary:
      merge with mainline
    Revision:
      rhythmbox--cvs--1.0--patch-20
 
    merge with mainline
     
    Patches applied:
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-30
       fix error in small display when the view is not visible
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-31
       move arch-tags in help XML files after xml declaration
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-32
       Use correct component for setting ShowWindow cmd active in tray icon
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-33
       revert previous change, fix type=toggle in ui xml file
     
 
    modified files:
     ChangeLog data/ui/rhythmbox-ui.xml.in help/C/legal.xml
     help/C/quick-reference.xml lib/widgets/rb-node-view.c
 
    new patches:
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-30
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-31
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-32
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-33

	
2003-09-03 16:45:22 GMT Colin Walters <walters@verbum.org>      patch-19
 
    Summary:
      disting fixes
    Revision:
      rhythmbox--cvs--1.0--patch-19
 
    disting fixes
     
    Patches applied:
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-27
       implement duration display on tray tooltip
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-28
       revert previous changes, should have been on post-0-5-3
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-29
       disting fixes, updates to tagging method
     
 
    modified files:
     data/Makefile.am lib/widgets/Makefile.am
     {arch}/=tagging-method
 
    new patches:
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-27
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-28
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-29
 
2003-09-03 01:22:56 GMT	Colin Walters <walters@verbum.org>	patch-16

    Summary:
      merge with mainline
    Revision:
      rhythmbox--cvs--1.0--patch-16

    merge with mainline
    
    Patches applied:
    
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-5
       statusbar state wasn't synced at startup and therefore was always initially visible regardless of the gconf setting.  introduced a sync call in rb-shell.c just before the main window is presented
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-19
       merge with CVS
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-20
       merge with desrt
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-21
       update NEWS
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-22
       spell Yann's name correctly
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-23
       -Werror fixes
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-24
       fix playlist deletion
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-25
       merge with cvs
    
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-26
       merge small-fixes
    
     * walters@rhythmbox.org--2003/rhythmbox--small-fixes--1.0--base-0
       tag of walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-21
    
     * walters@rhythmbox.org--2003/rhythmbox--small-fixes--1.0--patch-1
       kill of CVS $Id: lines
    

    modified files:
     NEWS iradio/rb-iradio-backend.c iradio/rb-iradio-backend.h
     iradio/rb-new-station-dialog.c iradio/rb-new-station-dialog.h
     iradio/rb-station-properties-dialog.c
     iradio/rb-station-properties-dialog.h lib/rb-bonobo-helpers.c
     lib/rb-bonobo-helpers.h lib/rb-cut-and-paste-code.c
     lib/rb-cut-and-paste-code.h lib/rb-debug.c lib/rb-debug.h
     lib/rb-dialog.c lib/rb-dialog.h lib/rb-enums.h
     lib/rb-file-helpers.c lib/rb-file-helpers.h
     lib/rb-file-monitor.c lib/rb-file-monitor.h
     lib/rb-glade-helpers.c lib/rb-glade-helpers.h
     lib/rb-preferences.h lib/rb-stock-icons.c lib/rb-stock-icons.h
     lib/rb-string-helpers.c lib/rb-string-helpers.h
     lib/rb-thread-helpers.c lib/rb-thread-helpers.h lib/rb-util.c
     lib/rb-util.h lib/widgets/rb-druid.c lib/widgets/rb-druid.h
     lib/widgets/rb-link.c lib/widgets/rb-link.h
     lib/widgets/rb-load-failure-dialog.c
     lib/widgets/rb-load-failure-dialog.h
     lib/widgets/rb-node-view.c lib/widgets/rb-node-view.h
     lib/widgets/rb-player.c lib/widgets/rb-player.h
     lib/widgets/rb-rating.c lib/widgets/rb-rating.h
     lib/widgets/rb-search-entry.c lib/widgets/rb-search-entry.h
     lib/widgets/rb-song-info.c lib/widgets/rb-song-info.h
     lib/widgets/rb-sourcelist-model.c
     lib/widgets/rb-sourcelist-model.h lib/widgets/rb-sourcelist.c
     lib/widgets/rb-sourcelist.h lib/widgets/rb-tree-model-node.c
     lib/widgets/rb-tree-model-node.h
     lib/widgets/rb-tree-model-sort.c
     lib/widgets/rb-tree-model-sort.h
     lib/widgets/rb-tree-view-column.c
     lib/widgets/rb-tree-view-column.h lib/widgets/rb-tree-view.c
     lib/widgets/rb-tree-view.h lib/widgets/rb-volume.c
     lib/widgets/rb-volume.h library/rb-library-action.c
     library/rb-library-action.h library/rb-library-dnd-types.h
     library/rb-library-main-thread.c
     library/rb-library-main-thread.h
     library/rb-library-walker-thread.c
     library/rb-library-walker-thread.h library/rb-library.c
     library/rb-library.h library/rb-node-common.h
     library/rb-node-db.c library/rb-node-db.h
     library/rb-node-filter.c library/rb-node-filter.h
     library/rb-node.c library/rb-node.h
     monkey-media/monkey-media-audio-cd-private.h
     monkey-media/monkey-media-audio-cd.c
     monkey-media/monkey-media-audio-cd.h
     monkey-media/monkey-media-audio-quality.c
     monkey-media/monkey-media-audio-quality.h
     monkey-media/monkey-media-musicbrainz.c
     monkey-media/monkey-media-musicbrainz.h
     monkey-media/monkey-media-player-gst-old.c
     monkey-media/monkey-media-player-gst-tmp.c
     monkey-media/monkey-media-player-gst.c
     monkey-media/monkey-media-player-xine.c
     monkey-media/monkey-media-player.h
     monkey-media/monkey-media-private.h
     monkey-media/monkey-media-stream-info.c
     monkey-media/monkey-media-stream-info.h
     monkey-media/monkey-media.c monkey-media/monkey-media.h
     monkey-media/sha1.c monkey-media/sha1.h
     monkey-media/stream-info-impl/audiocd-stream-info-impl.c
     monkey-media/stream-info-impl/audiocd-stream-info-impl.h
     monkey-media/stream-info-impl/flac-stream-info-impl.c
     monkey-media/stream-info-impl/flac-stream-info-impl.h
     monkey-media/stream-info-impl/id3-vfs/field.h
     monkey-media/stream-info-impl/id3-vfs/file.h
     monkey-media/stream-info-impl/id3-vfs/global.h
     monkey-media/stream-info-impl/id3-vfs/tag.h
     monkey-media/stream-info-impl/mp3-stream-info-impl.c
     monkey-media/stream-info-impl/mp3-stream-info-impl.h
     monkey-media/stream-info-impl/vorbis-stream-info-impl.c
     monkey-media/stream-info-impl/vorbis-stream-info-impl.h
     rhythmdb/rhythmdb-entry-model.c
     rhythmdb/rhythmdb-entry-model.h rhythmdb/rhythmdb-tree.c
     rhythmdb/rhythmdb-tree.h rhythmdb/rhythmdb.c
     rhythmdb/rhythmdb.h shell/main.c shell/rb-commander.c
     shell/rb-commander.h shell/rb-playlist-manager.c
     shell/rb-playlist-manager.h shell/rb-shell-clipboard.c
     shell/rb-shell-clipboard.h shell/rb-shell-player.c
     shell/rb-shell-player.h shell/rb-shell-preferences.c
     shell/rb-shell-preferences.h shell/rb-shell.c shell/rb-shell.h
     shell/rb-source-header.c shell/rb-source-header.h
     shell/rb-statusbar.c shell/rb-statusbar.h shell/rb-tray-icon.c
     shell/rb-tray-icon.h sources/rb-audiocd-source.c
     sources/rb-audiocd-source.h sources/rb-iradio-source.c
     sources/rb-iradio-source.h sources/rb-library-source.c
     sources/rb-library-source.h sources/rb-playlist-source.c
     sources/rb-playlist-source.h sources/rb-song-info-helpers.h
     sources/rb-source.c sources/rb-source.h

    new patches:
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-5
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-19
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-20
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-21
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-22
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-23
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-24
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-25
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-26
     walters@rhythmbox.org--2003/rhythmbox--small-fixes--1.0--base-0
     walters@rhythmbox.org--2003/rhythmbox--small-fixes--1.0--patch-1

2003-09-02 16:59:56 GMT Colin Walters <walters@verbum.org>      patch-13
 
    Summary:
      sync with mainline
    Revision:
      rhythmbox--cvs--1.0--patch-13
 
    sync with mainline
     
    Patches applied:
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-18
       enable previous button even for first node
     
 
    modified files:
     ChangeLog shell/rb-shell-player.c
 
    new patches:
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-18
 
2003-09-02  Yann Rouillard <yann@cvs.gnome.org>
                                                                                       
        * shell/rb-playlist-manager.c: (load_playlist_response_cb):
                                                                                       
        Escaped the playlist filename to load.
                                                                                       
        * shell/rb-playlist-manager.c: (rb_playlist_manager_validate_name),
        (rb_playlist_manager_new_playlist_dialog),
        (rb_playlist_manager_rename_playlist_dialog):
                                                                                       
        Tiny ui improvements: new playlist dialog now always
        displays an unused playlist name, and rename playlist
        dialog displays the previous name instead of "Untitled".

2003-09-02  James Willcox  <jwillcox@gnome.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_set_property),
	(rb_node_view_scroll_to_node), (rb_node_view_node_is_visible):
	* lib/widgets/rb-node-view.h:

	Added rb_node_view_node_is_visible(), and use it when deciding
	whether or not to scroll when playing a node.

2003-09-02 07:51:52 GMT Colin Walters <walters@verbum.org>      patch-12
 
    Summary:
      merge from mainline
    Revision:
      rhythmbox--cvs--1.0--patch-12
 
    merge from mainline
     
    Patches applied:
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-14
       add desrt to AUTHORS
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-15
       more intelligent view scrolling
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-16
       revert previous change
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-17
       remove cruft accidentally commited in previous cset
     
 
    modified files:
     AUTHORS ChangeLog
 
    new patches:
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-14
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-15
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-16
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-17
 
2003-09-02 03:43:06 GMT Colin Walters <walters@verbum.org>      patch-11

    Summary:
      merge with mainline
    Revision:
      rhythmbox--cvs--1.0--patch-11

    merge with mainline

    Patches applied:

     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-13
       Fix up authors.xml output, update NEWS


    modified files:
     ChangeLog NEWS help/C/Makefile.am lib/rb-preferences.h
     shell/rb-shell-player.c shell/rb-shell-player.h
     shell/rb-shell.c shell/rb-source-header.c
     shell/rb-source-header.h

    new patches:
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-13

	
2003-09-02 03:33:33 GMT Colin Walters <walters@verbum.org>      patch-10

    Summary:
      merge with mainline
    Revision:
      rhythmbox--cvs--1.0--patch-10
 
    merge with mainline
     
    Patches applied:
     
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--base-0
       tag of walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-8
     
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-1
       sync to walter's tree
     
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-2
       more walter changes
     
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-3
       small-display merge
     
     * desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-4
       made view menu items sensitive to small display mode
     
     * desrt@desrt.ca--2003/rhythmbox--small-display--1.0--base-0
       tag of desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-1
     
     * desrt@desrt.ca--2003/rhythmbox--small-display--1.0--patch-1
       initial small display support
     
     * walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-12
       merge with desrt, pick up small-display
     
 
    modified files:
     data/rhythmbox.schemas data/ui/rhythmbox-ui.xml.in
     lib/rb-preferences.h shell/rb-shell-player.c
     shell/rb-shell-player.h shell/rb-shell.c
     shell/rb-source-header.c shell/rb-source-header.h
 
    new patches:
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--base-0
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-1
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-2
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-3
     desrt@desrt.ca--2003/rhythmbox--mainline--1.0--patch-4
     desrt@desrt.ca--2003/rhythmbox--small-display--1.0--base-0
     desrt@desrt.ca--2003/rhythmbox--small-display--1.0--patch-1
     walters@rhythmbox.org--2003/rhythmbox--mainline--1.0--patch-12
	
2003-09-01  Yann Rouillard <yann@cvs.gnome.org>

	* shell/rb-shell.c: (rb_shell_construct):

	Moved library creation before tray icon initialization.
	This fixes segmentation fault when dnd'ing on tray icon.

2003-09-01  Metin Amiroff  <metin@karegen.com>

	* configure.ac: Added "az" in ALL_LINGUAS.

2003-09-01  desrt@desrt.ca

	* data/ui/rhythmbox-ui.xml.in:
	* shell/rb-tray-icon.c: (rb_tray_icon_init), (rb_tray_icon_new),
	(rb_tray_icon_button_press_event_cb), (sync_menu),
	(rb_tray_icon_show_window_changed_cb), (rb_tray_set_visibility):

	Restore tray icon to original behavior.

Sun, 31 Aug 2003 Paolo Borelli  <pborelli@katamail.com>

	* shell/rb-shell-player (rb_shell_player_have_previous),
	(rb_shell_player_have_next), (rb_shell_player_sync_buttons):

	Misc cleanups.

2003-09-01  Bastien Nocera  <hadess@hadess.net>

	* xine-output/.cvsignore: readd .cvsignore

2003-09-01  Bastien Nocera  <hadess@hadess.net>

	* TODO: removed TODO item about the first-time wizard
	* xine-output/.cvsignore: removed

Mon,  1 Sep 2003 03:30:05 -0400  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_construct):

	Don't crash on comments in node view files.

Mon,  1 Sep 2003 00:21:52 -0400  Colin Walters  <walters@verbum.org>

	* Add arch tags to most files.  Update .cvsignores to ignore
	arch bits.

Sat, 30 Aug 2003 14:40:26 -0400  Colin Walters  <walters@verbum.org>

	* shell/Makefile.am:
	* shell/rb-shell.c: (rb_shell_construct),
	(rb_shell_set_window_title), (tray_deleted_cb):
	* shell/rb-tray-icon.c: (rb_tray_icon_get_type),
	(rb_tray_icon_class_init), (rb_tray_icon_init),
	(rb_tray_icon_finalize), (rb_tray_icon_set_property),
	(rb_tray_icon_get_property), (rb_tray_icon_new),
	(rb_tray_icon_button_press_event_cb), (rb_tray_icon_drop_cb),
	(sync_menu), (rb_tray_icon_cmd_show_window),
	(rb_tray_icon_set_tooltip):
	* shell/rb-tray-icon.h:

	Factor out tray icon code from RBShell into RBTrayIcon.
	
Sat, 30 Aug 2003 14:38:14 -0400  Colin Walters  <walters@verbum.org>

	* shell/rb-playlist-manager.c: (rb_playlist_manager_get_type),
	(rb_playlist_manager_class_init), (rb_playlist_manager_init),
	(rb_playlist_manager_finalize), (rb_playlist_manager_set_property),
	(rb_playlist_manager_get_property),
	(rb_playlist_manager_set_source), (rb_playlist_manager_new),
	(append_new_playlist_source), (rb_playlist_manager_load_playlists),
	(rb_playlist_manager_save_playlists),
	(rb_playlist_manager_cmd_new_playlist),
	(rb_playlist_manager_cmd_rename_playlist),
	(rb_playlist_manager_cmd_delete_playlist),
	(load_playlist_response_cb),
	(rb_playlist_manager_cmd_load_playlist),
	(save_playlist_response_cb), (rb_playlist_manager_validate_name),
	(ask_rename_response_cb), (rb_playlist_manager_cmd_save_playlist),
	(create_playlist_with_name), (add_uri_to_playlist),
	(handle_playlist_entry_into_playlist_cb), (read_playlist_name_cb),
	(create_playlist), (rb_playlist_manager_new_playlist_dialog),
	(rb_playlist_manager_rename_playlist_dialog):
	* shell/rb-playlist-manager.h:

	Add RBPlaylistManager that was forgotten in previous commit.

Sat, 30 Aug 2003 09:20:23 -0400  Colin Walters  <walters@verbum.org>

	* help/C/Makefile.am:
	* help/C/authors.xml:

	Automatically generate authors.xml from AUTHORS, MAINTAINERS,
	and DOCUMENTERS.

Sat, 30 Aug 2003 07:30:31 -0400  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (rb_shell_construct),
	(rb_shell_cmd_extract_cd):

	Always enable Extract CD option, but just display an
	error message if Sound Juicer isn't installed.
	
	* sources/rb-playlist-source.c: (filename_from_name):

	Don't try to guess at multiple names.

Sat, 30 Aug 2003 06:54:46 -0400  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (rb_iradio_backend_finalize):
	* lib/rb-marshal.list:
	* library/rb-library.c: (rb_library_class_init),
	(rb_library_finalize), (signal_progress_changed),
	(rb_library_add_uri_sync), (rb_library_update_uri),
	(poll_status_update):
	* library/rb-library.h:
	* rhythmdb/rhythmdb-entry-model.h:
	* rhythmdb/rhythmdb-tree.c: (evaluate_conjunctive_subquery),
	(do_conjunction), (conjunctive_query), (handle_entry_match),
	(build_entry_query_set), (gather_property), (gather_property_set),
	(rhythmdb_tree_do_property_query), (rhythmdb_tree_do_full_query):
	* rhythmdb/rhythmdb.c: (rhythmdb_entry_set):
	* rhythmdb/rhythmdb.h:
	* shell/Makefile.am:
	* shell/rb-shell.c: (rb_shell_finalize), (rb_shell_construct),
	(rb_shell_library_progress_cb), (rb_shell_append_source),
	(rb_shell_playlist_added_cb), (rb_shell_playlist_load_start_cb),
	(rb_shell_playlist_load_finish_cb), (rb_shell_source_deleted_cb),
	(rb_shell_select_source), (rb_shell_cmd_extract_cd),
	(sourcelist_drag_received_cb), (rb_shell_jump_to_current):
	* shell/rb-statusbar.c: (rb_statusbar_set_progress):
	* shell/rb-statusbar.h:
	* sources/rb-iradio-source.c: (rb_iradio_source_new):
	* sources/rb-iradio-source.h:
	* sources/rb-library-source.c: (rb_library_source_new):
	* sources/rb-library-source.h:
	* sources/rb-playlist-source.c: (rb_playlist_source_new),
	(rb_playlist_source_new_from_file), (name_notify_cb),
	(rb_playlist_source_delete):
	* sources/rb-playlist-source.h:
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_set_property), (rb_source_get_property),
	(default_delete_thyself), (rb_source_delete_thyself):
	* sources/rb-source.h:

	Move all the playlist stuff out of RBShell and into
	RBPlaylistManager.

	Remove some unused idle_save_id cruft.

	Fix up setting the library status a bit so we don't get
	stuck "Refreshing Library..." when it's actually done.

	Avoid deleting the playlist files on startup.

	Some more work on RhythmDB.

Fri, 29 Aug 2003 15:18:57 -0400  Colin Walters  <walters@verbum.org>

	* AUTHORS:

	Add Paolo Borelli.

Fri, 29 Aug 2003  Paolo Borelli  <pborelli@katamail.com>

	* data/ui/rhythmbox-ui.xml.in:
	* sources/rb-library-source.c (rb_library_source_class_init),
	(impl_show_popup):

	Add a popup menu the the library source.

Fri, 29 Aug 2003 14:34:30 -0400  Colin Walters  <walters@verbum.org>

	* lib/rb-util.c: (rb_gvalue_compare):
	* lib/rb-util.h:
	* sources/rb-source.c: (rb_source_get_type):

	It's always a good idea to actually try compiling one's changes
	before committing...

Fri, 29 Aug 2003 14:29:09 -0400  Colin Walters  <walters@verbum.org>

	* lib/rb-util.c: (rb_gvalue_compare):
	* lib/rb-util.h:

	Add GValue comparison function.
	
	* sources/rb-source.c: (rb_source_get_type):

	Make source type abstract.
	
	* rhythmdb/rhythmdb-entry-model.c:
	(rhythmdb_entry_model_set_property), (rhythmdb_entry_model_init),
	(rhythmdb_entry_model_finalize), (insert_hash_entry),
	(rhythmdb_entry_model_new_from_hash),
	(rhythmdb_entry_model_get_n_columns),
	(rhythmdb_entry_model_get_column_type),
	(rhythmdb_entry_model_get_value):
	* rhythmdb/rhythmdb-entry-model.h:
	* rhythmdb/rhythmdb-tree.c: (rhythmdb_tree_get_type),
	(rhythmdb_tree_class_init), (rhythmdb_tree_init),
	(rhythmdb_tree_finalize), (rhythmdb_tree_set_property),
	(rhythmdb_tree_get_property), (rhythmdb_tree_new),
	(rhythmdb_tree_entry_new), (rhythmdb_tree_property_new),
	(get_or_create_genre), (get_or_create_artist),
	(get_or_create_album), (indexed_string_property_differs),
	(remove_child), (set_entry_album), (rhythmdb_tree_entry_set),
	(rhythmdb_tree_entry_get), (rhythmdb_tree_entry_delete),
	(destroy_tree_property), (evaluate_conjunctive_subquery),
	(do_conjunction), (conjunctive_query_songs),
	(conjunctive_query_albums), (conjunctive_query_artists),
	(conjunctive_query), (split_query_by_disjunctions),
	(build_entry_query_set), (rhythmdb_tree_do_entry_query),
	(rhythmdb_tree_do_property_query):
	* rhythmdb/rhythmdb-tree.h:
	* rhythmdb/rhythmdb.c: (rhythmdb_get_type), (rhythmdb_class_init),
	(extract_gtype_from_enum_entry), (rhythmdb_init),
	(rhythmdb_finalize), (rhythmdb_entry_new), (rhythmdb_entry_set):
	* rhythmdb/rhythmdb.h:

	Even more RhythmDB work.

2003-08-29  Bastien Nocera  <hadess@hadess.net>

	* iradio/rb-iradio-backend.c: (rb_iradio_backend_finalize):
	* library/rb-library.c: (rb_library_finalize): fixed warnings on
	exit when no data is in the libraries
	* monkey-media/stream-info-impl/mp3-stream-info-impl.c:
	removed unused includes

2003-08-29  Bastien Nocera  <hadess@hadess.net>

	* TODO: removed TODO item (".keys file")
	* data/.cvsignore: upd
	* data/Makefile.am: added rules to generate rhythmbox.keys from
	rhythmbox.applications
	* data/generate-keys.sh: script that generates the rhythmbox.keys file
	* data/rhythmbox.applications: added a bunch of mime-types

2003-08-29  Bastien Nocera  <hadess@hadess.net>

	* TODO: removed TODO item ("update-from-egg.sh")
	* lib/Makefile.am:
	* lib/update-from-egg.sh:
	* lib/widgets/Makefile.am:
	* lib/widgets/eggintl.h: modified version of eggintl.h with i18n
	so that the other egg files don't need modifications
	* lib/widgets/eggtreemodelfilter.c:
	* lib/widgets/eggtreemultidnd.c: (stop_drag_check),
	(egg_tree_multi_drag_button_release_event),
	(egg_tree_multi_drag_motion_event),
	(egg_tree_multi_drag_button_press_event): updated from libegg
	* lib/widgets/update-from-egg.sh:

Fri, 29 Aug 2003 03:13:34 -0400  Colin Walters  <walters@verbum.org>

	* rhythmdb/rhythmdb-entry-model.c: (rhythmdb_entry_model_get_type),
	(rhythmdb_entry_model_class_init),
	(rhythmdb_entry_model_tree_model_init),
	(rhythmdb_entry_model_set_property), (rhythmdb_get_property),
	(extract_gtype_from_enum_entry), (rhythmdb_entry_model_init),
	(rhythmdb_entry_model_finalize), (rhythmdb_entry_model_new),
	(rhythmdb_entry_model_get_flags),
	(rhythmdb_entry_model_get_n_columns),
	(rhythmdb_entry_model_get_column_type),
	(rhythmdb_entry_model_get_iter), (rhythmdb_entry_model_get_path),
	(rhythmdb_entry_model_get_value), (rhythmdb_entry_model_iter_next),
	(rhythmdb_entry_model_iter_children),
	(rhythmdb_entry_model_iter_has_child),
	(rhythmdb_entry_model_iter_n_children),
	(rhythmdb_entry_model_iter_nth_child),
	(rhythmdb_entry_model_iter_parent):
	* rhythmdb/rhythmdb-entry-model.h:
	* rhythmdb/rhythmdb.c: (rhythmdb_class_init), (rhythmdb_lock),
	(rhythmdb_unlock), (rhythmdb_entry_new), (set_sort_key_value),
	(rhythmdb_entry_set), (rhythmdb_do_entry_query),
	(rhythmdb_do_property_query), (rhythmdb_query_get_type),
	(rhythmdb_prop_get_type), (rhythmdb_unsaved_prop_get_type):
	* rhythmdb/rhythmdb.h:

	More RhythmDB work.

Thu, 28 Aug 2003 22:53:13 -0400  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (rb_iradio_backend_init),
	(rb_iradio_backend_load):
	* library/rb-library.c: (rb_library_release_brakes),
	(rb_library_create_skels):
	* sources/rb-playlist-source.c: (rb_playlist_source_init),
	(songs_view_changed_cb):

	Remove periodic library/iradio/playlist saving.

2003-08-28  Paolo Borelli  <pborelli@katamail.com>
	    Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_class_init),
	(rb_sourcelist_init), (drop_received_cb), (row_activated_cb):
	* lib/widgets/rb-sourcelist.h:
	* shell/rb-shell-player.c: (rb_shell_player_next),
	(rb_shell_player_set_playing_source_internal):
	* shell/rb-shell-player.h:
	* shell/rb-shell.c: (rb_shell_construct), (source_activated_cb),
	(rb_shell_show_popup_cb):

	Add a 'source_activated' signal to the sourcelist and use it in the
	shell so that double-clicking on a source starts playing it.

2003-08-28  Colin Walters  <walters@verbum.org>

	* data/Makefile.am:
	* shell/Makefile.am: Minor build fixes.
	
	* rhythmdb/DESIGN: Update.

2003-08-28  Dafydd Harries  <daf@parnassus.ath.cx>

	* configure.ac: Added "cy" (Welsh) to ALL_LINGUAS.

2003-08-27  Colin Walters  <walters@verbum.org>

	* NEWS: Update.
	
	* lib/widgets/rb-ellipsizing-label.c: (append_ellipsized_text),
	(text_handler), (ellipsize_string), (rb_string_ellipsize_start),
	(rb_string_ellipsize_end), (rb_string_ellipsize_middle),
	(set_text_ellipsized), (rb_ellipsizing_label_get_width),
	(real_size_allocate), (real_expose_event), (entry_changed_cb),
	(main):
	* lib/widgets/rb-ellipsizing-label.h:
	* lib/widgets/rb-link.c: (rb_link_init), (rb_link_set_property),
	(rb_link_enter_notify_event_cb), (rb_link_leave_notify_event_cb):

	Do some work on using ellipsizing labels for the artist/album
	links.  Disabled for now pending some GTK+ fixes.

2003-08-27  Bastien Nocera  <hadess@hadess.net>

	* configure.ac:
	* monkey-media/monkey-media-player-xine.c:
	(monkey_media_player_pause): automatically detect older versions of
	xine-lib and disable the "close audio device on pause" feature

2003-08-26  Colin Walters  <walters@verbum.org>

	* NEWS:
	* configure.ac:

	Update.
	
	* library/rb-library.c: (rb_library_compute_status):

	Remove messages unnecessary for translation (Closes: #120254). 

2003-08-26  Colin Walters  <walters@rhythmbox.org>

	* configure.ac: Release 0.5.2.

2003-08-26  Colin Walters  <walters@verbum.org>

	* rhythmdb/rhythmdb.c: (rhythmdb_get_type), (rhythmdb_class_init),
	(rhythmdb_init), (rhythmdb_finalize), (rhythmdb_set_property),
	(rhythmdb_get_property), (default_lock), (rhythmdb_lock),
	(default_unlock), (rhythmdb_unlock), (rhythmdb_entry_new),
	(rhythmdb_entry_set), (rhythmdb_entry_get),
	(rhythmdb_entry_delete), (rhythmdb_do_entry_query),
	(rhythmdb_do_property_query):
	* rhythmdb/rhythmdb.h:

	More Rhythmdb work.

2003-08-26  Colin Walters  <walters@verbum.org>

	* NEWS:

	Update.
	
	* shell/rb-shell-player.c: (rb_shell_player_set_property),
	(rb_shell_player_set_playing_source_internal):

	Be sure to stop playing when deleting a node from an
	unselected source too.

2003-08-27  Bastien Nocera  <hadess@hadess.net>

	* monkey-media/monkey-media-player-xine.c:
	(monkey_media_player_pause): close the audio device on pause
	(Closes: #120239)

2003-08-26  Colin Walters  <walters@verbum.org>

	* configure.ac: Remove redundant install-schemas option.

2003-08-25  Colin Walters  <walters@verbum.org>

	* NEWS: Update.
	* shell/rb-shell.c: (rb_shell_select_source):
	Only enable "Rename Playlist" when a playlist is
	selected.

2003-08-24  William Jon McCann  <mccann@jhu.edu>

	* shell/rb-shell.c: Backing out alignment changes.

2003-08-24  Colin Walters  <walters@verbum.org>

	* rhythmdb/DESIGN:
	* rhythmdb/Makefile.am:
	* rhythmdb/rhythmdb.h:

	New files.

2003-08-24  Colin Walters  <walters@verbum.org>

	* shell/main.c (main): Only lose if GNOME sound events are
	enabled AND esdsink is enabled.  This ignores xine for now.

2003-08-22  Colin Walters  <walters@verbum.org>

	* HACKING: Update.

2003-08-21  Colin Walters  <walters@verbum.org>

	* sources/rb-playlist-source.c: (rb_playlist_source_new_from_file):

	Fix playlist loading.

2003-08-21  Colin Walters  <walters@verbum.org>
	    Sriram Ramkrishna  <sri@aracnet.com> 

	* data/ui/rhythmbox-ui.xml.in:
	* lib/widgets/rb-sourcelist.c: (name_notify_cb):
	* shell/rb-shell.c: (ask_rename_response_cb),
	(rb_shell_cmd_rename_playlist), (rb_shell_new_playlist_dialog),
	(rb_shell_rename_playlist_dialog):
	* sources/rb-playlist-source.c: (name_notify_cb),
	(rb_playlist_source_load):
	* sources/rb-playlist-source.h:

	Playlist renaming support.  Also fix up playlist saving.

2003-08-20  William Jon McCann  <mccann@jhu.edu>

	* shell/rb-shell.c (rb_shell_construct, struct RBShellPrivate):
	Align source list widget with treeview in other pane per HIG.

2003-08-20  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* sources/rb-playlist-source.c:

	More s/Group/Playlist.

2003-08-19  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-player.c: (eos_cb):

	Use GDK_THREADS_ENTER () instead of gdk_threads_enter ()
	for stylistic reasons.
	
	* sources/rb-library-source.c: (impl_get_status):
	* sources/rb-playlist-source.c: (impl_get_status):

	Quash memory leak.

2003-08-19  Colin Walters  <walters@verbum.org>

	* NEWS:  Update.
	* shell/rb-shell.c (rb_shell_construct): Don't abbreviate
	Rhythmbox as "RB" in messages to users.
	
2003-08-19  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (rb_shell_construct):

	Don't use gtk_widget_show_all to show the shell window, just
	gtk_widget_show.
	
2003-08-18  Mark Humphreys  <marquee@users.sourceforge.net>

	* Makefile.am:
	* configure.ac:
	* data/ui/rhythmbox-ui.xml.in:
	* help/C/authors.xml:
	* help/C/figures/rb-adv.png:
	* help/C/figures/rb-basic.png:
	* help/C/figures/rb-browser.png:
	* help/C/figures/rb-group-create.png:
	* help/C/figures/rb-nextprev.png:
	* help/C/figures/rb-notification-area-menu.png:
	* help/C/figures/rb-notification-area.png:
	* help/C/figures/rb-player.png:
	* help/C/figures/rb-repeat.png:
	* help/C/figures/rb-search.png:
	* help/C/figures/rb-shuffle.png:
	* help/C/figures/rb-sidebar.png:
	* help/C/figures/rb-stats.png:
	* help/C/figures/rb-window.png:
	* help/C/rhythmbox.xml:
	* help/C/user-guide.xml:
	* shell/rb-shell-preferences.c: (help_cb):

	Online help update.

2003-08-19  Christian Neumair  <chris@gnome-de.org>

	* shell/rb-shell.c: (sync_tray_menu), (tray_button_press_event_cb):

	Merge old and new behavior: Open popup menu after any of our popup
	buttons has been clicked.

2003-08-19  Christian Neumair  <chris@gnome-de.org>

	* shell/rb-shell.c: (sync_tray_menu), (tray_button_press_event_cb):

	Only open tray popup menu on right-click for usability/consistency
	reasons.

2003-08-19  Colin Walters  <walters@verbum.org>

	* NEWS:  Update.
	
2003-08-19  Colin Walters  <walters@verbum.org>

	* NEWS:
	* data/rhythmbox.schemas:
	* data/ui/rhythmbox-ui.xml.in:
	* shell/rb-shell.c: (rb_shell_corba_grab_focus),
	(rb_shell_construct), (rb_shell_cmd_show_window),
	(tray_button_press_event_cb), (sync_tray_menu):

	Rework tray icon so that the menu pops up on left click.
	Kill off show/hide window thing, and just make it
	"Show Window".  Also remove the associated GConf visibility
	pref.

2003-08-18  Colin Walters  <walters@verbum.org>

	* lib/rb-marshal.list:
	* library/rb-library-main-thread.c: (file_changed_cb),
	(file_removed_cb), (rb_library_main_thread_finalize),
	(rb_library_main_thread_set_property), (am_dead), (read_action),
	(main_thread_main), (add_thread_main):
	* library/rb-library-walker-thread.c: (add_file), (thread_main):
	* library/rb-library.c: (rb_library_class_init), (rb_library_init),
	(queue_is_empty), (rb_library_is_idle), (rb_library_finalize),
	(signal_status_changed), (signal_progress_changed),
	(rb_library_add_uri), (rb_library_add_uri_sync),
	(rb_library_update_uri), (rb_library_get_add_queue),
	(rb_library_compute_status), (poll_status_update):
	* library/rb-library.h:
	* shell/rb-shell.c: (rb_shell_construct), (source_selected_cb),
	(rb_shell_library_progress_cb):
	* shell/rb-statusbar.c: (rb_statusbar_init),
	(rb_statusbar_finalize), (status_tick_cb),
	(rb_statusbar_set_progress):
	* shell/rb-statusbar.h:

	Major status display rework.  We now display a progress bar on
	library refresh/loading.

	This required a number of changes, including breaking the main
	library thread into two separate threads, one just to handle
	adds and one which processes other requests.

2003-08-15  George Karabin  <gkarabin@pobox.com>

	* rhythmbox.spec.in: Fix gconf installation.
	
2003-08-18  Colin Walters  <walters@verbum.org>

	* NEWS: Update.

2003-08-18  Paul M Edwards  <pauledwards@wwdb.org>

	* data/iradio-initial.pls:  Fix spelling of
	"Digitially Imported".

2003-08-18  Colin Walters  <cwalters@gnome.org>

	* data/rhythmbox.schemas:
	* data/ui/rhythmbox-ui.xml.in:
	* lib/rb-preferences.h:
	* shell/rb-shell-preferences.h:
	* shell/rb-shell.c: (rb_shell_construct):
	* shell/rb-source-header.c: (rb_source_header_get_property):
	* shell/rb-statusbar.c: (rb_statusbar_class_init),
	(rb_statusbar_init), (rb_statusbar_set_property),
	(rb_statusbar_get_property), (rb_statusbar_new),
	(rb_statusbar_sync_state), (rb_statusbar_state_changed_cb),
	(rb_statusbar_view_statusbar_changed_cb):
	* shell/rb-statusbar.h:

	Add ability to hide the statusbar.  Some GConf preferences
	cleanups.

2003-08-18  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_button_press_cb):

	Don't segfault if the click is outside the song list.
	
	* shell/rb-shell-player.c: (rb_shell_player_sync_buttons):

	Be sure to disable properties dialog if there's no selection.

2003-08-18  Yann Rouillard  <yann@cvs.gnome.org>

	* lib/widgets/rb-volume.c (rb_volume_init), 
	(mixer_value_changed_cb), (rb_volume_sync_volume):

	Reverted the slider range so that + et - keys 
	slider accels work correctly.
	
2003-08-18  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* monkey-media/mokey-media-player-gst-tmp.c:
	
	When going to PAUSED, set the sink to NULL. This releases the audio
	device and doesn't hurt when going to PLAYING later.

2003-08-18  Colin Walters  <walters@verbum.org>

	* monkey-media/stream-info-impl/mp3-stream-info-impl.c:
	(MP3_stream_info_impl_id3_tag_get_utf8):

	Don't die if id3_ucs4_utf8duplicate returns NULL.
	
2003-08-18  Colin Walters  <walters@verbum.org>

	* NEWS: Update.
	* configure.ac: Bump to 0.5.1.99.

2003-08-18  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* shell/rb-shell-player.c: (filter_mmkeys):

	Don't segfault on back/forward if there are no
	such songs.

2003-08-18  Yann Rouillard  <yann@cvs.gnome.org>

	* lib/widgets/rb-volume.c (rb_volume_init), (clicked_cb),
	(scale_button_release_event_cb): 

	Volume slider now hides when the button is released and also
	catches scroll events even if the mouse is not above the slider.

2003-08-18  Colin Walters  <walters@verbum.org>

	* sources/rb-library-source.c (rb_library_source_add_location): Don't
	lose on invalid URIs.

2003-08-17  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* shell/rb-shell-player.c: (rb_shell_player_init_mmkeys):

	Don't bind other keycodes if we can't find the special
	multimedia keys.

2003-08-17  Colin Walters  <walters@verbum.org>

	* NEWS: Update.

2003-08-17  Colin Walters  <walters@rhythmbox.org>

	* library/rb-library.c: (rb_library_init), (rb_library_finalize),
	(signal_status_changed), (rb_library_add_uri_sync),
	(rb_library_update_uri), (rb_library_load),
	(rb_library_compute_status), (poll_status_update),
	(get_status_fast), (get_status_normal):

	Better status feedback from the library.  This
	closes #119847.
	
2003-08-17  Colin Walters  <walters@verbum.org>

	* INTERNALS: Update to reflect
	RBGroupSource -> RBPlaylistSource.
	
2003-08-17  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (node_from_tree_path),
	(rb_node_view_rated_cb), (rb_node_view_button_press_cb):
	* sources/rb-library-source.c:
	(rb_library_source_songs_show_popup_cb):

	Popup menus now select the node they were clicked on.  This
	fixes #119846.

2003-08-17  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_append):
	* shell/rb-shell-preferences.c: (rb_shell_preferences_new):

	Use the correct source property to get the name in the
	preferences dialog (Closes: #120068).
	
	Use g_signal_connect_object instead of plain g_signal_connect
	to ensure the signal isn't called after the sourcelist is
	finalized (Closes: #120069).

2003-08-17  Colin Walters  <cwalters@gnome.org>

	* data/art/Makefile.am:
	* data/art/rhythmbox-group.png:
	* lib/rb-dialog.c: (rb_ask_string):
	* lib/rb-stock-icons.c: (rb_stock_icons_init):
	* lib/rb-stock-icons.h:
	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_append):
	* shell/main.c: (main):
	* shell/rb-shell.c: (rb_shell_finalize), (rb_shell_construct),
	(rb_shell_remove_source), (rb_shell_select_source),
	(load_playlist_response_cb), (save_playlist_response_cb),
	(create_playlist_with_name), (add_uri_to_playlist),
	(handle_playlist_entry_into_playlist_cb), (ask_string_response_cb),
	(create_playlist), (rb_shell_cmd_new_playlist),
	(rb_shell_load_playlists), (handle_songs_func),
	(sourcelist_drag_received_cb), (rb_shell_new_playlist_dialog):
	* sources/Makefile.am:
	* sources/rb-group-source.c:
	* sources/rb-group-source.h:
	* sources/rb-playlist-source.c: (rb_playlist_source_get_type),
	(rb_playlist_source_class_init),
	(rb_playlist_source_songs_show_popup_cb),
	(rb_playlist_source_init), (rb_playlist_source_finalize),
	(rb_playlist_source_set_property),
	(rb_playlist_source_get_property), (rb_playlist_source_new),
	(rb_playlist_source_new_from_file), (name_notify_cb),
	(rb_playlist_source_get_file), (impl_get_status),
	(impl_get_browser_key), (impl_get_pixbuf), (impl_get_node_view),
	(impl_get_artist), (impl_get_album), (impl_cut), (impl_paste),
	(impl_delete), (impl_song_properties), (songs_view_changed_cb),
	(rb_playlist_source_periodic_save), (rb_playlist_source_save),
	(rb_playlist_source_load), (rb_playlist_source_delete),
	(rb_playlist_source_add_node), (handle_songs_func),
	(impl_receive_drag), (impl_show_popup),
	(rb_playlist_source_drop_cb), (rb_playlist_source_add_list_uri),
	(filename_from_name), (impl_search), (playlist_iter_func),
	(rb_playlist_source_save_playlist):
	* sources/rb-playlist-source.h:

	Rename Group to Playlist pretty much everywhere.   Add some
	transition code from ~/.gnome2/rhythmbox/groups to
	~/.gnome2/rhythmbox/playlists.

	Fix up a bug on exit introduced in the removal of the
	LC_COLLATE cruft.

	And switch back to having the shell save the active playlists
	on unref instead of the playlists doing it themselves, because
	we apparently can't g_object_get inside a finalize method.
	Grr.

2003-08-17  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_append),
	(rb_sourcelist_remove), (button_press_cb), (name_notify_cb):
	* sources/rb-group-source.c: (rb_group_source_class_init),
	(rb_group_source_init), (rb_group_source_finalize),
	(rb_group_source_set_property), (rb_group_source_get_property),
	(rb_group_source_new), (rb_group_source_new_from_file),
	(name_notify_cb), (rb_group_source_set_name),
	(rb_group_source_get_file):
	* sources/rb-iradio-source.c: (rb_iradio_source_class_init),
	(rb_iradio_source_new):
	* sources/rb-library-source.c: (rb_library_source_class_init),
	(rb_library_source_new), (album_node_selected_cb):
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_finalize), (rb_source_set_property),
	(rb_source_get_property), (rb_source_get_extra_views):
	* sources/rb-source.h:

	Refactor code related to source names.  This kills off some
	old unused view stuff, and also adds infrastructure for
	renaming sources (to be used for the playlists).

2003-08-17  Colin Walters  <walters@verbum.org>

	* configure.ac: Bump to 0.5.0.99.
	* NEWS: Update.

2003-08-17  Colin Walters  <walters@verbum.org>

	* monkey-media/stream-info-impl/mp3-stream-info-impl.c:
	(MP3_stream_info_impl_id3_tag_get_utf8):

	Check for invalid UTF-8, and try to convert it from
	the locale encoding.

2003-08-17  Colin Walters  <walters@verbum.org>

	* shell/main.c (main): Kill off old LC_COLLATE
	workaround (Closes: #119476).

2003-08-17  Colin Walters  <cwalters@gnome.org>

	* shell/rb-shell-player.c: (rb_shell_player_init):

	And add a tooltip on the volume control.

2003-08-17  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-player.c: (rb_shell_player_init),
	(rb_shell_player_set_play_button):

	Tooltips on previous/play/next buttons.

2003-08-16  Colin Walters  <walters@rhythmbox.org>

	* configure.ac:  Release 0.5.0.
	
2003-08-16  Colin Walters  <walters@verbum.org>

	* lib/Makefile.am:
	* lib/getline.c:
	* lib/getline.h:
	* lib/getstr.c:
	* lib/getstr.h:

	Kill off this cruft.

2003-08-16  Colin Walters  <walters@verbum.org>

	* configure.ac:
	
	The GtkTreeView workaround can now be controlled
	via configure.

	* lib/widgets/rb-node-view.c: (rb_node_view_thaw),
	(rb_node_view_freeze), (rb_node_view_set_property),
	(rb_node_view_construct), (rb_node_view_rated_cb),
	(filter_changed_cb), (rb_node_view_set_playing):
	* lib/widgets/rb-node-view.h:
	* shell/rb-shell-player.c: (eos_cb):
	* shell/rb-shell.c: (rb_shell_jump_to_current):

	Re-implement workaround for 119797.  This fixes
	the case where when going from one song to another
	displayed the treeview weirdness.

	Also, we added some optimizations that make
	Jump to Playing Song way faster if there is
	no active search.  This also has the side
	effect of not giving the treeview weirdness.

	However, the cause where there is an active search,
	and you jump to current, still causes corruption.
	This one does not appear to be easily fixable.

2003-08-16  Colin Walters  <walters@verbum.org>

	* NEWS: Update.

2003-08-16  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* configure.ac:
	* shell/rb-shell-player.c: (rb_shell_player_init), (grab_mmkey),
	(filter_mmkeys), (rb_shell_player_init_mmkeys):

	Listen to multimedia keys (enabled by default).

2003-08-16  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* data/node-views/rb-node-view-iradio-genres.xml:

	Use correct TITLE column in iradio genre list.

2003-08-16  James Kahn  <james@liet.net>

	* shell/rb-shell.c: (rb_shell_construct),
	(rb_shell_sync_paned), (paned_changed_cb):
	
	Store paned state in gconf proportional to unmaximised
	window.  Fixes #119833.  Also removed a duplicate call
	to rb_shell_sync_window_visibility.

2003-08-16  Colin Walters  <cwalters@gnome.org>

	* NEWS: Update.
	* shell/rb-shell.c (rb_shell_select_source): Don't re-select
	the same source if it's already selected.

2003-08-15  Yann Rouillard  <yann@cvs.gnome.org>

	* iradio/rb-new-station-dialog.c: 
	(rb_iradio_backend_get_genre_names)
	* iradio/rb-new-station-dialog.c:
	(rb_new_station_dialog_entry_changed_cb):

	Fixed a missing gettext call and made impossible 
	to enter the "All" genre in the new station dialog.	

2003-08-15  Colin Walters  <walters@verbum.org>

	* NEWS:  Update.
	* configure.ac: Prerelease 0.4.99.5.
	
2003-08-15  Colin Walters  <walters@verbum.org>

	* data/node-views/rb-node-view-iradio-stations.xml:
	* data/node-views/rb-node-view-songs.xml:
	* lib/widgets/rb-node-view.c: (set_columns_unfixed),
	(set_columns_fixed), (rb_node_view_set_property),
	(rb_node_view_construct), (rb_node_view_rated_cb):

	Implement Kristian Rietveld's workaround for 119797.
	Thanks Kristian!

2003-08-15  William Jon McCann  <mccann@jhu.edu>

	* rhythmbox.spec.in: 
	* corba/Makefile.am: Don't install Rhythmbox.h.

2003-08-15  Colin Walters  <walters@verbum.org>

	* library/rb-library-main-thread.c: (thread_main):
	* library/rb-library-walker-thread.c:
	(rb_library_walker_thread_kill), (thread_main):
	* library/rb-library.c: (rb_library_init), (rb_library_shutdown),
	(rb_library_finalize), (rb_library_add_uri_sync),
	(poll_status_update), (get_status_fast):
	* library/rb-library.h:
	* shell/rb-shell.c: (rb_shell_finalize):

	Be sure to hold the GDK lock when emitting the status changed
	signal.  This was a nasty bug added a few changes ago.

	Also, do some gymnastics to try to ensure that any active
	walker threads are cleanly shut down when the user clicks
	close.

2003-08-14  Colin Walters  <walters@verbum.org>

	* library/rb-library-walker-thread.c: (add_file), (thread_main):
	* library/rb-library.c: (rb_library_is_idle),
	(rb_library_finalize), (rb_library_add_uri):

	When we try popping the action queue to see whether the library
	is busy or not, be sure to re-add the item we possibly popped.
	This closes #119895.

	Also add some more debugging bits in various places.

2003-08-13  David Holmes  <dholmes@myrealbox.com>

	* lib/widgets/rb-volume.c: (scroll_cb): Don't allow the volume
	to go over 1.0 or below 0.

2003-08-14  Colin Walters  <walters@verbum.org>

	* library/rb-library-action-queue.h:
	* library/rb-library-action.c:
	* library/rb-library-action.h:
	* library/rb-library-walker-thread.c:
	* library/rb-library-walker-thread.h:
	* library/rb-library.c: (rb_library_class_init), (rb_library_init),
	(rb_library_finalize), (signal_status_changed),
	(rb_library_add_uri), (rb_library_add_uri_sync), (song_added_cb),
	(sync_node), (rb_library_update_node), (rb_library_compute_status),
	(poll_status_update), (get_status_fast), (get_status_full):
	* library/rb-library.h:
	* shell/rb-shell.c: (async_library_release_brakes),
	(source_selected_cb):
	* sources/rb-group-source.c: (impl_get_status),
	(songs_view_changed_cb), (impl_search):
	* sources/rb-library-source.c: (rb_library_source_finalize),
	(rb_library_source_set_property), (impl_get_status), (impl_search),
	(library_status_changed_cb), (songs_view_changed_cb),
	(artists_filter), (albums_filter), (songs_filter):

	Refactor status caching stuff.  The code for summarizing the library
	status has been moved into RBLibrary, where it belongs.  This should
	make switching to a better status computation system easier.

	Also, instead of doing time-based caching, we now take the simple
	expident of only emitting the STATUS_CHANGED signal if the node
	filter or the library has changed.

2003-08-13  Colin Walters  <walters@verbum.org>

	* AUTHORS: Add James Kahn.

2003-08-13  Colin Walters  <walters@verbum.org>
	    James Kahn  <james@liet.net>

	* library/Makefile.am:
	* library/rb-library-action-queue.c:
	* library/rb-library-action-queue.h:
	* library/rb-library-action.c: (rb_library_action_class_init),
	(rb_library_action_dispose), (rb_library_action_type_get_type):
	* library/rb-library-action.h:
	* library/rb-library-main-thread.c: (file_changed_cb),
	(file_removed_cb), (exit_if_dead), (thread_main):
	* library/rb-library-walker-thread.c:
	(rb_library_walker_thread_class_init),
	(rb_library_walker_thread_finalize),
	(rb_library_walker_thread_new),
	(rb_library_walker_thread_set_property),
	(rb_library_walker_thread_get_property),
	(rb_library_walker_thread_start), (rb_library_walker_thread_kill),
	(add_file), (thread_main):
	* library/rb-library-walker-thread.h:
	* library/rb-library.c: (rb_library_class_init), (rb_library_init),
	(rb_library_release_brakes), (rb_library_is_idle),
	(rb_library_finalize), (walker_thread_done_cb),
	(rb_library_add_uri), (rb_library_load), (sync_node):
	* library/rb-library.h:
	* shell/rb-shell.c: (async_library_release_brakes),
	(rb_shell_construct), (rb_shell_poll_library):
	* sources/rb-group-source.c: (rb_group_source_add_list_uri):

	Library thread system rewrite.  James noticed two major bugs
	in the library.  First, after unreffing a node if something had
	changed, we queued an action to update it but continued processing
	just as if the update had completed, which was very wrong.

	Secondly, he noticed that since the library main thread just
	peeked and the head, and then only really dequeued at the end of its
	loop, this newly added action was the one which would be dequeued.

	So, RBLibraryActionQueue has been killed off in favor of a plain GAsyncQueue.
	Also, walker threads now no longer have their own special ADD_DIRECTORY queue;
	instead, they run as independent threads which just push ADD_FILE actions onto
	the main queue. This means you can now simultaneously load music from several
	different folders.

	Also, the OPERATION_END action was removed; instead, the shell periodically
	polls the library to see whether it's busy or not, and sets the watch cursor
	accordingly.

	And finally, a bit of race-conditiony code in the shell to add uris
	from a D&D was changed to be synchronous.

2003-08-13  Yann Rouillard  <yann@cvs.gnome.org>

	* lib/widgets/eggtreemultidnd.c: (egg_tree_multi_drag_button_press_event),
	(stop_drag_check):

 	Correct the bugs that occurs when trying to drag and drop a set of songs selected.
	It used to unselect the others and just selects the song clicked, now it effectively
	drag and drop them.

2003-08-13  Yann Rouillard  <yann@cvs.gnome.org>

	* lib/widgets/eggtreemultidnd.c: (egg_tree_multi_drag_button_press_event):

	Make Ctrl+Click correctly deselect a previously selected song.

2003-08-13  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* component/Rhythmbox_Nautilus_Context_Menu.server.in.in:

	Add icon to Nautilus context menu.

2003-08-13  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (queue_changed_sig): Switch the
	node view changed thing back to being an idle handler instead of
	a 1-sec timeout.

2003-08-13  Colin Walters  <walters@verbum.org>

	* library/rb-library.c: (rb_library_get_modification_time),
	(song_added_cb), (song_removed_cb):
	* library/rb-library.h:
	* sources/rb-group-source.c: (impl_get_status):
	* sources/rb-library-source.c: (rb_library_source_finalize),
	(impl_get_status):

	Implement status display caching for the library and playlist
	sources.

2003-08-13  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_init),
	(rb_node_view_finalize), (queue_changed_sig),
	(rb_node_view_selection_changed_cb),
	(rb_node_view_row_activated_cb),
	(gtk_tree_model_sort_row_inserted_cb),
	(gtk_tree_model_sort_row_deleted_cb),
	(gtk_tree_model_sort_row_changed_cb),
	(gtk_tree_sortable_sort_column_changed_cb), (emit_node_changed):

	Queue a one-time idle handler on a change to the node view, instead of
	polling every 50 microseconds.

2003-08-13  Douglas McMorris  <virage83@mail.utexas.edu>

	* lib/widgets/rb-volume.c: (clicked_cb): Move the volume display below
	the button.

2003-08-13  William Jon McCann  <mccann@jhu.edu>

	* rhythmbox.spec.in: Updated dependencies and installed files.

2003-08-13  Colin Walters  <walters@verbum.org>

	* library/rb-library-main-thread.c (thread_main):
	Reinstate node update throttling that was accidentally reverted in
	the previous patch.

2003-08-13  Colin Walters  <walters@debian.org>

	* lib/widgets/rb-node-view.c: (playing_node_destroyed_cb),
	(root_child_removed_cb):
	* lib/widgets/rb-tree-model-node.c: (playing_node_destroyed_cb),
	(root_child_removed_cb), (root_child_added_cb),
	(root_child_changed_cb), (root_children_reordered_cb),
	(root_destroyed_cb):
	* library/rb-library-main-thread.c: (thread_main):
	* library/rb-node.c: (rb_node_dispose),
	(rb_node_set_property_internal), (rb_node_add_child),
	(rb_node_remove_child_unlocked), (rb_node_remove_child),
	(rb_node_sort_children), (rb_node_reorder_children):
	* shell/rb-shell-clipboard.c: (node_destroyed_cb):

	Back out previous node locking rewrite in favor of James Kahn's
	solution to just swap the order in which we acquire the GDK
	lock in the node system.

2003-08-13  Colin Walters  <walters@verbum.org>

	* configure.ac: Disable optimization by default if we're using
	gcc.

2003-08-13  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* lib/widgets/rb-player.c: (rb_player_new): Add some spacing
	between title and time slider.

2003-08-13  Christian Neumair  <chris@gnome-de.org>

	* autogen.sh: Allow all intltool 0.2.x versions >= 0.25.

2003-08-13  Colin Walters  <walters@gnu.org>

	* lib/widgets/rb-node-view.c: (playing_node_destroyed_cb),
	(root_child_removed_cb):
	* lib/widgets/rb-tree-model-node.c: (playing_node_destroyed_cb),
	(root_child_removed_cb), (root_child_added_cb),
	(root_child_changed_cb), (root_children_reordered_cb),
	(root_destroyed_cb):
	* library/rb-node-db.c: (rb_node_db_init), (rb_node_db_finalize),
	(rb_node_db_get_node_from_id), (rb_node_db_lock),
	(rb_node_db_unlock):
	* library/rb-node-db.h:
	* library/rb-node.c: (rb_node_dispose),
	(rb_node_set_property_internal), (rb_node_add_child),
	(rb_node_remove_child_unlocked), (rb_node_remove_child),
	(rb_node_sort_children), (rb_node_reorder_children):
	* shell/rb-shell-clipboard.c: (node_destroyed_cb):

	Rewrite node locking.  Siiiiiigh.  This is a step towards
	fixing bug #119753, but it doesn't actually fix it.

	I am not sure what the real fix will be...
	
2003-08-13  Colin Walters  <walters@verbum.org>

	* sources/rb-group-source.c (impl_get_status_fast);
	* sources/rb-library-source.c (impl_get_status_fast):
	Cast return value to a long to avoid complier warning.

2003-08-13  Colin Walters  <walters@rhythmbox.org>

	* configure.ac: Prerelease 0.4.99.4.

2003-08-13  Colin Walters  <walters@rhythmbox.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_scroll_to_node):

	Don't free a path before using it in gtk_tree_view_set_cursor.
	This almost certainly closes #119193.

	* monkey-media/stream-info-impl/flac-stream-info-impl.c:
	(FLAC_metadata_callback):

	Make it compile with -Werror.

2003-08-12  Colin Walters  <walters@verbum.org>

	* AUTHORS: Add Joshua.

2003-08-12  Joshua Haberman  <joshua@haberman.com>

	* NEWS:
	* monkey-media/stream-info-impl/flac-stream-info-impl.c:
	(FLAC_stream_info_impl_finalize),
	(FLAC_stream_info_impl_open_stream), (FLAC_read_callback),
	(FLAC_write_callback), (FLAC_metadata_callback),
	(FLAC_error_callback), (FLAC_stream_info_impl_get_n_values),
	(FLAC_stream_info_impl_get_value),
	(FLAC_stream_info_impl_vc_tag_get_utf8):

	Make it read FLAC metadata.

2003-08-12  Colin Walters  <walters@verbum.org>

	* library/rb-library-action.c: (rb_library_action_type_get_type):
	* library/rb-library-action.h:
	* library/rb-library-main-thread.c: (thread_main):
	* library/rb-library.c: (rb_library_class_init),
	(rb_library_release_brakes), (rb_library_update_uri),
	(rb_library_operation_end), (rb_library_load),
	(rb_library_update_node):
	* library/rb-library.h:
	* shell/rb-shell.c: (async_library_release_brakes),
	(rb_shell_construct), (source_selected_cb),
	(rb_shell_start_operation), (rb_shell_library_operation_end_cb):

	Wait a half second after updating a file during the intial load.
	This makes Rhythmbox more responsive, which doesn't fix the slowness
	of the whole thing unfortunately.  That's still a bug...

	Also, add support for displaying a watch cursor while we're doing
	all this.

2003-08-12  Colin Walters  <walters@rhythmbox.org>

	* configure.ac: Prerelease 0.4.99.3.

2003-08-12  Colin Walters  <walters@verbum.org>

	* data/iradio-initial.pls: Extend yet further.

2003-08-12  Colin Walters  <cwalters@gnome.org>

	* data/iradio-initial.pls:
	* library/rb-node.c: (rb_node_signal_disconnect):
	* sources/rb-iradio-source.c:
	(rb_iradio_source_async_update_play_statistics),
	(impl_buffering_done):

	Add more iradio stations to initial list.  Fix nasty race in iradio
	play statistics updating, which occurred when playing another station
	before the 6 seconds had elapsed for updating the statistics on the
	first.

2003-08-12  Christian Neumair  <chris@gnome-de.org>

	* glade/station-properties.glade:

	Some more HIGification fixes, widget naming convention adaptions.

2003-08-11  Colin Walters  <walters@debian.org>

	* debian/README.Debian:
	* debian/changelog:
	* debian/compat:
	* debian/control:
	* debian/copyright:
	* debian/files:
	* debian/rhythmbox.menu:
	* debian/rhythmbox.postinst:
	* debian/rhythmbox.postrm:
	* debian/rules:

	Debianize.

2003-08-11  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: added INTERNALS to EXTRA_DIST (Closes: #119673)

2003-08-11  Colin Walters  <cwalters@gnome.org>

	* data/Makefile.am:
	* data/glade/station-properties.glade:
	* data/iradio-initial.pls:
	* data/iradio-initial.xml:
	* iradio/Makefile.am:
	* iradio/rb-iradio-backend.c: (rb_iradio_backend_init),
	(handle_playlist_entry_cb), (load_initial),
	(rb_iradio_backend_lookup_station_by_location),
	(rb_iradio_backend_add_station_from_uri),
	(rb_iradio_backend_add_station_full),
	(rb_iradio_backend_new_station):
	* iradio/rb-iradio-backend.h:
	* iradio/rb-iradio-station.c:
	* iradio/rb-iradio-station.h:
	* iradio/rb-iradio-yp-iterator.c:
	* iradio/rb-iradio-yp-iterator.h:
	* iradio/rb-iradio-yp-xmlfile.c:
	* iradio/rb-iradio-yp-xmlfile.h:
	* iradio/rb-new-station-dialog.c:
	(rb_new_station_dialog_response_cb):
	* iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_init),
	(rb_station_properties_dialog_response_cb),
	(rb_station_properties_dialog_update_location),
	(rb_station_properties_dialog_update_rating),
	(rb_station_properties_dialog_sync_entries):
	* lib/Makefile.am:
	* lib/rb-glist-wrapper.c:
	* lib/rb-glist-wrapper.h:
	* lib/rb-playlist.c: (rb_playlist_class_init),
	(rb_playlist_add_one_url), (rb_playlist_add_one_url_ext),
	(rb_playlist_add_pls):
	* lib/rb-playlist.h:
	* library/rb-library.c: (rb_library_init):
	* library/rb-node.c: (rb_node_save_to_xml), (rb_node_new_from_xml):
	* shell/rb-shell-player.c: (rb_shell_player_open_node):
	* shell/rb-shell.c: (handle_playlist_entry_cb), (add_uri_to_group),
	(handle_playlist_entry_into_group_cb), (ask_string_response_cb):
	* shell/rb-source-header.c:
	* sources/rb-iradio-source.c:

	Remove the ability for iradio stations to have multiple locations.
	This touches a lot of code, but it really had to be done.  The
	old way of saving things was unreliable.

	This breaks compatibility with the old iradio xml format;
	sorry about that!  That's why we're doing this before the
	final release...

	Also, convert the initial stations list into .pls format, and
	kill off all the old YPIterator stuff.
	
	Someone could help out here by updating iradio-initial.pls!  It
	is kind of tedious work; you will need to verify that each
	location works, and add it to the .pls file.  Be sure to update
	the numberofentries.

2003-08-11  Colin Walters  <walters@verbum.org>

	* lib/rb-debug.c: (rb_debug_real):
	* lib/widgets/rb-node-view.c: (root_child_removed_cb):
	* library/rb-node.c: (rb_node_dispose),
	(rb_node_set_property_internal), (rb_node_add_child),
	(rb_node_remove_child_unlocked), (rb_node_remove_child),
	(rb_node_sort_children), (rb_node_reorder_children):

	Just some minor changes:
	Make debug output include thread ID.  Add a comment in
	rb-node-view.c, and some thread helper functions cleanup
	in rb-node.c.

2003-08-10  Colin Walters  <walters@debian.org>

	* iradio/rb-iradio-backend.c: (rb_iradio_backend_init),
	(station_changed_cb), (set_genre), (rb_iradio_backend_new_station):
	* lib/widgets/rb-tree-model-node.c: (root_child_changed_cb):
	* library/rb-node.c: (callback), (real_remove_child),
	(remove_child), (rb_node_dispose), (child_changed),
	(rb_node_set_property_internal), (rb_node_set_property),
	(rb_node_set_property_unlocked), (rb_node_add_child_unlocked),
	(rb_node_add_child), (rb_node_remove_child_unlocked),
	(rb_node_remove_child):
	* library/rb-node.h:

	More node system surgery.  There are now _unlocked variants of many
	functions.  This is necessary to perform recursive node operations
	in node callbacks.  All this crap is going to be rewritten, for real.

	Make the iradio backend use these new functions to watch for
	PROP_GENRE changes on stations, and update the tree correspondingly.
	This closes bug #119529.

2003-08-10  Colin Walters  <walters@verbum.org>

	* lib/rb-file-helpers.c:
	* lib/rb-file-helpers.h:
	* library/rb-library.c: (rb_library_get_song_by_location):
	* shell/rb-shell.c: (ask_file_response_cb):

	Kill off rb_uri_canonicalize.  Instead just use
	gnome_vfs_get_uri_from_local_path to ensure that uris are always
	quoted internally.

2003-08-11  Yann Rouillard <y.rouillard@laposte.net>

	* lib/widgets/rb-node-view.c (dumb_sort_func):

	Return 0 instead of 1; this appears to work around a GtkTreeSortable bug?
	In any case it closes #119517.

2003-08-11  Christophe Fergeau  <teuf@gnome.org>

	* shell/main.c: (main):
	* shell/rb-shell-player.c: (rb_shell_player_try_alt_location): remove
	use of rand/srand, use glib function instead (bug #119473)

2003-08-10  Christian Neumair  <chris@gnome-de.org>

	* data/glade/druid.glade:
	* data/glade/load-failure.glade:
	* data/glade/song-info.glade:
	* data/glade/station-new.glade:
	* data/glade/station-properties.glade:
	* data/glade/uri.glade:
	* iradio/rb-new-station-dialog.c: (rb_new_station_dialog_init):
	* iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_init):
	* lib/widgets/rb-song-info.c: (rb_song_info_update_encoding):
	* shell/rb-shell.c: (rb_shell_new_group_dialog):

	Some spacing and string fixes to make these dialogs more
	HIG-compliant, removed trailing spaces from strings where neccessary.

2003-08-10  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* configure.ac: Make it possible to disable the treemodel
	workaround again.
	* AUTHORS, MAINTAINERS: added myself

2003-08-10  Christian Neumair  <chris@gnome-de.org>

	* configure.ac: Added hack to include macros when re-running
	configure.

2003-08-10  Colin Walters  <walters@verbum.org>

	* .gdbinit: Updated macros file.
	
2003-08-10  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (create_group_with_name),
	(rb_shell_load_playlists):
	* sources/rb-group-source.c: (rb_group_source_class_init),
	(rb_group_source_set_property), (rb_group_source_new),
	(rb_group_source_new_from_file), (handle_songs_func):
	* sources/rb-group-source.h:
	* sources/rb-library-source.c: (rb_library_source_eval_filter):
	* sources/rb-library-source.h:

	Be sure to filter dropped nodes into playlists using the library's
	active filters.  Thanks to Douglas McMorris for helping with
	debugging this.

2003-08-09  Mason Kidd  <mason.kidd@mrkidd.com>

	* shell/rb-shell-player.c: (rb_shell_player_do_previous):

	Use the playing source, and not the selected source, when computing
	whether or not previous should really go back to the previous song.

2003-08-09  Colin Walters  <cwalters@gnome.org>

	* lib/widgets/eggtreemodelfilter.c:
	(egg_tree_model_filter_class_init),
	(egg_tree_model_filter_build_level),
	(egg_tree_model_filter_free_level),
	(egg_tree_model_filter_fetch_child),
	(egg_tree_model_filter_remove_node),
	(egg_tree_model_filter_update_childs), (bsearch_elt_with_offset),
	(egg_tree_model_filter_row_changed),
	(egg_tree_model_filter_row_inserted),
	(egg_tree_model_filter_row_deleted),
	(egg_tree_model_filter_rows_reordered),
	(egg_tree_model_filter_iter_children),
	(egg_tree_model_filter_iter_has_child),
	(egg_tree_model_filter_iter_n_children),
	(egg_tree_model_filter_ref_node),
	(egg_tree_model_filter_real_unref_node),
	(egg_real_tree_model_filter_convert_child_path_to_path),
	(egg_tree_model_filter_refilter_helper),
	(egg_tree_model_filter_refilter):
	* lib/widgets/eggtreemodelfilter.h:

	Merge in the latest eggtreemodelfilter.  It appears to work,
	and presumably it fixes some bugs.

2003-08-09  Colin Walters  <walters@verbum.org>

	* lib/widgets/eggtreemultidnd.c:
	(egg_tree_multi_drag_button_release_event),
	(egg_tree_multi_drag_button_press_event):

	Apply patch from Yann to fix drag&drop requiring two clicks.
	This closes #119512.  Also merge a gtk_tree_path_free call from
	the latest libegg.

2003-08-09  Carlos Perelló Marín <carlos@gnome.org>

	* lib/widgets/rb-song-info.c: Fixed the bold attribute that was not
	working after removing the pango markups from
	data/glade/song-info.glade (We should fix glade, that's a pain :-( )

2003-08-09  Colin Walters  <walters@verbum.org>

	* configure.ac:

	Prerelease 0.4.99.2.

2003-08-09  Colin Walters  <walters@rhythmbox.org>

	* data/rhythmbox.schemas:
	* shell/rb-shell.c: (rb_shell_construct), (rb_shell_sync_paned):

	Fix up default gconf values.  Allow main paned to be resizable (!).

2003-08-09  Carlos Perelló Marín <carlos@gnome.org>
                                                                                
        * data/glade/song-info.glade: Removed all pango markups and moved
        to lib/widgets/rb-song-info.c, this way the translator experience will
        be better :-P
        * lib/widgets/rb-song-info.c: Fixed a small bug introduced by me that
        show the navigation buttos bigger that the close one :-?. Implemented
        the pango markup here from the .glade file.

2003-08-09  Christian Neumair  <chris@gnome-de.org>

	* lib/widgets/rb-druid.c: (rb_druid_init_widgets):
	* data/glade/druid.glade:

	Assimilated two strings, added missing mnemonic, some spacing work.

2003-08-09  Colin Walters  <walters@verbum.org>

	* .gdbinit:
	
	New gdb macros file, with our collection of handy macros.
	
	* iradio/rb-iradio-backend.c: (finalize_node):
	* lib/widgets/rb-tree-model-node.c: (root_destroyed_cb):
	* library/rb-library.c: (rb_library_finalize), (finalize_node):
	* library/rb-node.c: (signal_object_weak_notify),
	(rb_node_signal_connect_object),
	(rb_node_signal_disconnect_internal), (rb_node_signal_disconnect):
	* sources/rb-iradio-source.c: (rb_iradio_source_finalize),
	(rb_iradio_source_async_update_play_statistics):
	* sources/rb-library-source.c: (rb_library_source_finalize):

	Be sure to remove weak references to objects when disconnecting
	a node signal.  This closes #119497, a blocker.

	Also add more debugging statements in places.

2003-08-09  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (rb_shell_cmd_about):

	Display backend and supported audio formats in about dialog.

2003-08-08  Colin Walters  <walters@verbum.org>

	* library/rb-node-filter.c: (handle_deleted_node_cb),
	(rb_node_filter_expression_new):
	* library/rb-node-filter.h:
	* sources/rb-group-source.c: (impl_search):
	* sources/rb-iradio-source.c: (impl_search), (stations_filter):
	* sources/rb-library-source.c: (impl_search), (artists_filter),
	(albums_filter), (songs_filter):

	Watch for nodes to be deleted in RBNodeFilter, and remove them
	from the filter.  This closes #119027, a blocker.  Thanks
	Benjamin Otte for pointing out the problem area!

2003-08-09  Carlos Perelló Marín <carlos@gnome.org>

	* data/glade/druid.glade:
	* data/glade/general-prefs.glade:
	* data/glade/library-prefs.glade:
	* data/glade/station-properties.glade:
	* data/glade/station-new.glade:
	Removed some strings that should not be translated.

	* data/node-views/rb-node-view-artists.xml: Unified the keyboard
	accelerator with the rest of places where appear Art_ist.
	
	
2003-08-08  Colin Walters  <cwalters@gnome.org>

	* data/glade/general-prefs.glade:
	* data/glade/library-prefs.glade:
	* shell/rb-shell-preferences.c: (rb_shell_preferences_init):
	* sources/rb-library-source.c: (impl_get_config_widget):

	Move more of the pango markup from glade files to runtime
	creation.

2003-08-08  Colin Walters  <walters@verbum.org>

	* INTERNALS:
	* TODO:
	* Makefile.am:
	* configure.ac:
	* iradio/Makefile.am:
	* lib/widgets/Makefile.am:
	* library/Makefile.am:
	* monkey-media/Makefile.am:
	* shell/Makefile.am:

	Prerelease 0.4.99.1.

	Distribution fixes.  Also some updates to INTERNALS,
	and minor updates to TODO.

2003-08-08  Colin Walters  <walters@verbum.org>

	* configure.ac:
	* lib/widgets/rb-node-view.c: (rb_node_view_set_property),
	(playing_node_destroyed_cb), (root_child_removed_cb):
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_set_property), (playing_node_destroyed_cb),
	(root_child_removed_cb):
	* library/rb-node.c: (rb_node_signal_connect_object):

	Re-apply node deletion patch; it appears to work now for
	some reason...

	Also give a warning if we're using GStreamer 0.7.

2003-08-08  Colin Walters  <walters@verbum.org>

	* configure.ac:

	Require GStreamer 0.6.2 or above.

2003-08-08  Carlos Perelló Marín <carlos@gnome.org>

	* lib/widgets/rb-song-info.c (rb_song_info_backward_clicked_cb),
	(rb_song_info_init), (rb_song_info_update_buttons):

	Added support for the back button.

2003-08-08  James Kahn <james@liet.net>

	* shell/main.c: (main):

	Only die if esd startup is enabled too in addition to
	sound events.

2003-08-08  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_set_property),
	(root_child_removed_cb):
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_set_property), (root_child_removed_cb):
	* shell/rb-statusbar.c: (rb_statusbar_finalize),
	(rb_statusbar_status_changed_cb):

	Back out previous patch :/  It introduced some instability
	on saving.  I'll think the patch was a step in the right
	direction though, so hopefully once we figure out the
	issue we can re-apply.

2003-08-08  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_set_property),
	(playing_node_destroyed_cb), (root_child_removed_cb):
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_set_property), (playing_node_destroyed_cb),
	(root_child_removed_cb):
	* shell/rb-shell-player.c:
	(rb_shell_player_playing_node_removed_cb),
	(rb_shell_player_nodeview_changed_cb),
	(rb_shell_player_set_playing_source),
	(rb_shell_player_set_playing_source_internal),
	(rb_shell_player_sync_with_selected_source):
	* shell/rb-statusbar.c: (rb_statusbar_finalize),
	(async_update_status), (rb_statusbar_status_changed_cb):
	* sources/rb-iradio-source.c: (async_node_update_destroyed_cb),
	(rb_iradio_source_async_update_play_statistics),
	(impl_buffering_done):

	Booya!  Now removing playing nodes really appears to work.
	The RBNodeView and RBTreeModelNode now watch individually for
	the playing node to be destroyed, instead of waiting to check
	for it in the child removed handler of the parent node.

	Also, rework iradio async updates to not ref/unref the node,
	but instead add a destroy notifier.

	Oh, and finally, we now update the source status asynchronously,
	so that many updates in a row don't cause a lot of expensive
	calculations.  This could still be improved.

2003-08-08  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-ellipsizing-label.c: (append_ellipsized_text):

	Re-escape user text as we're building the GMarkup to avoid
	pango barfing.

2003-08-08  Bastien Nocera  <hadess@hadess.net>

	* monkey-media/monkey-media-stream-info.c: (sanitize_values),
	(monkey_media_stream_info_get_value):

	If the string is empty, it's NULL.

2003-08-07  Colin Walters  <walters@verbum.org>

	* library/rb-library.c: (set_node_value), (set_node_title),
	(sync_node):

	If the title is unset, use the filename instead.

2003-08-07  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (create_group_with_name),
	(ask_string_response_cb), (sourcelist_drag_received_cb):

	Don't allow creating two groups with the same name.

2003-08-07  Bastien Nocera  <hadess@hadess.net>

	* iradio/rb-new-station-dialog.c: (rb_new_station_dialog_init):
	* iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_add_location_activated):
	* lib/rb-file-helpers.c: (rb_uri_is_iradio):
	* lib/rb-file-helpers.h:
	* shell/rb-shell.c: (handle_playlist_entry_cb):

	Change the "Don't Add" label in the "Add Internet Radio Station" to
	"Cancel", Move the checks about whether a URI is a Radio Station
	to rb_uri_is_iradio(), Add rtsp and pnm as possible schemes for
	Radio Stations

2003-08-07  Sean Harshbarger  <harshy@dersoldat.org>

	* data/node-views/rb-node-view-iradio-stations.xml:
	* data/node-views/rb-node-view-songs.xml:
	* lib/widgets/rb-node-view.c: (rb_node_view_construct):

	Add tooltip to playing column.

2003-08-07  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (load_playlist_response_cb),
	(add_uri_to_group), (handle_playlist_entry_into_group_cb),
	(ask_string_response_cb):

	Also load iradio stations from playlists.

2003-08-07  Colin Walters  <cwalters@gnome.org>

	* NEWS: Update.

2003-08-07  Colin Walters  <walters@verbum.org>

	* library/rb-library-main-thread.c: (thread_main):

	Be sure to remove an item from the queue even if there's an
	error.

2003-08-07  Colin Walters  <walters@gnu.org>

	* shell/rb-shell-player.c:
	* shell/rb-shell-player.h:
	* shell/rb-shell.c: (rb_shell_remove_source):
	* sources/rb-group-source.c: (rb_group_source_finalize):

	If we're playing a source to be deleted, fully stop it first.
	Also be sure not to g_source_remove an id twice in the group
	source.

2003-08-07  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* lib/Makefile.am:
	* lib/rb-marshal.list:
	* lib/rb-windows-ini-file.c:
	* lib/rb-windows-ini-file.h:
	* lib/widgets/rb-node-view.c: (rb_node_view_get_model):
	* lib/widgets/rb-node-view.h:
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_get_column_type),
	(rb_tree_model_node_get_value),
	(rb_tree_model_node_column_get_type):
	* lib/widgets/rb-tree-model-node.h:
	* library/rb-library-main-thread.c: (thread_main):
	* library/rb-library.c: (rb_library_add_uri),
	(rb_library_add_uri_sync), (rb_library_update_uri),
	(rb_library_remove_uri):
	* library/rb-library.h:
	* shell/Makefile.am:
	* shell/rb-playlist.c:
	* shell/rb-playlist.h:
	* shell/rb-shell.c: (rb_shell_finalize),
	(handle_playlist_entry_cb), (rb_shell_corba_handle_file),
	(rb_shell_corba_add_to_library), (rb_shell_construct),
	(rb_shell_remove_source), (rb_shell_select_source),
	(load_playlist_response_cb), (save_playlist_response_cb),
	(rb_shell_cmd_save_playlist), (add_uri_to_group),
	(handle_playlist_entry_into_group_cb), (ask_string_response_cb),
	(create_group), (rb_shell_cmd_rename_playlist),
	(rb_shell_cmd_delete_playlist), (rb_shell_load_playlists):
	* sources/rb-group-source.c: (rb_group_source_finalize),
	(rb_group_source_delete), (impl_search), (playlist_iter_func),
	(rb_group_source_save_playlist):
	* sources/rb-group-source.h:

	Fairly major playlist stuff rewriting.  We stole Totem's playlist
	parser, hacked it up a lot, and turned it into RBPlaylist.
	Playlists can now be saved, and loaded more reliably.
	Killed off RBWindowsINIFile, like the piece it was.

	Oh, and also playlist deletion works again ;)
	This fixes bug #119281.

2003-08-06  Colin Walters  <walters@rhythmbox.org>

	* shell/rb-shell.c: (ask_file_response_cb):

	Canonicalize a URI before adding it to the library.  This
	closes #119299.

2003-08-06  Colin Walters  <walters@verbum.org>

	* data/glade/druid.glade:
	* lib/widgets/rb-druid.c: (rb_druid_get_type), (rb_druid_init),
	(rb_druid_finalize), (rb_druid_set_property),
	(rb_druid_init_widgets), (rb_druid_new), (path_dialog_response_cb),
	(rb_druid_browse_clicked_cb), (rb_druid_show),
	(rb_druid_page2_sync_sensitive), (rb_druid_skip_toggled_cb),
	(rb_druid_entry_changed_cb), (idle_set_sensitive),
	(rb_druid_page2_prepare_cb), (do_response),
	(rb_druid_page3_finish_cb):
	* lib/widgets/rb-druid.h:
	* monkey-media/monkey-media-player-gst-tmp.c:
	(monkey_media_player_finalize), (monkey_media_player_construct):
	* shell/rb-shell.c: (rb_shell_construct):

	The druid is here!  This closes bug #90502.

	Also fix a bug in the gst player when we exit if a song hasn't
	been played.

2003-08-06  Colin Walters  <walters@debian.org>

	* data/ui/rhythmbox-ui.xml.in:
	* monkey-media/monkey-media-player-gst-tmp.c:
	(monkey_media_player_sync_pipeline):
	* sources/rb-iradio-source.c:
	(rb_iradio_source_songs_show_popup_cb), (ensure_node_selection),
	(genre_node_selected_cb), (rb_iradio_source_show_browser):
	* sources/rb-library-source.c:
	(rb_library_source_songs_show_popup_cb), (ensure_node_selection):

	Reimplement popup menu for iradio source.

	Minor indentation fixups in iradio source and library source.

	Also start playback timer after we've started playing, and not before,
	to accomodate for GStreamer startup lag.

2003-08-06  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-player.c: (rb_shell_player_playpause):

	Pick a random node if enabled upon initial play, too.

2003-08-06  Colin Walters  <walters@rhythmbox.org>

	* iradio/rb-iradio-backend.c: (rb_iradio_backend_new_station):
	* iradio/rb-new-station-dialog.c: (rb_new_station_dialog_new):

	Be sure to ref a node created from a dialog or restored from disk.
	Also don't crash if there are no genres, and we're creating a new
	station.

2003-08-06  Colin Walters  <walters@verbum.org>

	* configure.ac:
	* monkey-media/monkey-media-stream-info.c:
	(monkey_media_stream_info_sync_from_net):

	Fix compilation with Musicbrainz disabled.

2003-08-06  Colin Walters  <walters@verbum.org>

	* configure.ac:
	* monkey-media/Makefile.am:
	* monkey-media/monkey-media-player-gst-tmp.c:
	(monkey_media_player_finalize), (monkey_media_player_construct),
	(monkey_media_player_sync_pipeline), (monkey_media_player_open),
	(monkey_media_player_pause), (monkey_media_player_set_time),
	(monkey_media_player_get_time):
	* monkey-media/monkey-media-player-gst.c:
	* monkey-media/monkey-media-player-xine.c:
	(monkey_media_player_set_time), (monkey_media_player_get_time):
	* shell/rb-shell-player.c: (rb_shell_player_do_previous):

	Make the monkey-media backend choice use real Automake conditionals,
	instead of hackish #defines.

	Switch the temporary GStreamer backend to use a GTimer instead
	of the GStreamer clock (this makes the Previous button work). 

	Make xine backend compile with -Werror (hi hadess!).

2003-08-06  Colin Walters  <walters@verbum.org>

	* shell/main.c: (main), (sound_error_dialog), (rb_init):

	Hold the GDK lock in main idle handler.  Also, bomb out if
	GNOME sound events are enabled (This works around #119222). 

2003-08-05  Colin Walters  <cwalters@gnome.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_get_random_node):

	Include the last song when choosing a random node.

2003-08-05  Sean Harshbarger  <harshy@dersoldat.org>

	* shell/rb-shell.c: (rb_shell_new_group_dialog):

	Add a title to the dialog.

2003-08-05  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* lib/widgets/rb-node-view.c:

	Tell the signals that RBNode is not a GObject anymore.

2003-08-05  Colin Walters  <walters@debian.org>

	* Makefile.am:
	* configure.ac:
	
	Disable help again until someone fixes it.
	
	* data/glade/buffering-dialog.glade:
	* shell/rb-shell-player.c: (buffering_begin_cb):

	Remove pango markup bits from glade file, and add them
	at runtime; this fixes bug #99867.
	
	* lib/disclosure-widget.c: (expand_collapse_timeout),
	(do_animation):

	Don't crash if we're toggled but the widget isn't realized;
	this fixes bug #119184.
	
	* data/rhythmbox.schemas:
	* shell/rb-shell.c: (rb_shell_corba_grab_focus),
	(rb_shell_construct), (rb_shell_show_window_changed_cb),
	(rb_shell_sync_window_visibility), (tray_button_press_event_cb):

	Change the gconf key "sourcelist_visible" to "sourcelist_hidden".
	This way if people have a broken GConf setup, they'll see the
	main window on startup.

2003-08-05 Christian Schaller <Uraeus@gnome.org>

	* Some disting/build fixes to Makefile.am
	* Removed INSTALL.GNU from extra-dist as it doesn't exist
	* Add monkey-media-audio-cd.h to the monkey-media Makefile
	* Add MAINTAINERS and DOCUMENTERS files to extra-dist
	* Removed help from configure.ac (and Makefile.am where I had put it)

2003-08-05  Benjamin Otte  <in7y118@public.uni-hamburg.de>

	* shell/Makefile.am:

	CLEAFILES fixes and removal of last corba bits.

2003-08-05  Colin Walters  <cwalters@gnome.org>

	* NEWS:
	* component/Makefile.am:
	* data/Makefile.am:
	* data/ui/Makefile.am:

	More CLEANFILES fixes.  Also update NEWS a bit.

2003-08-05  Sean Harshbarger  <harshy@dersoldat.org>
	    Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (rb_shell_new_group_dialog):

	More s/group/playlist.

2003-08-04  Colin Walters  <walters@verbum.org>

	* Makefile.am (CLEANFILES): Remove intltool bits from CLEANFILES;
	thanks David Schleef.

2003-08-04  Colin Walters  <walters@debian.org>

	* data/glade/Makefile.am:
	* data/glade/druid.glade:
	* data/rhythmbox.schemas:
	* lib/rb-preferences.h:
	* lib/widgets/Makefile.am:
	* lib/widgets/rb-druid.c: (rb_druid_get_type),
	(rb_druid_class_init), (rb_druid_init), (rb_druid_finalize),
	(rb_druid_set_property), (rb_druid_get_property), (rb_druid_new),
	(rb_druid_browse_clicked_cb):
	* lib/widgets/rb-druid.h:
	* shell/rb-shell.c: (rb_shell_construct):

	Initial work on a first-time druid, disabled for now.

2003-08-04  Colin Walters  <walters@verbum.org>

	* Makefile.am:
	* data/ui/rhythmbox-ui.xml.in:

	Disable help for now, hopefully someone will fix it...

2003-08-03  Colin Walters  <walters@rhythmbox.org>

	* monkey-media/stream-info-impl/id3-vfs/id3-vfs.c: (search_tags):

	Try not to lose completely if we have an ID3v1 tag, and reading an
	ID3v2 tag fails.

2003-08-03  Yann Rouillard <y.rouillard@laposte.net>

	* NEWS:
	* configure.ac:
	* lib/widgets/Makefile.am:
	* lib/widgets/gtkintl.h:
	* lib/widgets/gtktreedatalist.c: (_gtk_tree_data_list_alloc),
	(_gtk_tree_data_list_free), (_gtk_tree_data_list_check_type),
	(_gtk_tree_data_list_node_to_value),
	(_gtk_tree_data_list_value_to_node),
	(_gtk_tree_data_list_node_copy), (gtk_tree_data_list_compare_func),
	(_gtk_tree_data_list_header_new),
	(_gtk_tree_data_list_header_free),
	(_gtk_tree_data_list_get_header):
	* lib/widgets/gtktreedatalist.h:
	* lib/widgets/gtktreemodelsort.c: (gtk_tree_model_sort_get_type),
	(gtk_tree_model_sort_init), (gtk_tree_model_sort_class_init),
	(gtk_tree_model_sort_tree_model_init),
	(gtk_tree_model_sort_tree_sortable_init),
	(gtk_tree_model_sort_new_with_model),
	(gtk_tree_model_sort_finalize), (gtk_tree_model_sort_set_property),
	(gtk_tree_model_sort_get_property),
	(gtk_tree_model_sort_row_changed),
	(gtk_tree_model_sort_row_inserted),
	(gtk_tree_model_sort_row_has_child_toggled),
	(gtk_tree_model_sort_row_deleted),
	(gtk_tree_model_sort_rows_reordered),
	(gtk_tree_model_sort_get_flags),
	(gtk_tree_model_sort_get_n_columns),
	(gtk_tree_model_sort_get_column_type),
	(gtk_tree_model_sort_get_iter), (gtk_tree_model_sort_get_path),
	(gtk_tree_model_sort_get_value), (gtk_tree_model_sort_iter_next),
	(gtk_tree_model_sort_iter_children),
	(gtk_tree_model_sort_iter_has_child),
	(gtk_tree_model_sort_iter_n_children),
	(gtk_tree_model_sort_iter_nth_child),
	(gtk_tree_model_sort_iter_parent), (gtk_tree_model_sort_ref_node),
	(gtk_tree_model_sort_real_unref_node),
	(gtk_tree_model_sort_unref_node),
	(gtk_tree_model_sort_get_sort_column_id),
	(gtk_tree_model_sort_set_sort_column_id),
	(gtk_tree_model_sort_set_sort_func),
	(gtk_tree_model_sort_set_default_sort_func),
	(gtk_tree_model_sort_has_default_sort_func),
	(gtk_tree_model_sort_compare_func),
	(gtk_tree_model_sort_offset_compare_func),
	(gtk_tree_model_sort_sort_level), (gtk_tree_model_sort_sort),
	(gtk_tree_model_sort_level_find_insert),
	(gtk_tree_model_sort_insert_value),
	(gtk_tree_model_sort_elt_get_path),
	(gtk_tree_model_sort_set_model), (gtk_tree_model_sort_get_model),
	(gtk_real_tree_model_sort_convert_child_path_to_path),
	(gtk_tree_model_sort_convert_child_path_to_path),
	(gtk_tree_model_sort_convert_child_iter_to_iter),
	(gtk_tree_model_sort_convert_path_to_child_path),
	(gtk_tree_model_sort_convert_iter_to_child_iter),
	(gtk_tree_model_sort_build_level),
	(gtk_tree_model_sort_free_level),
	(gtk_tree_model_sort_increment_stamp),
	(gtk_tree_model_sort_clear_cache_helper),
	(gtk_tree_model_sort_reset_default_sort_func),
	(gtk_tree_model_sort_clear_cache),
	(gtk_tree_model_sort_iter_is_valid_helper),
	(gtk_tree_model_sort_iter_is_valid):
	* lib/widgets/gtktreemodelsort.h:
	* lib/widgets/rb-node-view.c:
	* lib/widgets/rb-tree-model-sort.h:

	Add GtkTreeModelSort workaround.

2003-08-03  Colin Walters  <walters@gnu.org>

	* iradio/rb-iradio-backend.c: (restore_node), (set_sort_key_prop),
	(sync_sort_keys), (set_genre), (rb_iradio_backend_new_station):
	* lib/rb-string-helpers.c: (rb_get_sort_key):
	* lib/rb-string-helpers.h:
	* library/rb-library.c: (rb_library_load), (restore_node),
	(rb_library_new_node), (set_node_title), (set_sort_key_prop),
	(sync_sort_keys), (set_node_mtime), (set_node_genre),
	(set_node_artist), (set_node_album), (sync_node):
	* library/rb-library.h:
	* library/rb-node.c: (destroy_gvalue_array), (rb_node_finalize),
	(rb_node_new_with_id), (real_set_property), (rb_node_get_property):
	* library/rb-node.h:
	* sources/rb-iradio-source.c: (impl_search):

	Add the concept of "unsaved properties" to RBNode.  We use this
	for the collation keys, which should not be saved to the XML.
	This closes bug #114437.

	This breaks the library format.  Sorry!  After 0.5.0 we'll
	try to make some backwards compatibility guarantees.

2003-08-03  Colin Walters  <walters@rhythmbox.org>

	* configure.ac: Make missing gst elements into warnings.

2003-08-03  Colin Walters  <cwalters@gnome.org>

	* sources/rb-group-source.c: (rb_group_source_class_init),
	(rb_group_source_set_property), (filename_from_name),
	(impl_search):
	* sources/rb-iradio-source.c: (impl_search):

	Well, that was easier than I thought.  Search support for
	playlists is here.

2003-08-03  Colin Walters  <walters@rhythmbox.org>

	* shell/rb-shell.c: (rb_shell_remove_source),
	(rb_shell_cmd_delete_group):
	* sources/rb-group-source.c: (rb_group_source_finalize):
	* sources/rb-iradio-source.c: (rb_iradio_source_class_init):

	Make deleting a playlist really work.

2003-08-03  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (restore_node):
	* shell/rb-source-header.c: (rb_source_header_set_property):
	* sources/rb-iradio-source.c: (rb_iradio_source_class_init):
	* sources/rb-library-source.c: (rb_library_source_class_init):
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_get_pixbuf), (default_can_search),
	(rb_source_can_search):
	* sources/rb-source.h:

	Add a new method can_search to sources.  Right now the group
	source is the only one that can't.  Hopefully we'll fix that
	soon.

2003-08-03  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (restore_node):

	Bump refcount of restored stations to 1.

2003-08-02  Colin Walters  <walters@verbum.org>

	* HACKING:
	* lib/widgets/rb-node-view.c: (rb_node_view_select_node):
	* shell/rb-shell-player.c: (rb_shell_player_set_property),
	(rb_shell_player_get_source), (rb_shell_player_repeat_changed_cb):
	* shell/rb-shell-player.h:
	* shell/rb-shell.c: (rb_shell_corba_handle_file),
	(rb_shell_construct), (rb_shell_corba_exception_to_string),
	(rb_shell_window_state_cb), (rb_shell_set_window_title),
	(rb_shell_cmd_about), (rb_shell_cmd_contents),
	(rb_shell_cmd_preferences), (ask_file_response_cb),
	(load_playlist_response_cb), (ask_string_response_cb),
	(rb_shell_sync_window_visibility), (add_uri), (dnd_add_handled_cb),
	(rb_shell_cmd_current_song), (rb_shell_jump_to_current),
	(tray_drop_cb):
	* shell/rb-source-header.c:
	* shell/rb-source-header.h:
	* sources/rb-library-source.c: (album_node_selected_cb),
	(impl_get_config_widget), (impl_get_status_fast),
	(impl_get_status_full):

	Make "Jump to Playing Song" switch to the playing source.  Also
	clear the search widget when we switch sources.  Minor updates to
	HACKING.  Indentation fixes in the shell.

	TODO: Make each individual source have its own search text, and
	save it.

2003-08-02  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-search-entry.c: (rb_search_entry_clear),
	(rb_search_entry_changed_cb), (rb_search_entry_focus_out_event_cb),
	(rb_search_entry_searching):
	* lib/widgets/rb-search-entry.h:
	* shell/rb-source-header.c: (rb_source_header_set_property),
	(rb_source_header_search_cb), (rb_source_header_clear_search):

	Clear the search entry when we switch sources.  And more indentation
	fixes.

2003-08-02  Colin Walters  <walters@gnu.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_set_property),
	(rb_node_view_get_property), (rb_node_view_search_equal),
	(rb_node_view_construct), (filter_changed_cb),
	(rb_node_view_set_playing_node), (rb_node_view_get_node),
	(rb_node_view_get_n_rows), (rb_node_view_sort_func),
	(rb_node_view_button_press_cb),
	(rb_node_view_selection_changed_cb), (rb_node_view_select_node),
	(root_child_removed_cb), (rb_node_view_columns_parse):
	* lib/widgets/rb-tree-model-node.c: (rb_tree_model_node_init),
	(rb_tree_model_node_get_iter), (rb_tree_model_node_get_value),
	(rb_tree_model_node_iter_nth_child),
	(rb_tree_model_node_update_node),
	(rb_tree_model_node_set_playing_node):
	* shell/rb-shell-player.c: (rb_shell_player_jump_to_current):

	Just some indentation cleanups, and a minor fix in
	rb_shell_player_jump_to_current.

2003-08-02  Colin Walters  <walters@verbum.org>

	* INTERNALS: Flesh out more; talk about the "All" nodes,
	playlists, etc.
	* NEWS: Minor updates.
	* shell/rb-shell-player.c: (rb_shell_player_jump_to_current),
	(rb_shell_player_cmd_current_song):  Clean up jumping behavior
	a bit.

2003-08-02  Colin Walters  <walters@debian.org>

	* NEWS: Update.  If I missed a feature or crediting you, please
	let me know

2003-08-02  Colin Walters  <walters@rhythmbox.org>

	* shell/rb-shell-player.c: (rb_shell_player_jump_to_current),
	(rb_shell_player_do_previous), (rb_shell_player_do_next):

	Jump to playing node on previous/next.

2003-08-02  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (load_initial),
	(rb_iradio_backend_load), (rb_iradio_backend_save),
	(rb_iradio_backend_lookup_station_by_title),
	(rb_iradio_backend_lookup_station_by_location),
	(rb_iradio_backend_add_station_from_uri),
	(rb_iradio_backend_add_station_full),
	(rb_iradio_backend_get_genre_names):
	* iradio/rb-new-station-dialog.c: (rb_new_station_dialog_new):
	* lib/widgets/rb-load-failure-dialog.c:
	(rb_load_failure_dialog_add):
	* sources/rb-iradio-source.c: (rb_iradio_source_set_property),
	(rb_iradio_source_async_update_play_statistics),
	(impl_buffering_done), (genre_node_selected_cb):

	Fix minor memory leak in new station dialog.  Unquote URIs
	for display in load failure dialog.  Indentation fixes
	to iradio backend.

	Remove some old cruft in iradio source.  Also now that
	the node system is fixed, we can hold refs to the station
	in the async update handler.

2003-08-02  Colin Walters  <walters@debian.org>

	* sources/rb-group-source.c: (impl_get_status_full):

	So, the group source should like, display its own status,
	and not the library's, you know.

2003-08-02  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* shell/rb-shell.c: (rb_shell_construct),
	(rb_shell_cmd_delete_group):

	Move "Extract CD" menu entry closer to the bottom.  Also
	select default library source later in the init process
	so that Bonobo picks up that "Delete Playlist" entry
	shouldn't be enabled for the library source.

2003-08-02  Colin Walters  <walters@verbum.org>

	* sources/rb-group-source.c: (rb_group_source_save):

	Actually rename group source save file from its tempname.
	D'oh!

2003-08-02  Colin Walters  <cwalters@gnome.org>

	* TODO:
	* iradio/rb-iradio-backend.c: (rb_iradio_backend_load),
	(finalize_node), (restore_node):
	* library/rb-library.c: (rb_library_load), (finalize_node),
	(restore_node), (rb_library_new_node):
	* library/rb-node.c: (rb_node_save_to_xml), (rb_node_new_from_xml):

	Correctly restore refcounts on node parents after deserializing
	(this makes deletion in the library/iradio come much closer to
	working reliably).  Save node reference counts to XML for debugging
	purposes.  

	Knock Nautilus context menu off TODO list, and other misc. updates.

2003-08-02  Colin Walters  <walters@gnu.org>

	* tests/test-info.c: (print_result), (do_file), (main):

	Make it compile with -Werror.  Add exit code handling.
	Indentation fixes.

2003-08-02  Colin Walters  <walters@debian.org>

	* data/rhythmbox.applications: Add startup_notify=true.

2003-08-02  Bastien Nocera  <hadess@hadess.net>

	* data/rhythmbox.desktop.in: add bugzilla entries, encoding field, and
	make the icon appear in the main menus for Red Hat and Ximian installs
	* tests/test-info.c: (do_file), (main): make the test capable of
	taking multiple files as input

2003-08-01  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (load_initial):
	* lib/rb-file-helpers.c: (rb_uri_canonicalize):
	* lib/rb-file-helpers.h:
	* library/rb-library-main-thread.c: (thread_main):
	* library/rb-library.c: (rb_library_get_song_by_location),
	(sync_node), (rb_library_update_node):

	Add some more debug statements.  And put in a missing break
	statement that caused music reloading from a saved library to
	fail.

	Also don't g_free a const value in the iradio backend.

2003-08-01  Colin Walters  <walters@verbum.org>

	* lib/rb-file-monitor.c: (rb_file_monitor_add),
	(rb_file_monitor_remove):
	* library/rb-library-main-thread.c: (thread_main):
	* library/rb-library.c: (rb_library_add_uri), (rb_library_save),
	(rb_library_handle_songs), (rb_library_load):
	* sources/rb-library-source.c: (impl_receive_drag),
	(rb_library_source_drop_cb):

	Completely disable RBFileMonitor, to save memory.  Also some
	indentation fixes in the library, and some more debug statements.

2003-08-01  Colin Walters  <walters@gnu.org>

	* configure.ac:

	Enable vorbis by default again.  D'oh!

2003-08-01  Christophe Fergeau  <teuf@gnome.org>

	* configure.ac: display which backend is being used at the end of
	  configure

2003-08-01  Colin Walters  <walters@rhythmbox.org>

	* configure.ac:
	* monkey-media/stream-info-impl/Makefile.am:
	* monkey-media/stream-info-impl/id3-vfs/Makefile.am:
	* shell/rb-shell.c: (rb_shell_construct):

	Build fixes?  Build fixes?  I love build fixes!  How may
	I fix your build today, sir?

2003-08-01  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (rb_iradio_backend_init),
	(rb_iradio_backend_finalize), (genre_removed_cb),
	(rb_iradio_backend_periodic_save), (rb_iradio_backend_save):
	* library/rb-library.c: (rb_library_release_brakes),
	(rb_library_periodic_save):
	* shell/rb-shell.c: (rb_shell_finalize), (rb_shell_construct),
	(ask_string_response_cb), (rb_shell_cmd_delete_group),
	(rb_shell_load_music_groups):
	* sources/rb-group-source.c: (rb_group_source_init),
	(rb_group_source_finalize), (rb_group_source_set_property),
	(impl_get_status_full), (rb_group_source_periodic_save),
	(rb_group_source_save), (rb_group_source_load), (add_uri),
	(dnd_add_handled_cb), (rb_group_source_drop_cb),
	(rb_group_source_add_list_uri), (filename_from_name):

	Make library saving time random.

	Add periodic (semi-random) saving for the iradio source.
	Make its saving atomic, and fix a memory leak there too.  Also
	make group source saving periodic and atomic.

	Have groups save themselves on unref, instead of the shell
	doing it.

2003-08-01  Yann Rouillard <y.rouillard@laposte.net>
	    Mark Humphreys <marquee@users.sourceforge.net>
	    Colin Walters  <walters@verbum.org>

	* Makefile.am:
	* component/Makefile.am:
	* component/Rhythmbox_Nautilus_Context_Menu.server.in.in:
	* component/libmain.c: (rhythmbox_shlib_make_object):
	* component/rb-nautilus-context-menu.c:
	(impl_Bonobo_Listener_event),
	(rb_nautilus_context_menu_class_init),
	(rb_nautilus_context_menu_init):
	* component/rb-nautilus-context-menu.h:
	* configure.ac:
	* shell/rb-shell.c: (rb_shell_finalize), (rb_shell_construct):
	* shell/rb-shell.h:

	Add Nautilus context menu.
	
2003-08-01  Colin Walters  <walters@verbum.org>

	* AUTHORS: Add Yann Rouillard <y.rouillard@laposte.net>, and order it
	alphabetically.

2003-07-31  Colin Walters  <walters@verbum.org>

	* library/rb-library.c: (rb_library_save):

	Quash massive memory leak.

2003-07-31  Colin Walters  <walters@verbum.org>

	* library/rb-library.c: (rb_library_release_brakes),
	(rb_library_finalize), (rb_library_periodic_save),
	(rb_library_save):
	* shell/rb-shell.c: (rb_shell_finalize):

	Save the library periodically.  Also make library saving a bit
	more atomic.

	Also unref the library only after unreffing other things like the
	group sources.

2003-07-31  Colin Walters  <walters@verbum.org>

	* sources/rb-group-source.c: (impl_get_status),
	(impl_get_status_fast), (impl_get_status_full):
	* sources/rb-library-source.c: (impl_get_status_fast),
	(impl_get_status_full):

	Add status to group source too, but in a cut&paste sorta way :/

2003-07-31  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-player.c: (rb_shell_player_playpause),
	(rb_shell_player_set_playing_source):

	Stop a playing source when switching sources.

2003-07-31  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-player.c: (rb_shell_player_init),
	(rb_shell_player_playpause), (rb_shell_player_set_play_button):

	Make stop button actually like stop when we're on another source.

2003-07-31  Colin Walters  <walters@verbum.org>

	* po/am.po:
	* po/be.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/es.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/ja.po:
	* po/ko.po:
	* po/lv.po:
	* po/mk.po:
	* po/nl.po:
	* po/no.po:
	* po/pl.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/sr.po:
	* po/sr@Latn.po:
	* po/vi.po:

	Merge in po files from monkey-media.

2003-07-31  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* lib/egg/.cvsignore:
	* lib/egg/Makefile.am:
	* lib/egg/egg-accel-dialog.c:
	* lib/egg/egg-accel-dialog.h:
	* lib/egg/egg-action-group.c:
	* lib/egg/egg-action-group.h:
	* lib/egg/egg-action.c:
	* lib/egg/egg-action.h:
	* lib/egg/egg-editable-toolbar.c:
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-menu-merge.c:
	* lib/egg/egg-menu-merge.h:
	* lib/egg/egg-menu.h:
	* lib/egg/egg-radio-action.c:
	* lib/egg/egg-radio-action.h:
	* lib/egg/egg-toggle-action.c:
	* lib/egg/egg-toggle-action.h:
	* lib/egg/egg-toolbar-editor.c:
	* lib/egg/egg-toolbar-editor.h:
	* lib/egg/egg-toolbars-model.c:
	* lib/egg/egg-toolbars-model.h:
	* lib/egg/eggintl.h:
	* lib/egg/eggmarshalers.c:
	* lib/egg/eggmarshalers.h:
	* lib/egg/eggmarshalers.list:
	* lib/egg/eggradiotoolbutton.c:
	* lib/egg/eggradiotoolbutton.h:
	* lib/egg/eggseparatortoolitem.c:
	* lib/egg/eggseparatortoolitem.h:
	* lib/egg/eggtoggletoolbutton.c:
	* lib/egg/eggtoggletoolbutton.h:
	* lib/egg/eggtoolbar.c:
	* lib/egg/eggtoolbar.h:
	* lib/egg/eggtoolbutton.c:
	* lib/egg/eggtoolbutton.h:
	* lib/egg/eggtoolitem.c:
	* lib/egg/eggtoolitem.h:
	* lib/egg/eggtreemodelfilter.c:
	* lib/egg/eggtreemodelfilter.h:
	* lib/egg/eggtreemultidnd.c:
	* lib/egg/eggtreemultidnd.h:
	* lib/egg/prop-editor.h:
	* lib/egg/update-from-egg.sh:

	Remove Egg from the tree for now.  We aren't going to be using it
	anytime soon.

2003-07-31  Bastien Nocera  <hadess@hadess.net>

	* data/.cvsignore:
	* monkey-media/.cvsignore:
	* shell/.cvsignore: Spring cleaning

2003-07-31  Bastien Nocera  <hadess@hadess.net>

	* lib/widgets/rb-player.c: (rb_player_init): make the elapsed time
	label use a normal sized font, looks readable on my machine now :)

2003-07-31  Bob Smith <bob@thestuff.net>

	* data/art/Makefile.am:
	* data/ui/rhythmbox-ui.xml.in:
	* shell/rb-shell.c: (rb_shell_construct),
	(rb_shell_cmd_new_station), (rb_shell_cmd_extract_cd):

	Add initial Sound Juicer integration.

2003-07-31  Bastien Nocera  <hadess@hadess.net>

	* sources/rb-library-source.c: (impl_get_status_full): show the
	number of songs as well as the total play time in the statusbar

2003-07-31  Bastien Nocera  <hadess@hadess.net>

	* monkey-media/monkey-media-player-xine.c:
	(monkey_media_player_construct), (can_set_volume),
	(monkey_media_player_set_volume): fix getting and setting the volume
	(ie. don't use the system volume, but an internal amp)

2003-07-31  Bastien Nocera  <hadess@hadess.net>

	* shell/rb-shell.c: (rb_shell_finalize): destroy the main shell
	window on exit, so that the MonkeyMediaPlayer is as well, and
	the xine config saved

2003-07-31  Colin Walters  <walters@rhythmbox.org>

	* INSTALL:
	* INSTALL.GNU:
	* INSTALL.quick:
	* Makefile.am:
	* acconfig.h:
	* autogen.sh:
	* configure.ac:
	* configure.in:
	* corba/.cvsignore:
	* iradio/Makefile.am:
	* lib/Makefile.am:
	* lib/widgets/Makefile.am:
	* library/Makefile.am:
	* macros/gst-element-check-0.6.m4:
	* macros/ogg.m4:
	* macros/vorbis.m4:
	* monkey-media/.cvsignore:
	* monkey-media/Makefile.am:
	* monkey-media/monkey-media-audio-cd-private.h:
	* monkey-media/monkey-media-audio-cd.c:
	(monkey_media_audio_cd_get_type),
	(monkey_media_audio_cd_class_init), (is_cdrom_device),
	(monkey_media_audio_cd_device_available),
	(monkey_media_audio_cd_init), (monkey_media_audio_cd_finalize),
	(monkey_media_audio_cd_set_property),
	(monkey_media_audio_cd_get_property),
	(monkey_media_audio_cd_unref_if_around),
	(monkey_media_audio_cd_new), (monkey_media_audio_cd_open),
	(monkey_media_audio_cd_close), (monkey_media_audio_cd_open_tray),
	(monkey_media_audio_cd_close_tray),
	(monkey_media_audio_cd_available), (rfc822_binary), (ensure_sync),
	(poll_event_cb), (monkey_media_audio_cd_get_disc_id),
	(monkey_media_audio_cd_get_track_duration),
	(monkey_media_audio_cd_get_track_offset),
	(monkey_media_audio_cd_have_track),
	(monkey_media_audio_cd_get_n_tracks),
	(monkey_media_audio_cd_list_tracks),
	(monkey_media_audio_cd_free_tracks),
	(monkey_media_audio_cd_error_quark):
	* monkey-media/monkey-media-audio-cd.h:
	* monkey-media/monkey-media-audio-quality.c:
	(monkey_media_audio_quality_get_type),
	(monkey_media_audio_quality_from_bit_rate),
	(monkey_media_audio_quality_to_string):
	* monkey-media/monkey-media-audio-quality.h:
	* monkey-media/monkey-media-includes.h.in:
	* monkey-media/monkey-media-marshal.list:
	* monkey-media/monkey-media-musicbrainz.c:
	(monkey_media_musicbrainz_get_type),
	(monkey_media_musicbrainz_class_init),
	(monkey_media_musicbrainz_init),
	(monkey_media_musicbrainz_finalize),
	(monkey_media_musicbrainz_unref_if_around),
	(monkey_media_musicbrainz_new), (free_track), (free_info),
	(load_album_file), (save_album_file), (load_info_track),
	(load_info_cd), (monkey_media_musicbrainz_load_info),
	(monkey_media_musicbrainz_query), (proxy_settings_changed),
	(server_settings_changed), (sync_proxy_settings),
	(sync_server_settings):
	* monkey-media/monkey-media-musicbrainz.h:
	* monkey-media/monkey-media-player-gst-old.c:
	(monkey_media_player_get_type), (monkey_media_player_class_init),
	(tick_timeout), (monkey_media_player_init),
	(monkey_media_player_finalize), (eos_signal_idle), (eos_cb),
	(error_signal_idle), (error_cb), (info_signal_idle),
	(deep_notify_cb), (monkey_media_player_construct),
	(monkey_media_player_new), (monkey_media_player_error_quark),
	(monkey_media_player_open), (monkey_media_player_close),
	(monkey_media_player_get_uri), (monkey_media_player_play),
	(monkey_media_player_pause), (monkey_media_player_playing),
	(monkey_media_player_set_volume), (monkey_media_player_get_volume),
	(monkey_media_player_set_mute), (monkey_media_player_get_mute),
	(monkey_media_player_seekable), (monkey_media_player_set_time),
	(monkey_media_player_get_time):
	* monkey-media/monkey-media-player-gst-tmp.c:
	(monkey_media_player_get_type), (monkey_media_player_class_init),
	(tick_timeout), (monkey_media_player_init),
	(monkey_media_player_finalize), (eos_signal_idle),
	(buffering_begin_signal_idle), (buffering_end_signal_idle),
	(eos_cb), (error_signal_idle), (error_cb), (info_signal_idle),
	(unicodify), (monkey_media_unicodify), (deep_notify_cb),
	(queue_full_cb), (monkey_media_player_construct),
	(monkey_media_player_new), (monkey_media_player_error_quark),
	(monkey_media_player_sync_pipeline), (monkey_media_player_open),
	(monkey_media_player_close), (monkey_media_player_get_uri),
	(monkey_media_player_play), (monkey_media_player_pause),
	(monkey_media_player_playing), (monkey_media_player_set_volume),
	(monkey_media_player_get_volume), (monkey_media_player_set_mute),
	(monkey_media_player_get_mute), (monkey_media_player_seekable),
	(monkey_media_player_set_time), (monkey_media_player_get_time):
	* monkey-media/monkey-media-player-gst.c:
	(monkey_media_player_get_type), (monkey_media_player_class_init),
	(tick_timeout), (monkey_media_player_init),
	(monkey_media_player_finalize), (eos_signal_idle), (eos_cb),
	(error_signal_idle), (error_cb), (info_signal_idle),
	(deep_notify_cb), (buffering_begin_signal_idle),
	(buffering_end_signal_idle), (queue_full_cb),
	(monkey_media_player_construct), (monkey_media_player_new),
	(monkey_media_player_error_quark), (monkey_media_player_open),
	(monkey_media_player_close), (monkey_media_player_get_uri),
	(monkey_media_player_play), (monkey_media_player_pause),
	(monkey_media_player_playing), (monkey_media_player_set_volume),
	(monkey_media_player_get_volume), (monkey_media_player_set_mute),
	(monkey_media_player_get_mute), (monkey_media_player_seekable),
	(monkey_media_player_set_time), (monkey_media_player_get_time):
	* monkey-media/monkey-media-player-xine.c:
	(monkey_media_player_get_type), (monkey_media_player_class_init),
	(tick_timeout), (monkey_media_player_init),
	(monkey_media_player_finalize), (signal_idle), (xine_event),
	(monkey_media_player_construct), (monkey_media_player_new),
	(monkey_media_player_error_quark), (monkey_media_player_open),
	(monkey_media_player_close), (monkey_media_player_get_uri),
	(monkey_media_player_play), (monkey_media_player_pause),
	(monkey_media_player_playing), (can_set_volume),
	(monkey_media_player_set_volume), (monkey_media_player_get_volume),
	(monkey_media_player_set_mute), (monkey_media_player_get_mute),
	(monkey_media_player_seekable), (monkey_media_player_set_time),
	(monkey_media_player_get_time):
	* monkey-media/monkey-media-player.h:
	* monkey-media/monkey-media-private.h:
	* monkey-media/monkey-media-stream-info.c:
	(monkey_media_stream_info_field_get_type),
	(monkey_media_stream_info_uri_is_supported),
	(monkey_media_stream_info_error_quark),
	(monkey_media_stream_info_get_type),
	(monkey_media_stream_info_class_init),
	(monkey_media_stream_info_init),
	(monkey_media_stream_info_finalize),
	(monkey_media_stream_info_set_property),
	(monkey_media_stream_info_get_property),
	(monkey_media_stream_info_new), (sanitize_values),
	(monkey_media_stream_info_get_n_values),
	(monkey_media_stream_info_get_value_list),
	(monkey_media_stream_info_free_value_list),
	(monkey_media_stream_info_get_value),
	(monkey_media_stream_info_set_value),
	(monkey_media_stream_info_list_all_genres),
	(monkey_media_stream_info_genre_to_index),
	(monkey_media_stream_info_index_to_genre), (clear_values),
	(monkey_media_stream_info_get_value_net),
	(monkey_media_stream_info_sync_from_net):
	* monkey-media/monkey-media-stream-info.h:
	* monkey-media/monkey-media.c: (monkey_media_init),
	(nonkey_media_init_with_popt_table), (register_type),
	(monkey_media_init_internal), (monkey_media_get_popt_table),
	(monkey_media_get_supported_filename_extensions),
	(monkey_media_shutdown), (monkey_media_main),
	(monkey_media_main_quit), (monkey_media_get_audio_driver),
	(monkey_media_set_audio_driver),
	(monkey_media_audio_driver_changed), (monkey_media_get_cd_drive),
	(monkey_media_set_cd_drive), (monkey_media_cd_drive_changed),
	(monkey_media_get_cd_playback_mode),
	(monkey_media_set_cd_playback_mode),
	(monkey_media_cd_playback_mode_changed), (popt_callback),
	(monkey_media_is_alive), (monkey_media_get_impl_for),
	(monkey_media_get_stream_info_impl_for), (monkey_media_get_dir),
	(monkey_media_mkdir):
	* monkey-media/monkey-media.h:
	* monkey-media/sha1.c: (sha_transform), (sha_init), (sha_update),
	(sha_final), (sha_stream), (sha_print), (sha_version):
	* monkey-media/sha1.h:
	* monkey-media/stream-info-impl/.cvsignore:
	* monkey-media/stream-info-impl/Makefile.am:
	* monkey-media/stream-info-impl/audiocd-stream-info-impl.c:
	(audiocd_stream_info_impl_get_type),
	(audiocd_stream_info_impl_class_init),
	(audiocd_stream_info_impl_init),
	(audiocd_stream_info_impl_finalize),
	(audiocd_stream_info_impl_open_stream),
	(audiocd_stream_info_impl_get_value),
	(audiocd_stream_info_impl_set_value),
	(audiocd_stream_info_impl_get_n_values):
	* monkey-media/stream-info-impl/audiocd-stream-info-impl.h:
	* monkey-media/stream-info-impl/flac-stream-info-impl.c:
	(FLAC_stream_info_impl_get_type),
	(FLAC_stream_info_impl_class_init), (FLAC_stream_info_impl_init),
	(FLAC_stream_info_impl_finalize),
	(FLAC_stream_info_impl_open_stream),
	(FLAC_stream_info_impl_get_n_values),
	(FLAC_stream_info_impl_get_value),
	(FLAC_stream_info_impl_set_value),
	(FLAC_stream_info_impl_id3_tag_get_utf8):
	* monkey-media/stream-info-impl/flac-stream-info-impl.h:
	* monkey-media/stream-info-impl/id3-vfs/.cvsignore:
	* monkey-media/stream-info-impl/id3-vfs/Makefile.am:
	* monkey-media/stream-info-impl/id3-vfs/field.h:
	* monkey-media/stream-info-impl/id3-vfs/file.h:
	* monkey-media/stream-info-impl/id3-vfs/global.h:
	* monkey-media/stream-info-impl/id3-vfs/id3-vfs.c: (query_tag),
	(read_tag), (update_primary), (add_tag), (search_tags),
	(finish_file), (new_file), (id3_vfs_open), (id3_vfs_close),
	(id3_vfs_tag), (id3_vfs_update), (extractI4), (is_mphead),
	(is_xhead), (id3_vfs_bitrate), (id3_vfs_samplerate),
	(id3_vfs_channels), (id3_vfs_vbr), (id3_vfs_version):
	* monkey-media/stream-info-impl/id3-vfs/id3-vfs.h:
	* monkey-media/stream-info-impl/id3-vfs/tag.h:
	* monkey-media/stream-info-impl/mp3-stream-info-impl.c:
	(MP3_stream_info_impl_get_type), (MP3_stream_info_impl_class_init),
	(MP3_stream_info_impl_init), (MP3_stream_info_impl_finalize),
	(MP3_stream_info_impl_open_stream),
	(MP3_stream_info_impl_get_n_values),
	(MP3_stream_info_impl_get_value), (MP3_stream_info_impl_set_value),
	(MP3_stream_info_impl_id3_tag_get_utf8):
	* monkey-media/stream-info-impl/mp3-stream-info-impl.h:
	* monkey-media/stream-info-impl/ogg-helper.c: (ogg_helper_read),
	(ogg_helper_seek), (ogg_helper_close), (ogg_helper_close_dummy),
	(ogg_helper_tell):
	* monkey-media/stream-info-impl/ogg-helper.h:
	* monkey-media/stream-info-impl/vorbis-stream-info-impl.c:
	(vorbis_stream_info_impl_get_type),
	(vorbis_stream_info_impl_class_init),
	(vorbis_stream_info_impl_init), (vorbis_stream_info_impl_finalize),
	(vorbis_stream_info_impl_open_stream),
	(vorbis_stream_info_impl_get_n_values),
	(vorbis_stream_info_impl_get_strvalue_utf8),
	(vorbis_stream_info_impl_get_value),
	(vorbis_stream_info_impl_set_value):
	* monkey-media/stream-info-impl/vorbis-stream-info-impl.h:
	* shell/.cvsignore:
	* shell/Makefile.am:
	* sources/Makefile.am:
	* tests/.cvsignore:
	* tests/Makefile.am:
	* tests/test-cd.c: (eos), (main):
	* tests/test-cmdline.c: (buffering_begin_cb), (buffering_end_cb),
	(eos), (info), (error_cb), (main):
	* tests/test-info.c: (print_result), (main):

	Commit of doom.

	This merges monkey-media into the tree, updates to the latest
	autotools (we now require Automake 1.7), and um, other stuff.

2003-07-31  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c (struct RBShellPrivate): Comment out AudioCD thingy.

2003-07-31  Christophe Fergeau  <teuf@gnome.org>

	* data/rhythmbox.pc.in: added missing file per Bob Smith request,
	  fixes compilation

2003-07-31  Colin Walters  <walters@gnu.org>

	* library/rb-library.c: (finalize_node):
	* library/rb-node.c: (unref_signal_objects), (rb_node_dispose),
	(rb_node_unref_with_locked_child), (rb_node_unref):
	* library/rb-node.h:

	Don't deadlock on recursive unreffing chains.

2003-07-31  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* shell/rb-shell-clipboard.c: (rb_shell_clipboard_sync),
	(rb_shell_clipboard_cmd_select_all),
	(rb_shell_clipboard_cmd_select_none):

	Add Select All/None.

2003-07-30  Bob Smith <bob@thestuff.net>
	    Colin Walters <walters@debian.org>

	* Makefile.am:
	* configure.in:
	* corba/Makefile.am:
	* corba/Rhythmbox.idl:
	* data/Makefile.am:
	* shell/Makefile.am:
	* shell/Rhythmbox.idl:

	Move IDL bits to corba/ directory.  Install the IDL file.

2003-07-30  Colin Walters  <cwalters@gnome.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_class_init):
	* shell/rb-shell-clipboard.c: (rb_shell_clipboard_cmd_delete),
	(rb_shell_clipboard_cmd_sl_delete),
	(rb_shell_clipboard_cmd_sl_copy):
	* shell/rb-shell-player.c: (rb_shell_player_set_property),
	(rb_shell_player_cmd_next),
	(rb_shell_player_playing_node_removed_cb):

	Make deleting a playing node work.

2003-07-30  Colin Walters  <walters@rhythmbox.org>

	* data/ui/Makefile.am:
	* data/ui/rhythmbox-iradio-view.xml.in:
	* data/ui/rhythmbox-library-view.xml.in:
	* data/ui/rhythmbox-ui.xml.in:
	* lib/rb-bonobo-helpers.c: (rb_bonobo_add_listener_list_with_data),
	(rb_bonobo_show_popup):
	* lib/rb-bonobo-helpers.h:
	* lib/rb-marshal.list:
	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_class_init),
	(rb_sourcelist_init), (rb_sourcelist_remove),
	(rb_sourcelist_selection_changed_cb), (drop_received_cb),
	(button_press_cb):
	* lib/widgets/rb-sourcelist.h:
	* shell/rb-shell-player.c: (rb_shell_player_cmd_song_info),
	(rb_shell_player_cmd_sl_delete), (rb_shell_player_cmd_sl_copy),
	(rb_shell_player_cmd_sl_properties):
	* shell/rb-shell.c: (rb_shell_construct), (rb_shell_remove_source),
	(rb_shell_select_source), (rb_shell_cmd_delete_group),
	(rb_shell_load_music_groups), (rb_shell_save_music_groups),
	(rb_shell_show_popup_cb):
	* sources/rb-group-source.c: (rb_group_source_class_init),
	(rb_group_source_songs_show_popup_cb), (impl_receive_drag),
	(impl_show_popup):
	* sources/rb-source.c: (rb_source_class_init),
	(default_show_popup), (rb_source_show_popup):
	* sources/rb-source.h:

	Make popup menus on song lists work.
	
	Add popup menus on playlists.  Add ability to delete playlists.

2003-07-30  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-volume.c: (rb_volume_get_type),
	(rb_volume_class_init), (rb_volume_init), (rb_volume_finalize),
	(rb_volume_new), (rb_volume_sync_volume), (clicked_cb),
	(scroll_cb), (rb_volume_popup_hide),
	(scale_button_release_event_cb), (scale_button_event_cb),
	(scale_key_press_event_cb), (mixer_value_changed_cb),
	(volume_changed_cb):
	* lib/widgets/rb-volume.h:
	* shell/rb-shell-player.c: (rb_shell_player_init):

	Volume control works now.

2003-07-30  Bastien Nocera  <hadess@hadess.net>

	* configure.in: autoconf 2.53 is actually enough

2003-07-29  Colin Walters  <walters@verbum.org>

	* lib/widgets/Makefile.am:
	* lib/widgets/rb-sourcelist-model.c:
	(rb_sourcelist_model_get_type), (rb_sourcelist_model_class_init),
	(rb_sourcelist_model_drag_dest_init), (rb_sourcelist_model_init),
	(rb_sourcelist_model_finalize), (rb_sourcelist_model_new),
	(rb_sourcelist_model_drag_data_received),
	(rb_sourcelist_model_row_drop_possible):
	* lib/widgets/rb-sourcelist-model.h:
	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_class_init),
	(rb_sourcelist_init), (rb_sourcelist_append),
	(rb_sourcelist_select), (rb_sourcelist_selection_changed_cb),
	(drop_received_cb):
	* lib/widgets/rb-sourcelist.h:
	* shell/rb-shell.c: (rb_shell_construct),
	(sourcelist_drag_received_cb), (setup_tray_icon):
	* sources/rb-group-source.c: (rb_group_source_class_init),
	(impl_receive_drag), (rb_group_source_drop_cb):
	* sources/rb-library-source.c: (rb_library_source_class_init),
	(impl_receive_drag), (rb_library_source_drop_cb):
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_buffering_done), (default_receive_drag),
	(rb_source_receive_drag):
	* sources/rb-source.h:

	Drag and drop is here.

2003-07-28  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-clipboard.c: (rb_shell_clipboard_sync):
	* sources/rb-group-source.c: (rb_group_source_class_init),
	(rb_group_source_set_property), (impl_get_status), (impl_cut),
	(impl_paste), (impl_delete):

	Building upon previous work, playlists are starting to work via
	cut&paste.  Still need to do drag&drop bits.

2003-07-28  Colin Walters  <walters@verbum.org>

	* HACKING:
	* lib/Makefile.am:
	* shell/rb-shell-clipboard.c: (rb_shell_clipboard_set_property),
	(rb_shell_clipboard_sync), (rb_shell_clipboard_cmd_cut),
	(rb_shell_clipboard_cmd_copy), (rb_shell_clipboard_cmd_paste),
	(rb_shell_clipboard_cmd_delete), (node_destroyed_cb),
	(rb_shell_clipboard_nodeview_changed_cb):
	* shell/rb-shell-player.c:
	* sources/rb-iradio-source.c: (rb_iradio_source_class_init),
	(impl_get_browser_key), (impl_delete):
	* sources/rb-library-source.c: (rb_library_source_class_init),
	(rb_library_source_browser_views_activated_cb), (impl_delete):
	* sources/rb-source.c: (rb_source_class_init), (default_copy):
	* sources/rb-source.h:

	More cut&paste stuff.  Deletion appears to work now.

2003-07-28  Colin Walters  <walters@verbum.org>

	* AUTHORS:
	* DOCUMENTERS:
	* HACKING:
	* INTERNALS:
	* Makefile.am:
	* shell/Makefile.am:
	* shell/rb-shell.c: (rb_shell_cmd_about),
	(rb_shell_cmd_new_station):

	Autogenerate about dialog stuff from AUTHORS and DOCUMENTORS.

	Make "New Internet Radio Station" menu entry work.

	Minor updates to HACKING and INTERNALS.

2003-07-28  Colin Walters  <walters@verbum.org>

	* configure.in: Don't use -Werror by default, for now.
	* MAINTAINERS: You!  Me.  Me too.

2003-07-28  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* shell/Makefile.am:
	* shell/rb-shell-clipboard.c: (rb_shell_clipboard_get_type),
	(rb_shell_clipboard_class_init), (rb_shell_clipboard_init),
	(rb_shell_clipboard_finalize), (rb_shell_clipboard_set_property),
	(rb_shell_clipboard_get_property), (rb_shell_clipboard_set_source),
	(rb_shell_clipboard_new), (rb_shell_clipboard_sync),
	(rb_shell_clipboard_cmd_cut), (rb_shell_clipboard_cmd_copy),
	(rb_shell_clipboard_cmd_paste), (rb_shell_clipboard_cmd_delete),
	(rb_shell_clipboard_set), (node_destroyed_cb):
	* shell/rb-shell-clipboard.h:
	* shell/rb-shell-player.c:
	* shell/rb-shell.c: (rb_shell_finalize), (rb_shell_construct),
	(rb_shell_select_source):
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_get_config_widget), (default_can_cut),
	(rb_source_can_cut), (rb_source_can_delete), (rb_source_can_copy),
	(rb_source_cut), (rb_source_copy), (rb_source_paste),
	(rb_source_delete):
	* sources/rb-source.h:

	Reinstate some cut&paste infrastructure.

	Also rename "Organize" menu to "File", because it's just as clear
	as "Organize" in this case and will be more familiar to refugees
	from other OSes.

2003-07-28  Colin Walters  <walters@verbum.org>

	* iradio/rb-iradio-backend.c: (rb_iradio_backend_init):
	* iradio/rb-iradio-backend.h:
	* lib/widgets/rb-node-view.c: (node_from_sort_iter_cb):
	* lib/widgets/rb-tree-model-node.c: (rb_tree_model_node_get_value):
	* library/rb-library.c: (rb_library_create_skels):
	* library/rb-library.h:
	* library/rb-node.h:

	Unscrew rating stuff.

2003-07-28  Colin Walters  <walters@debian.org>

	* lib/widgets/rb-load-failure-dialog.c:
	(rb_load_failure_dialog_init):
	* lib/widgets/rb-node-view.c: (root_child_removed_cb):
	* lib/widgets/rb-tree-model-node.c: (filter_changed_cb),
	(root_child_removed_cb):
	* library/rb-library.c: (genre_removed_cb), (artist_removed_cb),
	(album_removed_cb), (song_removed_cb), (rb_library_create_skels),
	(rb_library_load):
	* library/rb-node.c: (rb_node_save_to_xml), (rb_node_new_from_xml),
	(rb_node_add_child):
	* library/rb-node.h:

	Various node serialization fixes.

	Also flip the order of columns in the load failure dialog, because
	the filename is usually the long element.

2003-07-27  Colin Walters  <cwalters@gnome.org>

	* iradio/Makefile.am:
	* iradio/rb-iradio-backend.c: (rb_iradio_backend_init),
	(rb_iradio_backend_finalize), (load_initial),
	(rb_iradio_backend_load), (rb_iradio_backend_remove_node),
	(rb_iradio_backend_lookup_station_by_location),
	(rb_iradio_backend_add_station_full), (finalize_node),
	(set_title_sort_key), (set_genre), (rb_iradio_backend_new_station):
	* iradio/rb-iradio-backend.h:
	* iradio/rb-new-station-dialog.c:
	(rb_new_station_dialog_response_cb):
	* iradio/rb-node-station.c:
	* iradio/rb-node-station.h:
	* iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_update_location),
	(rb_station_properties_dialog_update_play_count),
	(rb_station_properties_dialog_update_last_played),
	(rb_station_properties_dialog_update_rating),
	(rb_station_properties_dialog_sync_locations):
	* lib/widgets/rb-node-view.c: (rb_node_view_class_init),
	(rb_node_view_set_property), (rb_node_view_construct),
	(rb_node_view_selection_changed_cb):
	* lib/widgets/rb-player.c: (rb_player_class_init),
	(rb_player_set_property):
	* lib/widgets/rb-song-info.c: (rb_song_info_update_play_count),
	(rb_song_info_update_last_played):
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_class_init), (rb_tree_model_node_set_property),
	(rb_tree_model_node_get_property), (rb_tree_model_node_get_path),
	(rb_tree_model_node_get_value), (rb_tree_model_node_iter_next),
	(rb_tree_model_node_node_from_iter):
	* lib/widgets/rb-tree-model-sort.c:
	* library/Makefile.am:
	* library/rb-library-main-thread.c: (thread_main):
	* library/rb-library.c: (rb_library_init), (rb_library_finalize),
	(rb_library_remove_node), (rb_library_get_node_db),
	(rb_library_create_skels), (rb_library_handle_songs),
	(rb_library_load), (finalize_node), (rb_library_new_node),
	(is_different), (set_node_value), (set_node_title),
	(set_node_mtime), (set_node_duration), (set_node_track_number),
	(set_node_genre), (set_node_artist), (set_node_album), (sync_node),
	(rb_library_update_node):
	* library/rb-library.h:
	* library/rb-node-common.h:
	* library/rb-node-db.c: (rb_node_db_get_type),
	(rb_node_db_set_name), (rb_node_db_get_property),
	(rb_node_db_set_property), (rb_node_db_class_init),
	(rb_node_db_init), (rb_node_db_finalize), (rb_node_db_get_by_name),
	(rb_node_db_new), (node_from_id_real), (rb_node_db_get_name),
	(rb_node_db_get_node_from_id), (_rb_node_db_new_id),
	(_rb_node_db_add_id), (_rb_node_db_remove_id):
	* library/rb-node-db.h:
	* library/rb-node-filter.c: (rb_node_filter_add_expression),
	(rb_node_filter_evaluate), (rb_node_filter_expression_new),
	(rb_node_filter_expression_evaluate):
	* library/rb-node-filter.h:
	* library/rb-node-song.c:
	* library/rb-node-song.h:
	* library/rb-node.c: (write_lock_to_read_lock),
	(read_lock_to_write_lock), (lock_gdk), (unlock_gdk), (callback),
	(rb_node_emit_signal), (rb_node_finalize), (real_remove_child),
	(remove_child), (signal_object_weak_notify),
	(unref_signal_objects), (rb_node_dispose), (rb_node_new),
	(rb_node_new_with_id), (rb_node_get_db), (rb_node_get_id),
	(rb_node_ref), (rb_node_unref), (rb_node_freeze), (rb_node_thaw),
	(child_changed), (real_set_property), (rb_node_set_property),
	(rb_node_get_property), (save_parent), (rb_node_save_to_xml),
	(real_add_child), (rb_node_new_from_xml), (rb_node_add_child),
	(rb_node_remove_child), (rb_node_has_child),
	(rb_node_real_get_child_index), (rb_node_sort_children),
	(rb_node_reorder_children), (rb_node_get_children),
	(rb_node_get_n_children), (rb_node_get_nth_child),
	(get_child_index_real), (rb_node_get_child_index),
	(rb_node_get_next_child), (rb_node_get_previous_child),
	(rb_node_signal_connect_object), (rb_node_signal_disconnect),
	(rb_node_update_play_statistics):
	* library/rb-node.h:
	* shell/rb-shell-player.c: (rb_shell_player_open_node):
	* shell/rb-shell.c: (ask_string_response_cb),
	(sourcelist_drag_finished_cb):
	* sources/rb-group-source.c: (rb_group_source_init),
	(rb_group_source_set_property), (rb_group_source_load),
	(rb_group_source_drop_cb):
	* sources/rb-iradio-source.c: (ensure_node_selection):
	* sources/rb-library-source.c: (ensure_node_selection):
	* sources/rb-song-info-helpers.h:

	Steal Epiphany node stuff.  Clean that up a bit.  Rework the
	rest of the source to use it.

	Kill off RBNodeSong and RBNodeStation.

	Other stuff.

2003-07-24  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_set_dnd_targets):
	* lib/widgets/rb-sourcelist.h:
	* shell/rb-shell.c: (rb_shell_construct), (handle_songs_func),
	(sourcelist_drag_finished_cb):

	Pull in some DnD stuff.

2003-07-19  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* lib/Makefile.am:
	* lib/rb-file-helpers.c: (rb_uri_handle_recursively):
	* shell/main.c: (rb_handle_cmdline):
	* shell/rb-shell.c: (rb_shell_finalize), (rb_shell_construct),
	(ask_string_response_cb), (create_group),
	(rb_shell_cmd_new_playlist), (rb_shell_cmd_rename_group),
	(rb_shell_cmd_delete_group), (rb_shell_load_music_groups),
	(rb_shell_save_music_groups), (add_uri), (dnd_add_handled_cb),
	(rb_shell_new_group_dialog):
	* sources/Makefile.am:
	* sources/rb-group-source.c: (rb_group_source_get_type),
	(rb_group_source_class_init),
	(rb_group_source_songs_show_popup_cb), (rb_group_source_init),
	(rb_group_source_finalize), (rb_group_source_set_property),
	(rb_group_source_get_property), (rb_group_source_new),
	(rb_group_source_new_from_file), (rb_group_source_set_name),
	(rb_group_source_get_file), (impl_get_description),
	(impl_get_browser_key), (impl_get_pixbuf), (impl_get_node_view),
	(impl_can_pause), (impl_have_artist_album), (impl_get_artist),
	(impl_get_album), (impl_have_url), (impl_get_status),
	(impl_song_properties), (songs_view_changed_cb),
	(rb_group_source_save), (rb_group_source_load),
	(rb_group_source_remove_file), (rb_group_source_add_node),
	(add_uri), (dnd_add_handled_cb), (handle_songs_func),
	(rb_group_source_drop_cb), (rb_group_source_add_list_uri),
	(filename_from_name):
	* sources/rb-group-source.h:

	Groups compile and can be added and stuff, but they do not work
	quite yet.

2003-07-18  Colin Walters  <walters@verbum.org>

	* sources/rb-library-source.c (struct RBLibrarySourcePrivate): Remove
	some unused members.
	(rb_library_source_songs_show_popup_cb): Rename variable.

2003-07-17  Colin Walters  <walters@verbum.org>

	* INTERNALS: New file.

2003-07-14  Colin Walters  <walters@verbum.org>

	* shell/Rhythmbox.idl:
	* shell/main.c: (main), (rb_handle_cmdline):
	* shell/rb-shell-player.c: (rb_shell_player_sync_volume),
	(rb_shell_player_get_playing_path):
	* shell/rb-shell-player.h:
	* shell/rb-shell.c: (rb_shell_class_init),
	(rb_shell_corba_grab_focus), (rb_shell_corba_get_playing_title),
	(rb_shell_corba_get_playing_path):

	Add --print-playing and --print-playing-path cmdline arguments, and
	corresponding CORBA interface calls.

2003-06-16  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-06-16 Jean Schurger <yshark@schurger.org>
        * shell/rb-shell-player.c: handle scroll-up/down over the volume button

2003-06-05  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-player.c (buffering_begin_cb): Remove unneeded variable.

2003-06-01  Colin Walters  <walters@gnu.org>

	* data/iradio-initial.xml:
	* shell/rb-shell-player.c: (cancel_buffering_dialog),
	(buffering_begin_cb):
	* sources/rb-iradio-source.c:
	(rb_iradio_source_async_update_play_statistics),
	(impl_buffering_done):

	Update BassDrive URLs.  Make buffering dialog and iradio actually work.
	Increase the time before we update play statistics in iradio to 6 seconds.

	Jorn: if I ref/unref the node in rb-iradio-source.c:impl_buffering_done,
	I get a crash in the node view...if you have a chance it'd be cool
	if you could take a look.

2003-06-01  Colin Walters  <walters@debian.org>

	* data/rhythmbox.schemas:
	* lib/rb-file-helpers.c: (rb_uri_handle_recursively):
	* lib/rb-file-helpers.h:
	* lib/widgets/rb-load-failure-dialog.c:
	(rb_load_failure_dialog_init),
	(rb_load_failure_dialog_response_cb),
	(rb_load_failure_dialog_sync_window_state),
	(rb_load_failure_dialog_window_state_cb):
	* library/rb-library-main-thread.c: (exit_if_dead), (thread_main):
	* library/rb-library-walker-thread.c: (thread_main):
	* shell/rb-shell.c: (rb_shell_finalize), (rb_shell_construct),
	(rb_shell_window_state_cb), (rb_shell_library_error_cb):

	Only show load errors for monkey-media supported filename extensions.
	Remember the window state of the load error dialog.

	Fix the the main and walker threads so that we can cleanly cancel
	them, and also make rb_uri_handle_recursively cancellable.   Now
	closing the window when loading the library should cleanly exit.

2003-05-30  Colin Walters  <walters@verbum.org>

	* data/glade/Makefile.am:
	* data/glade/load-failure.glade:
	* data/ui/rhythmbox-ui.xml.in:
	* lib/rb-marshal.list:
	* lib/widgets/Makefile.am:
	* lib/widgets/rb-load-failure-dialog.c:
	(rb_load_failure_dialog_get_type),
	(rb_load_failure_dialog_class_init), (rb_load_failure_dialog_init),
	(rb_load_failure_dialog_finalize), (rb_load_failure_dialog_new),
	(rb_load_failure_dialog_add), (rb_load_failure_dialog_clear),
	(rb_load_failure_dialog_response_cb):
	* lib/widgets/rb-load-failure-dialog.h:
	* library/rb-library-main-thread.c:
	(rb_library_main_thread_class_init),
	(rb_library_main_thread_set_property), (signal_err_idle),
	(push_err), (thread_main):
	* library/rb-library-main-thread.h:
	* library/rb-library.c: (rb_library_class_init),
	(rb_library_pass_on_error), (rb_library_release_brakes):
	* library/rb-library.h:
	* library/rb-node-song.c: (rb_node_song_new), (rb_node_song_sync),
	(rb_node_song_update_if_changed):
	* library/rb-node-song.h:
	* shell/rb-shell.c: (rb_shell_construct),
	(rb_shell_window_delete_cb), (source_selected_cb),
	(rb_shell_library_error_cb),
	(rb_shell_load_failure_dialog_response_cb), (ask_file_response_cb),
	(load_playlist_response_cb), (rb_shell_cmd_add_location):

	New load failure dialog, shown when the library fails to load some files.  This
	should help people debug problems.  Also s/Group/Playlist/ in the UI.
	Probably some other little things I forget.

2003-05-28  Luca Ferretti <elle.uca@libero.it>
	   (added to CVS by Colin Walters <cwalters@gnome.org>)

	* data/glade/create-playlist.glade: New file.

2003-05-27  Geert-Jan Van den Bogaerde

	* lib/disclosure-widget.c: (cddb_disclosure_new):
	* shell/rb-source-header.c: (rb_source_header_init):

	Add mnemonic.

2003-05-25  Colin Walters  <walters@verbum.org>

	* data/rhythmbox.applications: Handle application/ogg and
	audio/x-scpls. 

2003-05-24  Colin Walters  <walters@debian.org>

	* lib/widgets/rb-node-view.c: (rb_node_view_get_first_node):

	Return NULL if the filter model is empty.  This should fix a
	number of outstanding bugs.

2003-05-24  Colin Walters  <walters@verbum.org>

	* shell/rb-shell.c: (rb_shell_construct):

	Put the sourcelist on the right in RTL locales.

2003-05-24  Colin Walters  <walters@verbum.org>

	* README:
	* TODO:
	* data/node-views/rb-node-view-cdaudio.xml:
	* data/node-views/rb-node-view-iradio-stations.xml:
	* data/node-views/rb-node-view-songs.xml:
	* iradio/rb-iradio-backend.c:
	* iradio/rb-node-station.c: (rb_node_station_new):
	* iradio/rb-station-properties-dialog.c:
	(rb_station_properties_dialog_update_play_count),
	(rb_station_properties_dialog_update_last_played):
	* lib/widgets/rb-node-view.c: (rb_node_view_get_selection),
	(rb_node_view_get_rows):
	* lib/widgets/rb-player.c: (rb_player_get_duration):
	* lib/widgets/rb-song-info.c: (rb_song_info_update_play_count),
	(rb_song_info_update_last_played):
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_get_column_type),
	(rb_tree_model_node_get_value),
	(rb_tree_model_node_column_get_type):
	* lib/widgets/rb-tree-model-node.h:
	* library/rb-library.h:
	* library/rb-node-song.c: (rb_node_song_new), (set_duration),
	(set_track_number):
	* library/rb-node.c: (rb_node_update_play_statistics):
	* library/rb-node.h:
	* shell/rb-shell-player.c: (eos_cb):
	* shell/rb-shell-preferences.c:
	(rb_shell_preferences_column_check_changed_cb),
	(rb_shell_preferences_sync):
	* sources/rb-library-source.c: (impl_get_status_full):
	* sources/rb-song-info-helpers.c: (rb_song_set_duration):
	* views/.cvsignore:
	* views/Makefile.am:
	* views/rb-audiocd-view.c:
	* views/rb-audiocd-view.h:
	* views/rb-iradio-view.c:
	* views/rb-iradio-view.h:
	* views/rb-library-view.c:
	* views/rb-library-view.h:
	* views/rb-song-info-helpers.c:
	* views/rb-song-info-helpers.h:
	* views/rb-view-cmd.c:
	* views/rb-view-cmd.h:

	Remove old views cruft.  Fix all the insanity wrt PROP_X, PROP_REAL_X
	and X_STR, etc., and standardize on just PROP_X and PROP_X_STR.  This
	makes sorting on those columns work too.  Remove PROP_TRACK_NUMBER_STR
	and just generate it dynamically in the treeview to save memory.

	Update play statistics after a song is done playing.

	Very minor updates to TODO and README.

2003-05-24  Geert-Jan Van den Bogaerde <gvdbogaerde@pandora.be>

	* data/node-views/rb-node-view-songs.xml:
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_get_column_type),
	(rb_tree_model_node_get_value),
	(rb_tree_model_node_column_get_type):
	* lib/widgets/rb-tree-model-node.h:

	Make duration sorting work.

2003-05-24  Colin Walters  <cwalters@gnome.org>
	
	* lib/widgets/rb-node-view.c: (rb_node_view_get_selection),
	(rb_node_view_get_rows):

	Fix up gcc-3.3 type-punned pointer warnings.
	
2003-05-24  Colin Walters  <walters@verbum.org>

	* shell/rb-shell-player.c (rb_shell_player_next): Make it
	work with non-C99 compliant compilers.

2003-05-21  Jorn Baayen  <jorn@nl.linux.org>

	* shell/rb-shell.c: (rb_shell_cmd_about):

	Mark a few things for translation.

2003-05-21  Jorn Baayen  <jorn@nl.linux.org>

	* data/glade/song-info.glade:
	* shell/rb-shell.c: (rb_shell_cmd_about):

	Fix a few things in Chris' commit.

2003-05-21  Christian Neumair  <chris@gnome-de.org>

	* lib/widgets/rb-song-info.c: (rb_song_info_init)
	* shell/rb-shell-preferences.c: (rb_shell_preferences_init):

	HIGified dialog spacing.

	* data/glade/general-prefs.glade
	* data/glade/library-prefs.glade
	* data/glade/song-info.glade:

	Ditto, plus some tiny other tweakes.

	* shell/rb-shell.c: (rb_shell_cmd_about):

	Fix copyright information.

	* lib/widgets/rb-sourcelist.c
	* lib/eel-gconf-extensions.c
	* lib/rb-windows-ini-file.c
	* shell/rb-playlist.c
	* sources/rb-source.c:

	Include config.h.

2003-05-20  Benjamin Otte <in7y118@public.uni-hamburg.de>

	* lib/widgets/rb-player.c: (rb_player_init):
	
	Fix improper hide/show of time display and non-centering of title text.

2003-05-20  Benjamin Otte <in7y118@public.uni-hamburg.de>

	* lib/widgets/rb-player.c: (rb_player_init):
	* shell/rb-shell-player.c: (rb_shell_player_init):
	
	Keep buttons and sliders vertically centered when using large fonts.

2003-05-20  Jorn Baayen  <jorn@nl.linux.org>

	* shell/rb-shell.c: (rb_shell_cmd_about):
	* shell/rb-source-header.c: (rb_source_header_get_type),
	(rb_source_header_init):
	* shell/rb-source-header.h:

	F34r my sk1llz.. 

	(search entry takes 30% of the sourceheader width, expander 70%)

	Also change brackets around walters' email addy to () instead of <>
	for consistency.

2003-05-19  Jorn Baayen  <jorn@nl.linux.org>

	* data/node-views/rb-node-view-songs.xml:
	* data/rhythmbox.schemas:
	* lib/widgets/rb-node-view.c: (parse_columns_as_glist):
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_get_column_type),
	(rb_tree_model_node_get_value),
	(rb_tree_model_node_column_get_type):
	* lib/widgets/rb-tree-model-node.h:
	* library/rb-node-song.c: (set_track_number):
	* library/rb-node.h:
	* shell/rb-shell-preferences.c:
	(rb_shell_preferences_column_check_changed_cb),
	(rb_shell_preferences_sync):

	Use string column for track numbers.

2003-05-18  Colin Walters  <walters@verbum.org>

	* lib/widgets/rb-node-view.c: (set_sort_column_id):
	* lib/widgets/rb-search-entry.c: (rb_search_entry_timeout_cb):
	* library/rb-library.c: (rb_library_save):
	* sources/rb-library-source.c: (rb_library_source_ui_prefs_sync),
	(rb_library_source_ui_pref_changed),
	(rb_library_source_set_property):

	Do an audit for holding gdk lock in idle timers.  Minor GConf
	fixups in library source.  Atomic file saving in library.

2003-05-18  Colin Walters  <cwalters@gnome.org>

	* data/node-views/rb-node-view-songs.xml:
	* shell/rb-shell-player.c: (rb_shell_player_init),
	(rb_shell_player_set_play_button), (rb_shell_player_sync_buttons):

	Make play/pause/STOP button work.  Also add TITLE_KEY to the track
	sort order, so we don't get weird issues.

2003-05-18  Colin Walters  <walters@gnu.org>

	* data/rhythmbox.schemas:
	* lib/widgets/rb-search-entry.c: (rb_search_entry_init):
	* shell/rb-shell.c: (rb_shell_construct), (rb_shell_sync_paned),
	(paned_size_allocate_cb):
	* shell/rb-source-header.c: (rb_source_header_init):
	* sources/rb-library-source.c: (rb_library_source_ui_pref_changed),
	(rb_library_source_init), (rb_library_source_finalize),
	(rb_library_source_set_property), (impl_get_config_widget),
	(rb_library_source_preferences_sync), (paned_size_allocate_cb),
	(rb_library_source_state_prefs_sync),
	(rb_library_source_state_pref_changed), (songs_view_changed_cb):

	Remove net-rhythmbox cruft from schemas (DOH!).  Make search
	widget bigger.  Fix up tons of GConf stuff; rb now watches for
	pretty much every change.  Other misc bits I forget.

2003-05-18  Colin Walters  <walters@debian.org>

	* shell/rb-shell-player.c: (rb_shell_player_init),
	(rb_shell_player_open_location), (rb_shell_player_sync_volume),
	(rb_shell_player_state_changed_cb):

	Only display buffering dialog when we're using iradio.  Handle
	gconf changes in volume.

2003-05-18  Colin Walters  <cwalters@gnome.org>

	* shell/rb-shell-player.c: (rb_shell_player_init),
	(rb_shell_player_do_previous), (rb_shell_player_cmd_previous),
	(rb_shell_player_cmd_play), (rb_shell_player_playpause),
	(rb_shell_player_cmd_pause), (rb_shell_player_do_next),
	(rb_shell_player_cmd_next), (rb_shell_player_sync_buttons):

	Make buttons work.

2003-05-18  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in:
	* iradio/rb-iradio-backend.c:
	* lib/widgets/rb-song-info.c: (rb_song_info_new):
	* library/rb-library.h:
	* shell/rb-shell-player.c: (rb_shell_player_set_property),
	(rb_shell_player_shuffle_changed_cb),
	(rb_shell_player_repeat_changed_cb),
	(rb_shell_player_cmd_song_info), (rb_shell_player_sync_buttons):
	* shell/rb-shell.c: (rb_shell_init), (rb_shell_finalize),
	(rb_shell_corba_grab_focus), (rb_shell_construct),
	(rb_shell_window_state_cb), (rb_shell_sync_window_state),
	(rb_shell_show_window_changed_cb), (rb_shell_quit),
	(rb_shell_sync_window_visibility), (window_visibility_changed_cb),
	(rb_shell_sync_paned), (paned_changed_cb),
	(tray_button_press_event_cb):
	* shell/rb-source-header.c: (rb_source_header_class_init),
	(rb_source_header_set_property), (rb_source_header_new),
	(rb_source_header_gconf_disclosure_changed_cb),
	(rb_source_header_view_browser_changed_cb),
	(rb_source_header_sync_control_state):
	* shell/rb-source-header.h:
	* sources/rb-iradio-source.c: (impl_get_status),
	(impl_song_properties):
	* sources/rb-library-source.c: (impl_song_properties):

	I give up on EggMenu for now.  Use GConf to keep track of state in
	shell.  Hook up menu items like View Browser, Shuffle, and Repeat
	to GConf.  Make song properties work.  Use bold in iradio status.

	More importantly, bump the version numbers of the libraries, since
	jorn changed the format!  Grr :)

	TODO:
	- Figure out why it doesn't play any sound!

2003-05-18  Jorn Baayen  <jorn@nl.linux.org>

	* data/art/rhythmbox-volume-max.png:
	* data/art/rhythmbox-volume-medium.png:
	* data/art/rhythmbox-volume-min.png:
	* data/art/rhythmbox-volume-mute.png:
	* data/art/rhythmbox-volume-zero.png:
	* lib/widgets/rb-link.c: (rb_link_init), (rb_link_set_property),
	(rb_link_set_color):
	* lib/widgets/rb-player.c: (rb_player_init), (rb_player_sync),
	(rb_player_sync_time_locked), (rb_player_update_elapsed):
	* shell/rb-shell-player.c: (rb_shell_player_init),
	(rb_shell_player_sync_with_source), (rb_shell_player_sync_buttons),
	(rb_shell_player_set_playing_source),
	(rb_shell_player_get_mm_player), (eos_cb), (error_cb),
	(info_available_cb), (buffering_tick_cb):
	* shell/rb-shell.c: (rb_shell_construct):
	* shell/rb-source-header.c:
	* shell/rb-statusbar.c: (rb_statusbar_init):

	UI stuff.

	TODO:
	- refactor title generation code, it's a *MESS*.

2003-05-17  Jorn Baayen  <jorn@nl.linux.org>

	* data/node-views/rb-node-view-songs.xml:
	* data/rhythmbox.schemas:
	* lib/widgets/rb-tree-model-node.c:
	(rb_tree_model_node_get_column_type),
	(rb_tree_model_node_get_value),
	(rb_tree_model_node_column_get_type):
	* lib/widgets/rb-tree-model-node.h:
	* library/rb-node-song.c: (set_track_number):
	* library/rb-node.h:
	* sources/rb-audiocd-source.c: (rb_audiocd_node_fill_basic):

	Simpler track number format (easier to parse for us humans),
	include track num column by default and sort on it.

	Breaks library format.

2003-05-17  Jorn Baayen  <jorn@nl.linux.org>

	* lib/widgets/rb-search-entry.c: (rb_search_entry_init):
	* shell/rb-source-header.c: (rb_source_header_init):
	* shell/rb-statusbar.c: (rb_statusbar_init),
	(rb_statusbar_sync_with_source):
	* sources/rb-library-source.c: (impl_get_status_full):

	Status fixage.

	TODO:
	- fix status for iradio, groups, audiocd
	- display remaining time (not a trivial one)
	- fix bug where when loading the total number of songs in the status
	overrides the number of actually shown songs

2003-05-17  Jorn Baayen  <jorn@nl.linux.org>

	* lib/widgets/rb-sourcelist.c: (rb_sourcelist_get_type),
	(rb_sourcelist_init), (rb_sourcelist_new), (rb_sourcelist_append):
	* lib/widgets/rb-sourcelist.h:
	* shell/rb-shell.c: (rb_shell_construct),
	(rb_shell_sync_sourcelist_visibility):
	* sources/rb-iradio-source.c: (rb_iradio_source_init),
	(impl_get_description):
	* sources/rb-library-source.c: (rb_library_source_init):

	Sourcelist fixes:
	- Use standard treeview header
	- Use standard font size
	- Smaller icon size to fit standard font size better
	- RBSourceList is a scrolledwindow instead of a vbox,
	  pack treeview directly into scrolledwindow instead of
	  the whole thing into a scrolledwin manually (that would have
	  broken for scrolling)

	TODO:
	- in-place editing (F2)
	- make playing source bold
	- doubleclick should start playing
	- needs to be sorted (with priority stuff to have library on top etc)
	- paned pos needs to be saved

2003-05-16  Colin Walters  <walters@verbum.org>

	* lib/rb-preferences.h:
	* shell/rb-shell-player.c: (rb_shell_player_init):
	* shell/rb-shell.c: (rb_shell_construct), (rb_shell_select_source):
	* shell/rb-source-header.c: (rb_source_header_set_property):
	* shell/rb-statusbar.c: (rb_statusbar_init),
	(rb_statusbar_set_property), (rb_statusbar_sync_with_source),
	(rb_statusbar_status_changed_cb), (rb_statusbar_sync_toggles),
	(rb_statusbar_state_changed_cb), (rb_statusbar_toggle_changed_cb):
	* sources/rb-library-source.c: (rb_library_source_set_property),
	(paned_size_allocate_cb), (songs_view_changed_cb):

	Make status work.  Fix up toolbar sizes.  Other various bits.

2003-05-16  Colin Walters  <cwalters@gnome.org>

	* configure.in:
	* lib/Makefile.am:
	* lib/disclosure-widget.c: (finalize), (cddb_disclosure_destroy),
	(get_x_y), (expand_collapse_timeout), (do_animation), (toggled),
	(draw_indicator), (class_init), (init), (cddb_disclosure_get_type),
	(cddb_disclosure_new), (cddb_disclosure_set_container),
	(cddb_disclosure_set_labels), (cddb_disclosure_new_from_glade):
	* lib/disclosure-widget.h:
	* lib/egg/.cvsignore:
	* lib/egg/Makefile.am:
	* lib/egg/egg-accel-dialog.c: (egg_accel_dialog_get_type),
	(egg_accel_dialog_class_init), (egg_accel_dialog_init),
	(accel_map_foreach), (egg_accel_dialog_rescan_accels),
	(refresh_selected_row), (accel_path_selection_changed),
	(accel_path_set), (accel_path_reset), (egg_accel_dialog_new):
	* lib/egg/egg-accel-dialog.h:
	* lib/egg/egg-action-group.c: (egg_action_group_get_type),
	(egg_action_group_class_init), (egg_action_group_init),
	(egg_action_group_new), (egg_action_group_finalize),
	(egg_action_group_real_get_action), (egg_action_group_get_name),
	(egg_action_group_get_action), (egg_action_group_add_action),
	(egg_action_group_remove_action), (add_single_action),
	(egg_action_group_list_actions), (egg_action_group_add_actions):
	* lib/egg/egg-action-group.h:
	* lib/egg/egg-action.c: (egg_action_get_type),
	(egg_action_class_init), (egg_action_init), (egg_action_finalize),
	(egg_action_set_property), (egg_action_get_property),
	(create_menu_item), (create_tool_item), (egg_action_remove_proxy),
	(egg_action_sync_property), (egg_action_sync_label),
	(egg_action_sync_short_label), (egg_action_sync_stock_id),
	(egg_action_create_menu_proxy), (connect_proxy),
	(disconnect_proxy), (egg_action_activate),
	(egg_action_create_icon), (egg_action_create_menu_item),
	(egg_action_create_tool_item), (egg_action_connect_proxy),
	(egg_action_disconnect_proxy), (egg_action_block_activate_from),
	(egg_action_unblock_activate_from), (egg_action_set_accel_path),
	(tool_button_get_label), (tool_button_get_icon),
	(tool_button_parent_set), (tool_button_new):
	* lib/egg/egg-action.h:
	* lib/egg/egg-editable-toolbar.c: (egg_editable_toolbar_get_type),
	(get_toolbar_position), (get_n_toolbars), (get_toolbar_nth),
	(find_action), (drag_data_received_cb), (drag_data_delete_cb),
	(drag_data_get_cb), (remove_toolbar_cb),
	(popup_toolbar_context_menu_cb), (create_toolbar), (create_item),
	(toolbar_added_cb), (toolbar_removed_cb), (item_added_cb),
	(item_removed_cb), (egg_editable_toolbar_set_model),
	(egg_editable_toolbar_construct), (egg_editable_toolbar_set_merge),
	(egg_editable_toolbar_set_property),
	(egg_editable_toolbar_get_property),
	(egg_editable_toolbar_class_init), (egg_editable_toolbar_init),
	(egg_editable_toolbar_finalize), (egg_editable_toolbar_new),
	(egg_editable_toolbar_set_edit_mode), (egg_editable_toolbar_show),
	(egg_editable_toolbar_hide), (egg_editable_toolbar_set_drag_dest),
	(fake_expose_widget), (new_pixbuf_from_widget),
	(new_separator_pixbuf), (update_separator_image), (style_set_cb),
	(_egg_editable_toolbar_new_separator_image):
	* lib/egg/egg-editable-toolbar.h:
	* lib/egg/egg-menu-merge.c: (egg_menu_merge_get_type),
	(egg_menu_merge_finalize), (egg_menu_merge_class_init),
	(egg_menu_merge_init), (egg_menu_merge_new),
	(egg_menu_merge_insert_action_group),
	(egg_menu_merge_remove_action_group), (egg_menu_merge_get_widget),
	(get_child_node), (egg_menu_merge_get_node),
	(egg_menu_merge_next_merge_id),
	(egg_menu_merge_node_prepend_ui_reference),
	(egg_menu_merge_node_remove_ui_reference), (start_element_handler),
	(end_element_handler), (cleanup),
	(egg_menu_merge_add_ui_from_string),
	(egg_menu_merge_add_ui_from_file), (remove_ui),
	(egg_menu_merge_remove_ui), (get_action_by_name),
	(find_menu_position), (find_toolbar_position), (update_node),
	(do_updates), (egg_menu_merge_queue_update),
	(egg_menu_merge_ensure_update), (dirty_traverse_func),
	(egg_menu_merge_dirty_all):
	* lib/egg/egg-menu-merge.h:
	* lib/egg/egg-menu.h:
	* lib/egg/egg-radio-action.c: (egg_radio_action_get_type),
	(egg_radio_action_class_init), (egg_radio_action_init),
	(egg_radio_action_finalize), (egg_radio_action_activate),
	(egg_radio_action_get_group), (egg_radio_action_set_group):
	* lib/egg/egg-radio-action.h:
	* lib/egg/egg-toggle-action.c: (egg_toggle_action_get_type),
	(egg_toggle_action_class_init), (egg_toggle_action_init),
	(egg_toggle_action_activate), (egg_toggle_action_real_toggled),
	(connect_proxy), (disconnect_proxy), (egg_toggle_action_toggled),
	(egg_toggle_action_set_active), (egg_toggle_action_get_active):
	* lib/egg/egg-toggle-action.h:
	* lib/egg/egg-toolbar-editor.c: (egg_toolbar_editor_get_type),
	(find_action), (egg_toolbar_editor_set_merge),
	(egg_toolbar_editor_set_model), (egg_toolbar_editor_set_property),
	(egg_toolbar_editor_get_property), (egg_toolbar_editor_class_init),
	(egg_toolbar_editor_finalize), (egg_toolbar_editor_new),
	(editor_drag_data_received_cb), (editor_drag_data_delete_cb),
	(drag_data_get_cb), (elide_underscores), (editor_create_item),
	(update_editor_sheet), (setup_editor), (egg_toolbar_editor_init),
	(egg_toolbar_editor_add_action), (parse_item_list),
	(model_has_action), (egg_toolbar_editor_load_actions):
	* lib/egg/egg-toolbar-editor.h:
	* lib/egg/egg-toolbars-model.c: (egg_toolbars_model_get_type),
	(egg_toolbars_model_to_xml), (egg_toolbars_model_save),
	(toolbars_toolbar_new), (toolbars_item_new), (free_toolbar_node),
	(free_item_node), (egg_toolbars_model_get_flags),
	(egg_toolbars_model_set_flags), (egg_toolbars_model_add_separator),
	(egg_toolbars_model_add_item), (impl_add_item), (parse_item_list),
	(egg_toolbars_model_add_toolbar), (parse_toolbars),
	(egg_toolbars_model_load), (egg_toolbars_model_class_init),
	(egg_toolbars_model_init), (egg_toolbars_model_finalize),
	(egg_toolbars_model_new), (egg_toolbars_model_remove_toolbar),
	(egg_toolbars_model_remove_item), (egg_toolbars_model_n_items),
	(egg_toolbars_model_item_nth), (egg_toolbars_model_n_toolbars),
	(egg_toolbars_model_toolbar_nth):
	* lib/egg/egg-toolbars-model.h:
	* lib/egg/eggintl.h:
	* lib/egg/eggmarshalers.c: (_egg_marshal_VOID__OBJECT_OBJECT),
	(_egg_marshal_VOID__OBJECT_STRING_LONG_LONG),
	(_egg_marshal_VOID__OBJECT_LONG),
	(_egg_marshal_VOID__OBJECT_STRING_STRING),
	(_egg_marshal_VOID__UINT_UINT), (_egg_marshal_BOOLEAN__INT),
	(_egg_marshal_BOOLEAN__ENUM), (_egg_marshal_BOOLEAN__VOID),
	(_egg_marshal_OBJECT__VOID), (_egg_marshal_VOID__INT_INT),
	(_egg_marshal_VOID__OBJECT_ENUM_BOXED):
	* lib/egg/eggmarshalers.h:
	* lib/egg/eggmarshalers.list:
	* lib/egg/eggradiotoolbutton.c: (egg_radio_tool_button_get_type),
	(egg_radio_tool_button_class_init), (egg_radio_tool_button_init),
	(egg_radio_tool_button_new),
	(egg_radio_tool_button_new_from_stock),
	(egg_radio_tool_button_get_group),
	(egg_radio_tool_button_set_group):
	* lib/egg/eggradiotoolbutton.h:
	* lib/egg/eggseparatortoolitem.c:
	(egg_separator_tool_item_get_type),
	(egg_separator_tool_item_class_init),
	(egg_separator_tool_item_init), (egg_separator_tool_item_add),
	(egg_separator_tool_item_new):
	* lib/egg/eggseparatortoolitem.h:
	* lib/egg/eggtoggletoolbutton.c: (egg_toggle_tool_button_get_type),
	(egg_toggle_tool_button_class_init), (egg_toggle_tool_button_init),
	(egg_toggle_tool_button_finalize),
	(egg_toggle_tool_button_create_menu_proxy), (menu_item_activated),
	(button_toggled), (egg_toggle_tool_button_new),
	(egg_toggle_tool_button_new_from_stock),
	(egg_toggle_tool_button_set_active),
	(egg_toggle_tool_button_get_active):
	* lib/egg/eggtoggletoolbutton.h:
	* lib/egg/eggtoolbar.c: (egg_toolbar_get_type),
	(add_arrow_bindings), (egg_toolbar_class_init), (egg_toolbar_init),
	(egg_toolbar_set_property), (egg_toolbar_get_property),
	(egg_toolbar_map), (egg_toolbar_unmap),
	(egg_toolbar_paint_space_line), (egg_toolbar_realize),
	(egg_toolbar_unrealize), (egg_toolbar_expose),
	(egg_toolbar_size_request), (fixup_allocation_for_rtl),
	(fixup_allocation_for_vertical), (get_item_size),
	(egg_toolbar_size_allocate), (egg_toolbar_style_set),
	(egg_toolbar_direction_changed),
	(egg_toolbar_list_items_in_focus_order), (egg_toolbar_move_focus),
	(egg_toolbar_focus_home), (egg_toolbar_focus_end),
	(egg_toolbar_focus), (style_change_notify),
	(icon_size_change_notify), (toolbar_get_settings),
	(egg_toolbar_screen_changed), (find_drop_pos),
	(egg_toolbar_drag_leave), (egg_toolbar_drag_motion),
	(egg_toolbar_get_child_property), (egg_toolbar_set_child_property),
	(egg_toolbar_add), (egg_toolbar_remove), (egg_toolbar_forall),
	(egg_toolbar_child_type), (egg_toolbar_reconfigured),
	(egg_toolbar_real_orientation_changed),
	(egg_toolbar_real_style_changed), (menu_position_func),
	(menu_deactivated), (remove_item), (show_menu),
	(egg_toolbar_arrow_button_clicked),
	(egg_toolbar_arrow_button_press), (egg_toolbar_button_press),
	(egg_toolbar_update_button_relief), (get_button_relief),
	(get_space_size), (get_space_style), (egg_toolbar_new),
	(egg_toolbar_append), (egg_toolbar_prepend_tool_item),
	(egg_toolbar_remove_tool_item), (toolbar_add_child),
	(egg_toolbar_insert), (egg_toolbar_get_item_index),
	(egg_toolbar_set_orientation), (egg_toolbar_get_orientation),
	(egg_toolbar_set_style), (egg_toolbar_get_style),
	(egg_toolbar_unset_style), (egg_toolbar_set_tooltips),
	(egg_toolbar_get_tooltips), (egg_toolbar_get_n_items),
	(egg_toolbar_get_nth_item), (egg_toolbar_set_icon_size),
	(egg_toolbar_get_icon_size), (egg_toolbar_get_relief_style),
	(egg_toolbar_unset_icon_size), (egg_toolbar_set_show_arrow),
	(egg_toolbar_get_show_arrow), (egg_toolbar_get_drop_index),
	(egg_toolbar_append_item), (egg_toolbar_prepend_item),
	(egg_toolbar_insert_item), (egg_toolbar_insert_stock),
	(egg_toolbar_append_space), (egg_toolbar_prepend_space),
	(egg_toolbar_insert_space), (egg_toolbar_append_widget),
	(egg_toolbar_prepend_widget), (egg_toolbar_insert_widget),
	(egg_toolbar_append_element), (egg_toolbar_prepend_element),
	(egg_toolbar_insert_element), (elide_underscores),
	(egg_toolbar_internal_insert_element):
	* lib/egg/eggtoolbar.h:
	* lib/egg/eggtoolbutton.c: (egg_tool_button_get_type),
	(egg_tool_button_class_init), (egg_tool_button_init),
	(egg_tool_button_construct_contents),
	(egg_tool_button_set_property), (egg_tool_button_get_property),
	(egg_tool_button_finalize), (egg_tool_button_create_menu_proxy),
	(egg_tool_button_parent_set), (button_clicked),
	(egg_tool_button_new_from_stock), (egg_tool_button_new),
	(egg_tool_button_set_label), (egg_tool_button_get_label),
	(egg_tool_button_set_use_underline),
	(egg_tool_button_get_use_underline),
	(egg_tool_button_set_stock_id), (egg_tool_button_get_stock_id),
	(egg_tool_button_set_icon_widget),
	(egg_tool_button_set_label_widget),
	(egg_tool_button_get_label_widget),
	(egg_tool_button_get_icon_widget), (egg_tool_button_set_icon_set),
	(egg_tool_button_get_icon_set), (elide_underscores),
	(_egg_tool_button_get_label_text):
	* lib/egg/eggtoolbutton.h:
	* lib/egg/eggtoolitem.c: (egg_tool_item_get_type),
	(egg_boolean_handled_accumulator), (egg_tool_item_class_init),
	(egg_tool_item_init), (egg_tool_item_set_property),
	(egg_tool_item_get_property), (create_drag_window),
	(egg_tool_item_realize), (egg_tool_item_unrealize),
	(egg_tool_item_map), (egg_tool_item_unmap),
	(egg_tool_item_size_request), (egg_tool_item_size_allocate),
	(egg_tool_item_create_menu_proxy), (egg_tool_item_new),
	(egg_tool_item_get_icon_size), (egg_tool_item_get_orientation),
	(egg_tool_item_get_toolbar_style),
	(egg_tool_item_get_relief_style),
	(egg_tool_item_toolbar_reconfigured), (egg_tool_item_set_expand),
	(egg_tool_item_set_pack_end), (egg_tool_item_set_homogeneous),
	(egg_tool_item_real_set_tooltip), (egg_tool_item_set_tooltip),
	(egg_tool_item_set_use_drag_window),
	(egg_tool_item_set_visible_horizontal),
	(egg_tool_item_get_visible_horizontal),
	(egg_tool_item_set_visible_vertical),
	(egg_tool_item_get_visible_vertical),
	(egg_tool_item_retrieve_proxy_menu_item),
	(egg_tool_item_get_proxy_menu_item),
	(egg_tool_item_set_proxy_menu_item):
	* lib/egg/eggtoolitem.h:
	* lib/egg/eggtreemodelfilter.c: (egg_tree_model_filter_get_type),
	(egg_tree_model_filter_init), (egg_tree_model_filter_class_init),
	(egg_tree_model_filter_tree_model_init),
	(egg_tree_model_filter_finalize),
	(egg_tree_model_filter_set_property),
	(egg_tree_model_filter_get_property),
	(egg_tree_model_filter_build_level),
	(egg_tree_model_filter_free_level),
	(egg_tree_model_filter_elt_get_path),
	(egg_tree_model_filter_add_root),
	(egg_tree_model_filter_remove_root),
	(egg_tree_model_filter_increment_stamp),
	(egg_tree_model_filter_visible),
	(egg_tree_model_filter_clear_cache_helper),
	(egg_tree_model_filter_fetch_child),
	(egg_tree_model_filter_remove_node),
	(egg_tree_model_filter_update_childs),
	(egg_tree_model_filter_row_changed),
	(egg_tree_model_filter_row_inserted),
	(egg_tree_model_filter_row_has_child_toggled),
	(egg_tree_model_filter_row_deleted),
	(egg_tree_model_filter_rows_reordered),
	(egg_tree_model_filter_get_flags),
	(egg_tree_model_filter_get_n_columns),
	(egg_tree_model_filter_get_column_type),
	(egg_tree_model_filter_get_iter), (egg_tree_model_filter_get_path),
	(egg_tree_model_filter_get_value),
	(egg_tree_model_filter_iter_next),
	(egg_tree_model_filter_iter_children),
	(egg_tree_model_filter_iter_has_child),
	(egg_tree_model_filter_iter_n_children),
	(egg_tree_model_filter_iter_nth_child),
	(egg_tree_model_filter_iter_parent),
	(egg_tree_model_filter_ref_node),
	(egg_tree_model_filter_unref_node),
	(egg_tree_model_filter_real_unref_node),
	(egg_tree_model_filter_set_model),
	(egg_tree_model_filter_set_root), (egg_tree_model_filter_new),
	(egg_tree_model_filter_get_model),
	(egg_tree_model_filter_set_visible_func),
	(egg_tree_model_filter_set_modify_func),
	(egg_tree_model_filter_set_visible_column),
	(egg_tree_model_filter_convert_child_iter_to_iter),
	(egg_tree_model_filter_convert_iter_to_child_iter),
	(egg_real_tree_model_filter_convert_child_path_to_path),
	(egg_tree_model_filter_convert_child_path_to_path),
	(egg_tree_model_filter_convert_path_to_child_path),
	(egg_tree_model_filter_refilter_helper),
	(egg_tree_model_filter_refilter),
	(egg_tree_model_filter_clear_cache):
	* lib/egg/eggtreemodelfilter.h:
	* lib/egg/eggtreemultidnd.c: (egg_tree_multi_drag_source_get_type),
	(egg_tree_multi_drag_source_row_draggable),
	(egg_tree_multi_drag_source_drag_data_delete),
	(egg_tree_multi_drag_source_drag_data_get), (stop_drag_check),
	(egg_tree_multi_drag_button_release_event), (selection_foreach),
	(path_list_free), (set_context_data), (get_context_data),
	(get_info), (egg_tree_multi_drag_drag_data_get),
	(egg_tree_multi_drag_motion_event),
	(egg_tree_multi_drag_button_press_event),
	(egg_tree_multi_drag_add_drag_support):
	* lib/egg/eggtreemultidnd.h:
	* lib/egg/prop-editor.h:
	* lib/egg/update-from-egg.sh:
	* shell/Makefile.am:
	* shell/rb-shell-player.c: (rb_shell_player_init):
	* shell/rb-shell.c: (rb_shell_construct), (rb_shell_select_source):
	* shell/rb-source-header.c: (rb_source_header_init),
	(rb_source_header_set_property), (rb_source_header_search_cb),
	(rb_source_header_disclosure_toggled_cb),
	(rb_source_header_gconf_disclosure_changed_cb):
	* shell/rb-statusbar.c: (rb_statusbar_get_type),
	(rb_statusbar_class_init), (rb_statusbar_init),
	(rb_statusbar_finalize), (rb_statusbar_set_property),
	(rb_statusbar_get_property), (rb_statusbar_set_source),
	(rb_statusbar_new), (rb_statusbar_status_changed_cb):
	* shell/rb-statusbar.h:
	* sources/rb-iradio-source.c: (rb_iradio_source_class_init),
	(impl_get_status), (impl_get_browser_key):
	* sources/rb-library-source.c: (rb_library_source_class_init),
	(rb_library_source_set_property), (impl_get_browser_key),
	(rb_library_source_sync_browser),
	(rb_library_source_browser_visibility_changed_cb):
	* sources/rb-source.c: (rb_source_class_init),
	(rb_source_get_status), (default_get_browser_key),
	(rb_source_get_browser_key):
	* sources/rb-source.h:

	Import egg stuff.  Import disclosure widget.  Add source methods
	for handling browser.  First cut at new statusbar.

2003-05-14  Colin Walters  <walters@verbum.org>

	* data/ui/rhythmbox-ui.xml.in: Remove accelerator for delete.

2003-05-11  Colin Walters  <walters@verbum.org>

